Anonymous Login
2019-04-22 21:08 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000841v3.1 ReleaseCosmetic/UI Issuespublic2014-01-25 00:29
Reportermarcehret 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.1 
Summary0000841: Some extra HTML for better themes (with patch)
DescriptionThe table tag is widely used for various types of content, for layout and everything else :-). All I did is:

- wrapping all(?) table.tbl (which are really used for displaying data) in
   a div (class = content_table)

- wrapping all(?) tables which contain explanations (keys/colors) in a div (class = content_explanation)

- wrapping all(?) tables which contain additional options/filters/buttons in a div (class = content_options)

The existing themes are not affected by these divs (as far as I can see).
Additional InformationI am on a good way to clean up the html and have a consistent layout for easy theming. I would be glad if you support my work. -Marc
Tagstemplates
Attached Files
  • patch file icon patch_0000841.patch (79,723 bytes) 1969-12-31 16:00 -
    Index: classes/w2p/Output/HTMLHelper.class.php
    ===================================================================
    --- classes/w2p/Output/HTMLHelper.class.php	(revision 1949)
    +++ classes/w2p/Output/HTMLHelper.class.php	(working copy)
    @@ -10,7 +10,7 @@
     
         public static function renderContactList(CAppUI $AppUI, array $contactList) {
     
    -        $output  = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +        $output  = '<div class="content content_table"><table cellspacing="1" width="100%" class="tbl">';
             $output .= '<tr><th>'.$AppUI->_('Name').'</th><th>'.$AppUI->_('Email').'</th>';
             $output .= '<th>'.$AppUI->_('Phone').'</th><th>'.$AppUI->_('Department').'</th></tr>';
             foreach ($contactList as $contact_id => $contact_data) {
    @@ -24,7 +24,7 @@
                 $output .= '<td class="hilite">' . $contact_data['dept_name'] . '</td>';
                 $output .= '</tr>';
             }
    -        $output .= '</table>';
    +        $output .= '</table></div>';
     
             return $output;
         }
    Index: install/conversion/check.php
    ===================================================================
    --- install/conversion/check.php	(revision 1949)
    +++ install/conversion/check.php	(working copy)
    @@ -8,7 +8,7 @@
     	
     	$continue = true;
     ?>
    -<table cellspacing="0" cellpadding="3" border="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
    +<div class="content content_table"><table cellspacing="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
     	<tr>
     		<td class="title" colspan="2">Step 1: Check System Settings</td>
     	</tr>
    @@ -111,4 +111,4 @@
     			</form>
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: install/conversion/perform.php
    ===================================================================
    --- install/conversion/perform.php	(revision 1949)
    +++ install/conversion/perform.php	(working copy)
    @@ -5,7 +5,7 @@
     
     	if (!$manager->testDatabaseCredentials($manager->getConfigOptions())) {
     		?>
    -		<table cellspacing="0" cellpadding="3" border="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
    +		<div class="content content_table"><table cellspacing="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
     			<tr>
     			  <td colspan="2" align="center">
     			  	<b class="error">Your database credentials in ./includes/config.php are incorrect.  System conversion has stopped.  Please correct them and try again.</b><br /><br />
    @@ -15,12 +15,12 @@
     					</form>
     				</td>
     			</tr>
    -		</table>
    +		</table></div>
     		<?php
     		die();
     	}
     ?>
    -<table cellspacing="0" cellpadding="3" border="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
    +<div class="content content_table"><table cellspacing="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
     	<tr>
     		<td class="title" colspan="2">Step 2: Update Database &amp; Write Configuration</td>
     	</tr>
    @@ -87,4 +87,4 @@
     	<tr>
     		<td class="item" align="center" colspan="2"><br/><b><a href="../index.php?m=system&amp;a=systemconfig&amp;reset=1">Login and Check the web2project System Environment</a></b></td>
     	</tr>
    -</table>
    +</table></div>
    Index: install/index.php
    ===================================================================
    --- install/index.php	(revision 1949)
    +++ install/index.php	(working copy)
    @@ -17,7 +17,7 @@
     	 	<link rel="stylesheet" type="text/css" href="../style/web2project/main.css" charset="utf-8"/>
     	</head>
     	<body>
    -		<table cellspacing="0" cellpadding="3" border="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
    +		<div class="content content_table"><table cellspacing="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
     			<tr>
     			  <td class="item" colspan="2">Welcome to the web2Project Update Manager!</td>
     			</tr>
    @@ -101,6 +101,6 @@
     					//do nothing
     			}
     			?>
    -		</table>
    +		</table></div>
     	</body>
     </html>
    Index: install/install/check.php
    ===================================================================
    --- install/install/check.php	(revision 1949)
    +++ install/install/check.php	(working copy)
    @@ -9,7 +9,7 @@
     	$continue = true;
     ?>
     
    -<table cellspacing="0" cellpadding="3" border="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
    +<div class="content content_table"><table cellspacing="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
     	<tr>
     		<td class="title" colspan="2">Step 1: Check System Settings</td>
     	</tr>
    @@ -259,4 +259,4 @@
     			</form>
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: install/install/dbcreds.php
    ===================================================================
    --- install/install/dbcreds.php	(revision 1949)
    +++ install/install/dbcreds.php	(working copy)
    @@ -8,7 +8,7 @@
     ?>
     <form action="<?php echo $baseUrl; ?>/index.php" method="post" name="form" id="form" accept-charset="utf-8">
     	<input type="hidden" name="step" value="perform" />
    -	<table cellspacing="0" cellpadding="3" border="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
    +	<div class="content content_table"><table cellspacing="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
     		<tr>
     			<td class="title" colspan="2">Step 2: Database Settings</td>
     		</tr>
    @@ -92,5 +92,5 @@
     				Recommended: &nbsp;<input class="button" type="submit" name="do_db_cfg" value="install db &amp; write cfg &raquo;" title="Write config file and setup the database with the given information." />
     			</td>
     		</tr>
    -	</table>
    +	</table></div>
     </form>
    Index: install/install/perform.php
    ===================================================================
    --- install/install/perform.php	(revision 1949)
    +++ install/install/perform.php	(working copy)
    @@ -39,7 +39,7 @@
     	);
     	if (!$manager->testDatabaseCredentials($w2Pconfig)) {
     		?>
    -		<table cellspacing="0" cellpadding="3" border="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
    +		<div class="content content_table"><table cellspacing="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
     			<tr>
     			  <td colspan="2" align="center">
     			  	<b class="error">Your database credentials failed.  System installation has stopped.  Please correct them and try again.</b><br /><br />
    @@ -49,7 +49,7 @@
     					</form>
     				</td>
     			</tr>
    -		</table>
    +		</table></div>
     		<?php		
     		die();
     	}
    @@ -83,7 +83,7 @@
     	}
     ?>
     
    -<table cellspacing="0" cellpadding="3" border="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
    +<div class="content content_table"><table cellspacing="0" class="tbl" width="90%" align="center" style="margin-top: 20px;">
     	<tr>
     		<td class="title" colspan="2">Step 3: Create Database &amp; Write Configuration</td>
     	</tr>
    @@ -143,4 +143,4 @@
     			<p>The Administrator login has been set to <b>admin</b> with the password <?php echo ($adminpass == 'passwd') ? 'of <b>passwd</b>' : 'you set' ?></b>. It is a good idea to change this password when you first log in</p>
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: locales/de/modules/help/de/help.toc.hlp
    ===================================================================
    --- locales/de/modules/help/de/help.toc.hlp	(revision 1949)
    +++ locales/de/modules/help/de/help.toc.hlp	(working copy)
    @@ -1,5 +1,5 @@
     <!-- $Id: help.toc.hlp,v 1.14 2006/02/28 21:10:28 gregorerhardt Exp $ -->
    -<table cellspacing="2" cellpadding="4" border="0" class="tbl" width="100%">
    +<div class="content content_table"><table cellspacing="1" class="tbl" width="100%">
     <tr>
     	<td width="100%" valign="top">
     		<p>
    @@ -25,4 +25,4 @@
     		</p>
     	</td>
     </tr>
    -</table>
    +</table></div>
    Index: modules/admin/vw_usr.php
    ===================================================================
    --- modules/admin/vw_usr.php	(revision 1949)
    +++ modules/admin/vw_usr.php	(working copy)
    @@ -4,7 +4,7 @@
     }
     $utypes = w2PgetSysVal('UserType');
     ?>
    -<table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
    +<div class="content content_table"><table cellspacing="1" width="100%" class="tbl">
     	<tr>
     		<th>
     			&nbsp;
    @@ -114,4 +114,4 @@
     </tr>
     <?php } ?>
     
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/admin/vw_usr_log.php
    ===================================================================
    --- modules/admin/vw_usr_log.php	(revision 1949)
    +++ modules/admin/vw_usr_log.php	(working copy)
    @@ -43,14 +43,8 @@
     }
     </script>
     
    -<table align="center">
    -	<tr>
    -		<td>
    -			<h1><?php echo $AppUI->_('User Log'); ?></h1>
    -		</td>
    -	</tr>
    -</table>
     
    +<div class="content content_options">
     <form action="index.php?m=admin<?php echo $a; ?>" method="post" name="frmDate" accept-charset="utf-8">
         <input type="hidden" name="user_id" id="user_id" value="<?php $user_id; ?>" />
         <table align="center" width="100%">
    @@ -79,7 +73,7 @@
             </tr>
         </table>
     </form>
    -
    +</div>
     <?php
     if (w2PgetParam($_REQUEST, 'showdetails', 0) == 1) {
         $start_date = date('Y-m-d', strtotime(w2PgetParam($_POST, 'log_start_date', date('Y-m-d'))));
    @@ -89,7 +83,7 @@
         $userId = isset($userId) ? $userId : 0;
         $logs = CUser::getLogs($userId, $start_date, $end_date);
         ?>
    -	<table align="center" class="tbl" width="50%">
    +	<div class="content content_table"><table class="tbl" width="100%" cellspacing="0">
     		<tr>
     			<th nowrap="nowrap" ><?php echo $AppUI->_('Name(s)'); ?></th>
     			<th nowrap="nowrap" ><?php echo $AppUI->_('Last Name'); ?></th>
    @@ -106,6 +100,6 @@
     				<td align="center"><?php echo $detail['date_time_out']; ?></td>
     			</tr>
     		<?php } ?>
    -	</table>
    +	</table></div>
         <?php
     }
    \ No newline at end of file
    Index: modules/admin/vw_usr_perms.php
    ===================================================================
    --- modules/admin/vw_usr_perms.php	(revision 1949)
    +++ modules/admin/vw_usr_perms.php	(working copy)
    @@ -131,7 +131,7 @@
     <table width="100%" border="0" cellpadding="2" cellspacing="0">
     <tr><td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Item'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Type'); ?></th>
    @@ -206,7 +206,7 @@
     	}
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    Index: modules/admin/vw_usr_roles.php
    ===================================================================
    --- modules/admin/vw_usr_roles.php	(revision 1949)
    +++ modules/admin/vw_usr_roles.php	(working copy)
    @@ -51,7 +51,7 @@
     <table width="100%" border="0" cellpadding="2" cellspacing="0">
     <tr><td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Role'); ?></th>
     	<th>&nbsp;</th>
    @@ -73,7 +73,7 @@
     	echo "<tr>$buf</tr>";
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    Index: modules/admin/vw_usr_sessions.php
    ===================================================================
    --- modules/admin/vw_usr_sessions.php	(revision 1949)
    +++ modules/admin/vw_usr_sessions.php	(working copy)
    @@ -82,7 +82,7 @@
     
     ?>
     
    -<table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
    +<div class="content content_table"><table cellspacing="1" width="100%" class="tbl">
         <tr>
             <th colspan="2">&nbsp; <?php echo $AppUI->_('sort by'); ?>:&nbsp;</th>
             <?php
    @@ -119,4 +119,4 @@
     	echo $s;
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/calendar/companies_tab.view.events.php
    ===================================================================
    --- modules/calendar/companies_tab.view.events.php	(revision 1949)
    +++ modules/calendar/companies_tab.view.events.php	(working copy)
    @@ -23,7 +23,7 @@
     $df = $AppUI->getPref('SHDATEFORMAT');
     $types = w2PgetSysVal('EventType');
     
    -$html = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html = '<div class="content content_table"><table cellspacing="1" width="100%" class="tbl">';
     $html .= '<tr><th>' . $AppUI->_('Date') . '</th><th>' . $AppUI->_('Type') . '</th><th>' . $AppUI->_('Event') . '</th></tr>';
     foreach ($events as $row) {
     	$html .= '<tr>';
    @@ -43,5 +43,5 @@
     	$html .= $href ? '</a>' : '';
     	$html .= '</td></tr>';
     }
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/projects_tab.view.events.php
    ===================================================================
    --- modules/calendar/projects_tab.view.events.php	(revision 1949)
    +++ modules/calendar/projects_tab.view.events.php	(working copy)
    @@ -26,7 +26,7 @@
     $df = $AppUI->getPref('SHDATEFORMAT');
     $types = w2PgetSysVal('EventType');
     
    -$html = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html = '<div class="content content_table"><table cellspacing="1" width="100%" class="tbl">';
     $html .= '<tr><th>' . $AppUI->_('Date') . '</th><th>' . $AppUI->_('Type') . '</th><th>' . $AppUI->_('Event') . '</th></tr>';
     foreach ($events as $row) {
     	$html .= '<tr>';
    @@ -50,5 +50,5 @@
     
     	$html .= '</td></tr>';
     }
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/vw_day_events.php
    ===================================================================
    --- modules/calendar/vw_day_events.php	(revision 1949)
    +++ modules/calendar/vw_day_events.php	(working copy)
    @@ -58,7 +58,7 @@
     
     $this_day->setTime($start, 0, 0);
     
    -$html = '<form action="'.$_SERVER['REQUEST_URI'].'" method="post" name="pickFilter" accept-charset="utf-8">';
    +$html = '<div class="content content_options"><form action="'.$_SERVER['REQUEST_URI'].'" method="post" name="pickFilter" accept-charset="utf-8">';
     $html .= $AppUI->_('Event Filter') . ':' . arraySelect($event_filter_list, 'event_filter', 'onChange="document.pickFilter.submit()" class="text"', $event_filter, true);
     if ($other_users) {
     	$html .= $AppUI->_('Show Events for') . ':' . '<select name="show_user_events" onchange="document.pickFilter.submit()" class="text">';
    @@ -77,8 +77,8 @@
     
     require_once (W2P_BASE_DIR . '/modules/calendar/links_events.php');
     
    -$html .= '</form>';
    -$html .= '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html .= '</form></div>';
    +$html .= '<div class="content content_table"><table cellspacing="1" width="100%" class="tbl">';
     $rows = 0;
     for ($i = 0, $n = ($end - $start) * 60 / $inc; $i < $n; $i++) {
     	$html .= '<tr>';
    @@ -121,5 +121,5 @@
     	$this_day->addSeconds(60 * $inc);
     }
     
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/vw_day_tasks.php
    ===================================================================
    --- modules/calendar/vw_day_tasks.php	(revision 1949)
    +++ modules/calendar/vw_day_tasks.php	(working copy)
    @@ -13,8 +13,8 @@
     $s = '';
     $dayStamp = $this_day->format(FMT_TIMESTAMP_DATE);
     
    -echo '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     
    +
     if (isset($links[$dayStamp])) {
     	foreach ($links[$dayStamp] as $e) {
     		$href = isset($e['href']) ? $e['href'] : null;
    @@ -27,8 +27,10 @@
     		$s .= '</td></tr>';
     	}
     }
    -echo $s;
    -echo '</table>';
    +if ($s) {
    +echo '<div class="content content_table"><table cellspacing="1" width="100%" class="tbl">'.$s.'</table></div>';
    +}
     
    +
     $min_view = 1;
     include W2P_BASE_DIR . '/modules/tasks/todo.php';
    \ No newline at end of file
    Index: modules/calendar/year_view.php
    ===================================================================
    --- modules/calendar/year_view.php	(revision 1949)
    +++ modules/calendar/year_view.php	(working copy)
    @@ -131,7 +131,7 @@
     				}
     				echo $s;
     			?>
    -			<table width="100%" class="minical">
    +			<div class="content content_explanation"><table cellspacing="0" width="100%" class="minical">
     				<tr>
     					<td valign="top" align="center" width="20%">&nbsp;</td>
     					<td nowrap="nowrap"><?php echo $AppUI->_('Key'); ?>:</td>
    @@ -156,7 +156,7 @@
     					<td>&nbsp;</td>
     					<td width="20%">&nbsp;</td>
     				</tr>
    -			</table>
    +			</table></div>
     		</td>
     	</tr>
     </table>
    \ No newline at end of file
    Index: modules/companies/vw_active.php
    ===================================================================
    --- modules/companies/vw_active.php	(revision 1949)
    +++ modules/companies/vw_active.php	(working copy)
    @@ -17,7 +17,7 @@
     
     $projects = CCompany::getProjects($AppUI, $company_id, 1, $sort);
     
    -?><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
    +?><div class="content content_table"><table cellspacing="1" width="100%" class="tbl"><?php
     if (count($projects) > 0) {
     	?>
     	<tr>
    @@ -61,4 +61,4 @@
     	?><tr><td colspan="5"><?php echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg(); ?></td></tr><?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_archived.php
    ===================================================================
    --- modules/companies/vw_archived.php	(revision 1949)
    +++ modules/companies/vw_archived.php	(working copy)
    @@ -11,7 +11,7 @@
     
     $projects = CCompany::getProjects($AppUI, $company_id, 0);
     
    -?><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
    +?><div class="content content_table"><table cellspacing="1" width="100%" class="tbl"><?php
     
     if (count($projects) > 0) {
     	?><tr><th><?php echo $AppUI->_('Name'); ?></th><th><?php echo $AppUI->_('Owner'); ?></th></tr><?php
    @@ -29,4 +29,4 @@
     	?><tr><td colspan="5"><?php echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg(); ?></td></tr><?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_companies.php
    ===================================================================
    --- modules/companies/vw_companies.php	(revision 1949)
    +++ modules/companies/vw_companies.php	(working copy)
    @@ -25,7 +25,8 @@
     
     $companyList = $company->getCompanyList($AppUI, $company_type_filter, $search_string, $owner_filter_id, $orderby, $orderdir);
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table">
    +<table cellspacing="1" width="100%" class="tbl">
         <tr>
             <?php
             $fieldList = array('company_name', 'countp', 'inactive', 'company_type');
    @@ -53,4 +54,4 @@
                 echo '<tr><td colspan="5">' . $AppUI->_('No companies available') . '</td></tr>';
             }
         ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_contacts.php
    ===================================================================
    --- modules/companies/vw_contacts.php	(revision 1949)
    +++ modules/companies/vw_contacts.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_contacts.php 1516 2010-12-05 07:18:58Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/companies/vw_contacts.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -11,7 +11,7 @@
     
     $contacts = CCompany::getContacts($AppUI, $company->company_id);
     
    -?><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl"><?php
    +?><div class="content content_table"><table width="100%" cellspacing="1" class="tbl"><?php
     if (count($contacts) > 0) {
     	?>
     	<tr>
    @@ -47,4 +47,4 @@
     			<input type="button" class=button value="<?php echo $AppUI->_('new contact') ?>" onClick="javascript:window.location='./index.php?m=contacts&a=addedit&company_id=<?php echo $company->company_id; ?>'">
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_depts.php
    ===================================================================
    --- modules/companies/vw_depts.php	(revision 1949)
    +++ modules/companies/vw_depts.php	(working copy)
    @@ -48,7 +48,7 @@
     	}
     }
     
    -$s = '<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">';
    +$s = '<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">';
     $s .= '<tr>';
     
     if (count($depts)) {
    @@ -80,4 +80,4 @@
     echo '
     	</td>
     </tr>
    -</table>';
    \ No newline at end of file
    +</table></div>';
    \ No newline at end of file
    Index: modules/companies/vw_users.php
    ===================================================================
    --- modules/companies/vw_users.php	(revision 1949)
    +++ modules/companies/vw_users.php	(working copy)
    @@ -13,7 +13,7 @@
     
     if (count($userList) > 0) {
     	?>
    -		<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +		<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
     		<tr>
     			<th><?php echo $AppUI->_('Username'); ?></td>
     			<th><?php echo $AppUI->_('Name'); ?></td>
    @@ -28,7 +28,7 @@
     			}
     			echo $s;
     		?>
    -		</table>
    +		</table></div>
     	<?php
     } else {
     	echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg();
    Index: modules/departments/vw_contacts.php
    ===================================================================
    --- modules/departments/vw_contacts.php	(revision 1949)
    +++ modules/departments/vw_contacts.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_contacts.php 1516 2010-12-05 07:18:58Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/departments/vw_contacts.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -6,7 +6,7 @@
     global $dept_id, $dept, $company_id;
     ?>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table cellspacing="1" width="100%" class="tbl">
     
     <tr><th><?php echo $AppUI->_('Name'); ?></th><th><?php echo $AppUI->_('Email'); ?></th><th><?php echo $AppUI->_('Telephone'); ?></th></tr>
     <?php
    @@ -26,4 +26,4 @@
     			<input type="button" class="button" value="<?php echo $AppUI->_('new contact'); ?>" onclick="javascript:window.location='./index.php?m=contacts&a=addedit&company_id=<?php echo $company_id; ?>&company_name=<?php echo $dept['company_name']; ?>&dept_id=<?php echo $dept['dept_id']; ?>&dept_name=<?php echo $dept['dept_name']; ?>'">			
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/departments/vw_depts.php
    ===================================================================
    --- modules/departments/vw_depts.php	(revision 1949)
    +++ modules/departments/vw_depts.php	(working copy)
    @@ -14,7 +14,7 @@
     $deptList = $dept->getFilteredDepartmentList($AppUI, $dept_type_filter, $search_string, $owner_filter_id, $orderby, $orderdir);
     ?>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
     	<tr>
             <?php
             $fieldList = array('dept_name', 'countp', 'inactive', 'dept_type');
    @@ -45,4 +45,4 @@
     	echo '<tr><td colspan="4">' . $AppUI->_('No data available') . '</td></tr>';
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/files/filefolder.class.php
    ===================================================================
    --- modules/files/filefolder.class.php	(revision 1949)
    +++ modules/files/filefolder.class.php	(working copy)
    @@ -375,7 +375,7 @@
     	}
     
     	$s = '
    -		<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +		<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
     		<tr>
     			<th nowrap="nowrap">' . $AppUI->_('File Name') . '</th>
     			<th>' . $AppUI->_('Description') . '</th>
    @@ -445,7 +445,7 @@
     		if ($row['file_versions'] > 1) {
     			$s .= ' <a href="javascript: void(0);" onClick="expand(\'versions_' . $latest_file['file_id'] . '\'); ">(' . $row['file_versions'] . ')</a>';
     			$hidden_table = '<tr><td colspan="20">
    -							<table style="display: none" id="versions_' . $latest_file['file_id'] . '" width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +							<div class="content content_table"><table style="display: none" id="versions_' . $latest_file['file_id'] . '" width="100%" cellspacing="1" class="tbl">
     							<tr>
     							        <th nowrap="nowrap">' . $AppUI->_('File Name') . '</th>
     							        <th>' . $AppUI->_('Description') . '</th>
    @@ -479,7 +479,7 @@
     					$hidden_table .= '</td><tr>';
     				}
     			}
    -			$hidden_table .= '</table>';
    +			$hidden_table .= '</table></div>';
     		}
     		$s .= '</td>
     				<td width="10%" nowrap="nowrap" align="left">' . $file_types[$file['file_category']] . '</td>
    @@ -516,6 +516,7 @@
     		$s .= '</td></tr>';
     		$s .= $hidden_table;
     		$hidden_table = '';
    +		$s .= '</table></div>';
     	}
     	return $s;
     }
    Index: modules/files/folders_table.php
    ===================================================================
    --- modules/files/folders_table.php	(revision 1949)
    +++ modules/files/folders_table.php	(working copy)
    @@ -140,7 +140,7 @@
     	background: #F9F9F9;
     }
     </style>
    -<table id="tblFolders" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_table"><table id="tblFolders" width="100%" cellspacing="1" class="tbl">
     <?php
         /**** Main Program ****/
         if ($folder_id) { ?>
    @@ -195,4 +195,4 @@
                 </form>
     	    </td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/files/index_table.php
    ===================================================================
    --- modules/files/index_table.php	(revision 1949)
    +++ modules/files/index_table.php	(working copy)
    @@ -173,7 +173,7 @@
     }
     </script>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap"><?php echo $AppUI->_('File Name'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Description'); ?></th>
    @@ -243,7 +243,7 @@
     		if ($file_row['file_versions'] > 1) {
     			echo ' <a href="javascript: void(0);" onclick="expand(\'versions_' . $latest_file['file_id'] . '\'); ">(' . $file_row['file_versions'] . ')</a>';
     			$hidden_table = '<tr><td colspan="20">
    -							<table style="display: none" id="versions_' . $latest_file['file_id'] . '" width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +							<div class="content content_table"><table style="display: none" id="versions_' . $latest_file['file_id'] . '" width="100%" cellspacing="1" class="tbl">
     							<tr>
     							        <th nowrap="nowrap">' . $AppUI->_('File Name') . '</th>
     							        <th>' . $AppUI->_('Description') . '</th>
    @@ -279,7 +279,7 @@
     					$hidden_table .= '</td><tr>';
     				}
     			}
    -			$hidden_table .= '</table>';
    +			$hidden_table .= '</table></div>';
     		}
     	?>
     		</td>
    @@ -321,6 +321,6 @@
     		echo $hidden_table;
     		$hidden_table = '';
     	} ?>
    -</table>
    +</table></div>
     <?php
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
    \ No newline at end of file
    Index: modules/files/tasks_tab.files.php
    ===================================================================
    --- modules/files/tasks_tab.files.php	(revision 1949)
    +++ modules/files/tasks_tab.files.php	(working copy)
    @@ -5,10 +5,12 @@
     
     global $AppUI, $m, $obj, $task_id, $w2Pconfig;
     if (canView('files')) {
    +	echo '<div class="content content_options">';
     	if (canAdd('files')) {
     		echo '<a href="./index.php?m=files&a=addedit&project_id=' . $obj->task_project . '&file_task=' . $task_id . '">' . $AppUI->_('Attach a file') . '</a>';
     	}
     	echo w2PshowImage('stock_attach-16.png', 16, 16, '');
    +	echo '</div>';
     	$showProject = false;
     	$project_id = $obj->task_project;
     	include (W2P_BASE_DIR . '/modules/files/index_table.php');
    Index: modules/files/tasks_tab.view.files.php
    ===================================================================
    --- modules/files/tasks_tab.view.files.php	(revision 1949)
    +++ modules/files/tasks_tab.view.files.php	(working copy)
    @@ -5,10 +5,12 @@
     
     global $AppUI, $m, $obj, $task_id, $w2Pconfig;
     if (canView('files')) {
    +	echo '<div class="content content_options">';
     	if (canAdd('files')) {
     		echo '<a href="./index.php?m=files&a=addedit&project_id=' . $obj->task_project . '&file_task=' . $task_id . '">' . $AppUI->_('Attach a file') . '</a>';
     	}
     	echo w2PshowImage('stock_attach-16.png', 16, 16, '');
    +	echo '</div>';
     	$showProject = false;
     	$project_id = $obj->task_project;
     	include (W2P_BASE_DIR . '/modules/files/index_table.php');
    Index: modules/forums/index.php
    ===================================================================
    --- modules/forums/index.php	(revision 1949)
    +++ modules/forums/index.php	(working copy)
    @@ -46,7 +46,7 @@
     	<input type="hidden" name="dosql" value="do_watch_forum" />
     	<input type="hidden" name="watch" value="forum" />
     
    -    <table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
    +    <div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
             <tr>
                 <th nowrap="nowrap">&nbsp;</th>
                 <?php
    @@ -122,14 +122,14 @@
                     </td>
                 </tr>
             <?php } ?>
    -    </table>
    +    </table></div>
     
    -    <table width="100%" cellspacing="0" cellpadding="0" border="0" class="std">
    +    <div class="content content_options"><table width="100%" cellspacing="0">
     
             <tr>
                 <td align="left">
                     <input type="submit" class="button" value="<?php echo $AppUI->_('update watches'); ?>" />
                 </td>
             </tr>
    -    </table>
    +    </table></div>
     </form>
    \ No newline at end of file
    Index: modules/forums/view_topics.php
    ===================================================================
    --- modules/forums/view_topics.php	(revision 1949)
    +++ modules/forums/view_topics.php	(working copy)
    @@ -45,28 +45,30 @@
     $crumbs = array();
     $crumbs['?m=forums'] = 'forums list';
     ?>
    -<br />
    +
     <?php
     if (function_exists('styleRenderBoxTop')) {
     	echo styleRenderBoxTop();
     }
     ?>
    +<br />
    +<?php echo breadCrumbs($crumbs); ?>
    +
    +<div class="content content_options"><table width="100%" cellspacing="0">
    +	<tr>
    +		<td align="left" nowrap="nowrap"></td>
    +		<td width="25%" align="right">
    +		<?php if ($canAuthor) { ?>
    +			<input type="button" class="button" value="<?php echo $AppUI->_('start a new topic'); ?>" onclick="javascript:window.location='./index.php?m=forums&a=viewer&forum_id=<?php echo $forum_id; ?>&post_message=1';" />
    +		<?php } ?>
    +		</td>
    +	</tr>
    +</table></div>
    +
     <form name="watcher" action="?m=forums&a=viewer&forum_id=<?php echo $forum_id; ?>&f=<?php echo $f; ?>" method="post" accept-charset="utf-8">
         <input type="hidden" name="dosql" value="do_watch_forum" />
         <input type="hidden" name="watch" value="topic" />
    -    <table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
    -        <tr><td colspan="5">
    -            <table width="100%" cellspacing="1" cellpadding="2" border="0">
    -            <tr>
    -                <td align="left" nowrap="nowrap"><?php echo breadCrumbs($crumbs); ?></td>
    -                <td width="25%" align="right">
    -                <?php if ($canAuthor) { ?>
    -                    <input type="button" class="button" value="<?php echo $AppUI->_('start a new topic'); ?>" onclick="javascript:window.location='./index.php?m=forums&a=viewer&forum_id=<?php echo $forum_id; ?>&post_message=1';" />
    -                <?php } ?>
    -                </td>
    -            </tr>
    -            </table>
    -        </td></tr>
    +    <div class="content content_table"><table width="100%" cellspacing="0" class="tbl">
             <tr>
                 <?php
                 $fieldList = array('watch_user', 'message_title', 'user_username', 'replies', 'latest_reply');
    @@ -120,13 +122,13 @@
         <?php
             }
         } ?>
    -    </table>
    +    </table></div>
     
    -    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="std">
    +	<div class="content content_options"><table width="100%" cellspacing="1">
             <tr>
                 <td align="left">
                     <input type="submit" class="button" value="<?php echo $AppUI->_('update watches'); ?>" />
                 </td>
             </tr>
    -    </table>
    +    </table></div>
     </form>
    \ No newline at end of file
    Index: modules/help/en/help.toc.hlp
    ===================================================================
    --- modules/help/en/help.toc.hlp	(revision 1949)
    +++ modules/help/en/help.toc.hlp	(working copy)
    @@ -1,5 +1,5 @@
     <!-- $Id: help.toc.hlp,v 1.12.12.2 2007/09/14 16:59:19 theideaman Exp $ -->
    -<table cellspacing="2" cellpadding="4" border="0" class="tbl" width="100%">
    +<div class="content content_table"><table cellspacing="1" class="tbl" width="100%">
     <tr>
     	<td width="100%" valign="top">
     		<p>
    @@ -21,4 +21,4 @@
     		</p>
     	</td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/help/fr/help.toc.hlp
    ===================================================================
    --- modules/help/fr/help.toc.hlp	(revision 1949)
    +++ modules/help/fr/help.toc.hlp	(working copy)
    @@ -1,5 +1,5 @@
     <!-- -->
    -<table cellspacing="2" cellpadding="4" border="0" class="tbl" width="100%">
    +<div class="content content_table"><table cellspacing="0" class="tbl" width="100%">
     <tr>
     	<td width="100%" valign="top">
     		<p>
    @@ -21,4 +21,4 @@
     		</p>
     	</td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/history/index.php
    ===================================================================
    --- modules/history/index.php	(revision 1949)
    +++ modules/history/index.php	(working copy)
    @@ -86,8 +86,7 @@
     	$last_page = $pages;
     }
     ?>
    -
    -<table width="100%" cellspacing="1" cellpadding="0" border="0">
    +<div class="content content_options"><table width="100%" cellspacing="0">
     <tr>
         <td nowrap="nowrap" align="right">
     <form name="filter" action="?m=history" method="post" accept-charset="utf-8">
    @@ -117,9 +116,8 @@
     </form>
             </td>
     	<td align="right"><input class="button" type="button" value="<?php echo $AppUI->_('Add history'); ?>" onclick="window.location='?m=history&a=addedit'"></td>
    -</table>
    -
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +</table></div>
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
     <tr>
     	<th width="10">&nbsp;</th>
     	<th width="200"><?php echo $AppUI->_('Date'); ?></th>
    @@ -150,4 +148,4 @@
         <?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/links/index_table.php
    ===================================================================
    --- modules/links/index_table.php	(revision 1949)
    +++ modules/links/index_table.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: index_table.php 1466 2010-09-22 05:14:41Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/links/index_table.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -14,12 +14,21 @@
     $m = 'links';
     
     if ($canEdit) {
    -    $titleBlock = new CTitleBlock( '', '', $m, "$m.$a" );
    -    $titleBlock->addCell(
    -        '<input type="submit" class="button" value="'.$AppUI->_('new link').'">', '',
    -        '<form action="?m=links&a=addedit&project_id='.$project_id.'&task_id='.$task_id.'" method="post" accept-charset="utf-8">', '</form>'
    -    );
    -    $titleBlock->show();
    +	echo ('
    +        <div class="content content_options">
    +			<table cellspacing="0" width="100%">
    +				<tr>
    +					<td width="99%"></td>
    +					<td align="right">
    +						<form action="?m=links&a=addedit&project_id='.$project_id.'&task_id='.$task_id.'" method="post" accept-charset="utf-8">
    +							<input type="submit" class="button" value="'.$AppUI->_('new link').'">			
    +						</form>
    +					</td>
    +				</tr>
    +			</table>
    +		</div>
    +    ');
    +
     }
     
     $page = (int) w2PgetParam($_GET, 'page', 1);
    @@ -48,7 +57,7 @@
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
     
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap">&nbsp;</th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Link Name'); ?></th>
    @@ -106,6 +115,6 @@
         </td>
     </tr>
     <?php } ?>
    -</table>
    +</table></div>
     <?php
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
    \ No newline at end of file
    Index: modules/projectdesigner/index.php
    ===================================================================
    --- modules/projectdesigner/index.php	(revision 1949)
    +++ modules/projectdesigner/index.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: index.php 1475 2010-10-18 03:28:23Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projectdesigner/index.php $ */
    +<?php /* $Id$ $URL$ */
     /*  Copyright (c) 2007 Pedro A. (web2Project Development Team Member)
     THIS MODULE WAS SPONSORED BY DUSTIN OF PURYEAR-IT.COM
     
    @@ -764,9 +764,9 @@
     </tr>
     </table>
     <div style="display:none;">
    -<table class="tbl">
    +<div class="content content_table"><table class="tbl">
     <tr><td id="td_sample">&nbsp;</td></tr>
    -</table>
    +</table></div>
     </div>
     <script language="javascript" type="text/javascript">
     var original_bgc = getStyle('td_sample', 'background-color', 'backgroundColor');
    Index: modules/projectdesigner/vw_addtasks.php
    ===================================================================
    --- modules/projectdesigner/vw_addtasks.php	(revision 1949)
    +++ modules/projectdesigner/vw_addtasks.php	(working copy)
    @@ -79,7 +79,7 @@
     	<input type="hidden" name="opt_view_actions" value="<?php echo (isset($view_options[0]['pd_option_view_actions']) ? $view_options[0]['pd_option_view_actions'] : 1); ?>" />
     	<input type="hidden" name="opt_view_addtsks" value="<?php echo (isset($view_options[0]['pd_option_view_addtasks']) ? $view_options[0]['pd_option_view_addtasks'] : 1); ?>" />
     	<input type="hidden" name="opt_view_files" value="<?php echo (isset($view_options[0]['pd_option_view_files']) ? $view_options[0]['pd_option_view_files'] : 1); ?>" />
    -    <table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl" >
    +    <div class="content content_table"><table cellspacing="1" width="100%" class="tbl" >
             <tr>
                 <td width="40%" valign="top" align="">
                     <table width="100%">
    @@ -131,5 +131,5 @@
                     </table>
                 </td>
             </tr>
    -    </table>
    +    </table></div>
     </form>
    \ No newline at end of file
    Index: modules/projectdesigner/vw_projecttask.php
    ===================================================================
    --- modules/projectdesigner/vw_projecttask.php	(revision 1949)
    +++ modules/projectdesigner/vw_projecttask.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_projecttask.php 1516 2010-12-05 07:18:58Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projectdesigner/vw_projecttask.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -278,10 +278,11 @@
     $projectPriority = w2PgetSysVal('ProjectPriority');
     $projectStatus = w2PgetSysVal('ProjectStatus');
     ?>
    -<table class="tbl" cellspacing="1" cellpadding="2" border="0" width="100%">
    -<td align="center">
    +<div class="content content_table"><table class="tbl" cellspacing="1" width="100%">
    +<tr><td align="center">
     <?php echo '<strong>Gantt Chart</strong>' ?>
     </td>
    +</tr>
     <tr>
         <td align="center" colspan="20">
     <?php
    @@ -289,4 +290,4 @@
     echo "<script language=\"javascript\" type=\"text/javascript\">document.write('<img src=\"$src\">')</script>";
     ?>
     </td>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projectdesigner/vw_tasks.php
    ===================================================================
    --- modules/projectdesigner/vw_tasks.php	(revision 1949)
    +++ modules/projectdesigner/vw_tasks.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_tasks.php 1525 2010-12-11 08:46:05Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projectdesigner/vw_tasks.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -199,8 +199,8 @@
     $expanded = $AppUI->getPref('TASKSEXPANDED');
     $open_link = w2PtoolTip($m, 'click to expand/collapse all the tasks for this project.') . '<a href="javascript: void(0);"><img onclick="expand_collapse(\'task_proj_' . $project_id . '_\', \'tblProjects\',\'collapse\',0,2);" id="task_proj_' . $project_id . '__collapse" src="' . w2PfindImage('up22.png', $m) . '" border="0" width="22" height="22" align="center" ' . (!$expanded ? 'style="display:none"' : '') . ' /><img onclick="expand_collapse(\'task_proj_' . $project_id . '_\', \'tblProjects\',\'expand\',0,2);" id="task_proj_' . $project_id . '__expand" src="' . w2PfindImage('down22.png', $m) . '" border="0" width="22" height="22" align="center" ' . ($expanded ? 'style="display:none"' : '') . ' alt="" /></a>' . w2PendTip();
     ?>
    -<form name="frm_tasks" accept-charset="utf-8"">
    -<table id="tblTasks" width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<form name="frm_tasks" accept-charset="utf-8">
    +<div class="content content_table"><table id="tblTasks" width="100%" cellspacing="1" class="tbl">
     <tr>
       <td colspan="16" align='left'>
     		<?php echo $open_link; ?>
    @@ -253,9 +253,9 @@
     	}
     }
     ?>
    -</table>
    +</table></div>
     </form>
    -<table>
    +<div class="content content_explanation"><table cellspacing="0" width="100%">
     <tr>
             <td><?php echo $AppUI->_('Key'); ?>:</td>
             <th>&nbsp;P&nbsp;</th>
    @@ -285,4 +285,4 @@
             <td style="border-style:solid;border-width:1px" bgcolor="#aaddaa">&nbsp; &nbsp;</td>
             <td>=<?php echo $AppUI->_('Done'); ?></td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/admin_tab.viewuser.projects.php
    ===================================================================
    --- modules/projects/admin_tab.viewuser.projects.php	(revision 1949)
    +++ modules/projects/admin_tab.viewuser.projects.php	(working copy)
    @@ -40,15 +40,15 @@
     $projects = projects_list_data($user_id);
     ?>
     
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
     <tr>
     	<td align="center" width="100%" nowrap="nowrap" colspan="7">&nbsp;</td>
     	<form action="?m=admin&a=viewuser&user_id=<?php echo $user_id; ?>&tab=<?php echo $tab; ?>" method="post" name="checkPwT" accept-charset="utf-8"><td align="right" nowrap="nowrap"><input type="checkbox" name="add_pwt" id="add_pwt" onclick="document.checkPwT.submit()" <?php echo $addPwT ? 'checked="checked"' : ''; ?> /></td><td align="right" nowrap="nowrap"><label for="add_pwt"><?php echo $AppUI->_('Show Projects with assigned Tasks'); ?>?</label><input type="hidden" name="show_form" value="1" /></td></form>
     	<form action="?m=admin&a=viewuser&user_id=<?php echo $user_id; ?>&tab=<?php echo $tab; ?>" method="post" name="pickCompany" accept-charset="utf-8"><td align="right" nowrap="nowrap"><?php echo $buffer; ?></td></form>
     	<form action="?m=admin&a=viewuser&user_id=<?php echo $user_id; ?>&tab=<?php echo $tab; ?>" method="post" name="pickProject" accept-charset="utf-8"><td align="right" nowrap="nowrap"><?php echo arraySelect($projFilter, 'proFilter', 'size=1 class=text onChange="document.pickProject.submit()"', $proFilter, true); ?></td></form>
     </tr>
    -</table>
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +</table></div>
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
         <tr>
             <?php
             $fieldList = array('project_color_identifier', 'project_priority',
    @@ -116,4 +116,4 @@
     <tr>
     	<td colspan="12">&nbsp;</td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/departments_tab.view.projects.php
    ===================================================================
    --- modules/projects/departments_tab.view.projects.php	(revision 1949)
    +++ modules/projects/departments_tab.view.projects.php	(working copy)
    @@ -58,7 +58,7 @@
     
     ?>
     
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_options"><table width="100%" cellspacing="0">
     <tr>
     	<td align="right" width="65" nowrap="nowrap">&nbsp;<?php echo $AppUI->_('sort by'); ?>:&nbsp;</td>
     	<td align="center" width="100%" nowrap="nowrap" colspan="6">&nbsp;</td>
    @@ -74,8 +74,8 @@
             </form>
         </td>
     </tr>
    -</table>
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +</table></div>
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
         <tr>
             <?php
             $fieldList = array('project_color_identifier', 'project_priority',
    @@ -142,7 +142,4 @@
     	echo '<tr><td colspan="12">' . $AppUI->_('No projects available') . '</td></tr>';
     }
     ?>
    -<tr>
    -	<td colspan="12">&nbsp;</td>
    -</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/departments_tab.view.projects_gantt.php
    ===================================================================
    --- modules/projects/departments_tab.view.projects_gantt.php	(revision 1949)
    +++ modules/projects/departments_tab.view.projects_gantt.php	(working copy)
    @@ -33,11 +33,11 @@
     
     $extraGet = '&user_id=' . $user_id;
     ?>
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_options"><table width="100%" cellspacing="0">
     <tr>
     	<td align="center" width="100%" nowrap="nowrap" colspan="6">&nbsp;</td><td align="right" nowrap="nowrap"><form action="?m=departments&tab=<?php echo $tab; ?>" method="post" name="checkPwOiD"><input type="checkbox" name="add_pwoid" id="add_pwoid" onclick="document.checkPwOiD.submit()" <?php echo $addPwOiD ? 'checked="checked"' : ''; ?>  accept-charset="utf-8"/><label for="add_pwoid"><?php echo $AppUI->_('Show Projects whose Owner is Member of the Dep.'); ?>?</label><input type="hidden" name="show_form" value="1" /></form></td>
     </tr>
    -</table>
    +</table></div>
     <?php
     $min_view = true;
     /*
    Index: modules/projects/viewgantt.php
    ===================================================================
    --- modules/projects/viewgantt.php	(revision 1949)
    +++ modules/projects/viewgantt.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: viewgantt.php 1506 2010-12-03 05:06:28Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/viewgantt.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -139,10 +139,8 @@
     </script>
     <form name="editFrm" method="post" action="?<?php echo 'm=' . $m . '&a=' . $a . (isset($user_id) ? '&user_id=' . $user_id : '') . '&tab=' . $tab; ?>" accept-charset="utf-8">
         <input type="hidden" name="display_option" value="<?php echo $display_option; ?>" />
    -    <table class="tbl" width="100%" border="0" cellpadding="4" cellspacing="0">
    -        <tr>
    -            <td>
    -                <table border="0" cellpadding="4" cellspacing="0" class="tbl">
    +
    +                <div class="content content_options"><table cellspacing="0" width="100%">
                         <tr>
                             <td align="left" valign="top" width="20">
                             <?php if ($display_option != "all") { ?>
    @@ -198,8 +196,8 @@
                                     <?php echo "<a href='javascript:showThisMonth()'>" . $AppUI->_('show this month') . "</a> : <a href='javascript:showFullProject()'>" . $AppUI->_('show all') . "</a><br>"; ?>
                             </td>
                         </tr>
    -                </table>
    -                <table cellspacing="0" cellpadding="0" border="1" align="center" class="tbl">
    +                </table></div>
    +                <table cellspacing="0" width="100%">
                         <tr>
                             <td>
                                 <?php
    @@ -209,7 +207,5 @@
                             </td>
                         </tr>
                     </table>
    -            </td>
    -        </tr>
    -    </table>
    +
     </form>
    \ No newline at end of file
    Index: modules/projects/vw_forums.php
    ===================================================================
    --- modules/projects/vw_forums.php	(revision 1949)
    +++ modules/projects/vw_forums.php	(working copy)
    @@ -9,7 +9,7 @@
     $forums = CProject::getForums($AppUI, $project_id);
     ?>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
     	<tr>
     		<th nowrap="nowrap">&nbsp;</th>
     		<th nowrap="nowrap" width="100%"><?php echo $AppUI->_('Forum Name'); ?></th>
    @@ -35,4 +35,4 @@
     			<td colspan="3"><?php echo $forum_info['forum_description']; ?></td>
     		</tr>
     	<?php } ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/vw_idx_projects.php
    ===================================================================
    --- modules/projects/vw_idx_projects.php	(revision 1949)
    +++ modules/projects/vw_idx_projects.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* PROJECTS $Id: vw_idx_projects.php 1500 2010-11-27 22:45:35Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/vw_idx_projects.php $ */
    +<?php /* PROJECTS $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -113,7 +113,7 @@
     
     <form action="./index.php" method="get" accept-charset="utf-8">
     
    -	<table id="tblProjects" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +	<div class="content content_table"><table id="tblProjects" width="100%" cellspacing="1" class="tbl">
     		<tr>
                 <?php
                 $fieldList = array();
    @@ -304,7 +304,7 @@
     			<?php
     			}
     		?>
    -	</table>
    +	</table></div>
     </form>
     <?php
     if ($is_tabbed) {
    Index: modules/projects/vw_logs.php
    ===================================================================
    --- modules/projects/vw_logs.php	(revision 1949)
    +++ modules/projects/vw_logs.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_logs.php 1474 2010-10-18 01:00:44Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/vw_logs.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -48,7 +48,8 @@
     }
     <?php } ?>
     </script>
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="std">
    +<div class="content content_options">
    +<table cellspacing="0" width="100%">
     <form name="frmFilter" action="./index.php" method="get" accept-charset="utf-8">
     <tr>
     	<td width="98%">&nbsp;</td>
    @@ -68,7 +69,8 @@
     <input type="hidden" name="tab" value="<?php echo $tab ?>"/>
     </form>
     </table>
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +</div>
    +<div class="content content_table"><table cellspacing="1" width="100%" class="tbl">
     <form name="frmDelete2" action="./index.php?m=tasks" method="post" accept-charset="utf-8">
     	<input type="hidden" name="dosql" value="do_updatetask" />
     	<input type="hidden" name="del" value="1" />
    @@ -143,4 +145,4 @@
     $s .= '</tr>';
     echo $s;
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/public/welcome.php
    ===================================================================
    --- modules/public/welcome.php	(revision 1949)
    +++ modules/public/welcome.php	(working copy)
    @@ -8,7 +8,7 @@
     $titleBlock->show();
     ?>
     
    -<table cellspacing="2" cellpadding="4" border="0" class="tbl" width="100%">
    +<div class="content content_table"><table cellspacing="1" class="tbl" width="100%">
     <th>
     	<strong><?php echo sprintf($AppUI->_('Welcome to %s'), 'web2Project'); ?></strong>
     </th>
    @@ -97,4 +97,4 @@
     		</ul>
     	</td>
     </tr>
    -</table>
    +</table></div>
    Index: modules/reports/index.php
    ===================================================================
    --- modules/reports/index.php	(revision 1949)
    +++ modules/reports/index.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: index.php 1522 2010-12-08 05:08:07Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/reports/index.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -62,16 +62,18 @@
     	$report_type_var = '&report_type=' . $report_type;
     }
     
    +echo '<div class="content content_options">';
    +
     if (!$suppressHeaders) {
     	if (!isset($display_project_name)) {
     		$display_project_name = $AppUI->_('All');
     	}
     	echo $AppUI->_('Selected Project') . ': <b>' . $display_project_name . '</b>';
     ?>
    -<form name="changeMe" action="./index.php?m=reports<?php echo $report_type_var; ?>" method="post" accept-charset="utf-8">
    -<?php echo $AppUI->_('Projects') . ':' . arraySelect($project_list, 'project_id', 'size="1" class="text" onchange="changeIt();"', $project_id, false); ?>
    -</form>
    -
    +	<form name="changeMe" action="./index.php?m=reports<?php echo $report_type_var; ?>" method="post" accept-charset="utf-8">
    +	<?php echo $AppUI->_('Projects') . ':' . arraySelect($project_list, 'project_id', 'size="1" class="text" onchange="changeIt();"', $project_id, false); ?>
    +	</form>
    +</div>
     <?php
     }
     if ($report_type) {
    @@ -83,8 +85,8 @@
     		echo styleRenderBoxTop();
     	}
     	$s = '';
    -	$s .= '<table width="100%" class="std">';
    -	$s .= '<tr><td><h2>' . $AppUI->_('Reports Available') . '</h2></td></tr>';
    +	$s .= '<div class="content content_table"><table width="100%" cellspacing="0" class="tbl">';
    +	$s .= '<tr><th>' . $AppUI->_('Reports Available') . '</th><th></th></tr>';
     
     	foreach ($reports as $key => $v) {
     		$type = str_replace('.php', '', $v);
    @@ -104,6 +106,6 @@
     		$s .= '<tr><td><a href="'.$link.'">'.$AppUI->_($type.'_name') . '</a></td>';
     		$s .= '<td>' . $AppUI->_($type.'_desc') . '</td></tr>';
     	}
    -	$s .= '</table>';
    +	$s .= '</table></div>';
     	echo $s;
     }
    \ No newline at end of file
    Index: modules/reports/reports/overall.php
    ===================================================================
    --- modules/reports/reports/overall.php	(revision 1949)
    +++ modules/reports/reports/overall.php	(working copy)
    @@ -108,7 +108,7 @@
     	$q->clear();
     
     	$table = '<h2>Company: ' . $company_name . '</h2>
    -    	<table cellspacing="1" cellpadding="4" border="0" class="tbl">';
    +    	<div class="content content_table"><table cellspacing="1" class="tbl">';
     	$project_row = '
             <tr>
                     <th>' . $AppUI->_('Project') . '</th>';
    @@ -170,7 +170,7 @@
     		$pdfdata[] = array($AppUI->_('Total'), round($hours, 2));
     		$allpdfdata[$company_name] = $pdfdata;
     		echo $table;
    -		echo '<tr><td>' . $AppUI->_('Total') . '</td><td style="text-align:right;">' . sprintf('%.2f', round($hours, 2)) . '</td></tr></table>';
    +		echo '<tr><td>' . $AppUI->_('Total') . '</td><td style="text-align:right;">' . sprintf('%.2f', round($hours, 2)) . '</td></tr></table></div>';
     	}
     
     	return $hours;
    Index: modules/reports/reports/stats.php
    ===================================================================
    --- modules/reports/reports/stats.php	(revision 1949)
    +++ modules/reports/reports/stats.php	(working copy)
    @@ -130,7 +130,7 @@
     $ontime = round(100 * (1 - ($tasks['overdue']/count($all_tasks)) - ($tasks['completed']/count($all_tasks))));
     ?>
     
    -<table width="100%" border="1" cellpadding="0" cellspacing="0" class="tbl">
    +<div class="content content_table"><table width="100%" cellspacing="0" class="tbl">
         <tr>
             <th colspan="3"><?php echo $AppUI->_('Progress Chart (completed/in progress/pending)'); ?></th>
         </tr>
    @@ -139,9 +139,9 @@
             <td width="<?php echo round($tasks['inprogress'] / count($all_tasks) * 100); ?>%" style="background: aquamarine; text-align: center;"><?php echo $AppUI->_('in progress'); ?></td>
             <td width="<?php echo round($tasks['pending'] / count($all_tasks) * 100); ?>%" style="background: gold; text-align: center;"><?php echo $AppUI->_('pending'); ?></td>
         </tr>
    -</table>
    +</table></div>
     <br />
    -<table width="100%" border="1" cellpadding="0" cellspacing="0" class="tbl">
    +<div class="content content_table"><table width="100%" cellspacing="0" class="tbl">
         <tr>
             <th colspan="3"><?php echo $AppUI->_('Time Chart (completed/on time/ocerdue)'); ?></td>
         </tr>
    @@ -150,12 +150,12 @@
             <td width="<?php echo $ontime; ?>%" style="background: aquamarine; text-align: center;"><?php echo $AppUI->_('on time'); ?></td>
             <td width="<?php echo round($tasks['overdue']/ count($all_tasks) * 100); ?>%" style="background: tomato; text-align: center;"><?php echo $AppUI->_('overdue'); ?></td>
         </tr>
    -</table>
    +</table></div>
     <br />
    -<table class="tbl">
    +<div class="content content_table"><table class="tbl">
         <tr>
             <td>
    -            <table width="100%" cellspacing="1" cellpadding="4" border="0" class="tbl">
    +            <div class="content content_table"><table width="100%" cellspacing="0" class="tbl">
                     <tr>
                         <th colspan="3"><?php echo $AppUI->_('Current Project Status'); ?></th>
                     </tr>
    @@ -183,9 +183,9 @@
                         <td align="right"><?php echo count($all_tasks); ?></td>
                         <td align="right">100%</td>
                     </tr>
    -            </table>
    +            </table></div>
                 <br />
    -            <table width="100%" cellspacing="1" cellpadding="4" border="0" class="tbl">
    +            <div class="content content_table"><table width="100%" cellspacing="0" class="tbl">
                     <tr>
                         <th colspan="2"><?php echo $AppUI->_('Project Assignee Details'); ?></th>
                     </tr>
    @@ -193,9 +193,9 @@
                         <td><?php echo $AppUI->_('Team Size'); ?>:</td>
                         <td align="right"><?php echo count($users); ?> <?php echo $AppUI->_('users'); ?></td>
                     </tr>
    -            </table>
    +            </table></div>
                 <br />
    -            <table width="100%" cellspacing="1" cellpadding="4" border="0" class="tbl">
    +            <div class="content content_table"><table width="100%" cellspacing="0" class="tbl">
                     <tr>
                         <th colspan="2"><?php echo $AppUI->_('Document Space Utilized'); ?></th>
                     </tr>
    @@ -203,10 +203,10 @@
                         <td><?php echo $AppUI->_('Space Utilized'); ?>:</td>
                         <td align="right" nowrap="nowrap"><?php echo file_size($files); ?></td>
                     </tr>
    -            </table>
    +            </table></div>
             </td>
             <td width="100%" valign="top">
    -            <table width="100%" cellspacing="1" cellpadding="4" border="0" class="tbl">
    +            <div class="content content_table"><table width="100%" cellspacing="0" class="tbl">
                     <tr>
                         <th><?php echo $AppUI->_('Task Assignee'); ?></th>
                         <th><?php echo $AppUI->_('Past Due'); ?></th>
    @@ -236,7 +236,7 @@
                         <td align="right" class="highlight"><?php echo count($all_tasks); ?></td>
                         <td align="right" class="highlight"><?php echo $tasks['hours']; ?> <?php echo $AppUI->_('hours'); ?></td>
                     </tr>
    -            </table>
    +            </table></div>
             </td>
         </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/reports/reports/tasklist.php
    ===================================================================
    --- modules/reports/reports/tasklist.php	(revision 1949)
    +++ modules/reports/reports/tasklist.php	(working copy)
    @@ -182,7 +182,7 @@
     <tr>
     	<td>';
     
    -	echo '<table cellspacing="1" cellpadding="4" border="0" class="tbl">';
    +	echo '<div class="content content_table"><table cellspacing="1" class="tbl">';
     	if ($project_id == 0) {
     		echo '<tr><th>Project Name</th><th>Task Name</th>';
     	} else {
    @@ -250,7 +250,7 @@
     			$pdfdata[] = array($Tasks['task_name'], $Tasks['task_description'], $users, (($start_date != ' ') ? $start_date->format($df) : ' '), (($end_date != ' ') ? $end_date->format($df) : ' '), $Tasks['task_percent_complete'] . '%', );
     		}
     	}
    -	echo '</table>';
    +	echo '</table></div>';
     	if ($log_pdf) {
     		// make the PDF file
     		$q = new w2p_Database_Query;
    Index: modules/reports/reports/tasklogs.php
    ===================================================================
    --- modules/reports/reports/tasklogs.php	(revision 1949)
    +++ modules/reports/reports/tasklogs.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: tasklogs.php 1489 2010-11-12 10:37:23Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/reports/reports/tasklogs.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -208,7 +208,7 @@
     	$logs = $q->loadList();
     	echo db_error();
     ?>
    -	<table cellspacing="1" cellpadding="4" border="0" class="tbl">
    +	<div class="content content_table"><table cellspacing="1" class="tbl">
     	<tr>
     		<th><?php echo $AppUI->_('Creator'); ?></th>
     		<th><?php echo $AppUI->_('Company'); ?></th>
    @@ -265,7 +265,7 @@
     		<td align="right" colspan="7"><?php echo $AppUI->_('Report Totals'); ?>:</td>
     		<td align="right"><?php printf('%.2f', $hours); ?></td>
     	</tr>
    -	</table>
    +	</table></div>
     <?php
     	if ($log_pdf) {
     		// make the PDF file
    Index: modules/reports/reports/tasklogs_xp1.php
    ===================================================================
    --- modules/reports/reports/tasklogs_xp1.php	(revision 1949)
    +++ modules/reports/reports/tasklogs_xp1.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: tasklogs_xp1.php 1489 2010-11-12 10:37:23Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/reports/reports/tasklogs_xp1.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -206,7 +206,7 @@
     	$logs = $q->loadList();
     	echo db_error();
     ?>
    -	<table cellspacing="1" cellpadding="4" border="0" class="tbl">
    +	<div class="content content_table"><table cellspacing="1" class="tbl">
     	<tr>
     		<th><?php echo $AppUI->_('Creator'); ?></th>
     		<th><?php echo $AppUI->_('Company'); ?></th>
    @@ -269,7 +269,7 @@
     		<td>&nbsp;</td>
     		<td align="right"><?php printf('%.2f', $tamount); ?></td>		
     	</tr>
    -	</table>
    +	</table></div>
     <?php
     	if ($log_pdf) {
     		// make the PDF file
    Index: modules/reports/reports/userperformance.php
    ===================================================================
    --- modules/reports/reports/userperformance.php	(revision 1949)
    +++ modules/reports/reports/userperformance.php	(working copy)
    @@ -129,7 +129,7 @@
     	$q->clear();
     ?>
     
    -<table cellspacing="1" cellpadding="4" border="0" class="tbl">
    +<div class="content content_table"><table cellspacing="1" class="tbl">
     	<tr>
     		<th colspan='2'><?php echo $AppUI->_('User'); ?></th>
     		<th><?php echo $AppUI->_('Hours allocated'); ?></th>
    @@ -231,7 +231,7 @@
     		</tr>
     		<?php
     	}
    -	echo '</table>';
    +	echo '</table></div>';
     	echo '</td>
     </tr>
     </table>';
    Index: modules/resources/tasks_tab.view.other_resources.php
    ===================================================================
    --- modules/resources/tasks_tab.view.other_resources.php	(revision 1949)
    +++ modules/resources/tasks_tab.view.other_resources.php	(working copy)
    @@ -35,7 +35,7 @@
     }
     
     ?>
    -<table class="std" width="100%" cellpadding="4" cellspacing="1">
    +<div class="content content_table"><table class="tbl" width="100%" cellspacing="1">
     <tr><th>Type</th><th>Resource</th><th>Allocation</th><th>&nbsp;</th></tr>
     <?php
     foreach ($resources as $res) {
    @@ -49,4 +49,4 @@
     	echo $output;
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/resources/vw_resources.php
    ===================================================================
    --- modules/resources/vw_resources.php	(revision 1949)
    +++ modules/resources/vw_resources.php	(working copy)
    @@ -18,7 +18,7 @@
     }
     $res = &$query->exec();
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap" width="20%">
         	<?php echo $AppUI->_('ID'); ?>
    @@ -52,4 +52,4 @@
     }
     $query->clear();
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/smartsearch/index.php
    ===================================================================
    --- modules/smartsearch/index.php	(revision 1949)
    +++ modules/smartsearch/index.php	(working copy)
    @@ -258,7 +258,7 @@
     	}
     
       ?>
    -  <table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +  <div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
       	<?php
         	$perms = &$AppUI->acl();
         	sort($files);
    @@ -296,6 +296,6 @@
             }
         	echo '<tr><td><b>' . $AppUI->_('Total records found') . ': ' . $reccount . '</b></td></tr>';
         ?>
    -  </table>
    +  </table></div>
     <?php
     }
    \ No newline at end of file
    Index: modules/system/acls_view.php
    ===================================================================
    --- modules/system/acls_view.php	(revision 1949)
    +++ modules/system/acls_view.php	(working copy)
    @@ -45,7 +45,7 @@
     
     $actions = array(0 => 'All Actions', 'access' => 'access', 'add' => 'add', 'delete' => 'delete', 'edit' => 'edit', 'view' => 'view');
     
    -$table = '<table class="tbl" width="100%" cellspacing="1" cellpadding="2" border="0">';
    +$table = '<div class="content content_table"><table class="tbl" width="100%" cellspacing="1" >';
     $table .= '<tr><th colspan="9"><b>Permission Result Table</b></th></tr>';
     $table .= '<tr><th>UserID</th><th>User</th><th>User Name</th><th>Module</th><th>Item</th><th>Item Name</th><th>Action</th><th>Allow</th><th>ACL_ID</th></tr>';
     foreach ($permissions as $permission) {
    @@ -67,7 +67,7 @@
     		$table .= '<tr>' . '<td style="text-align:right;">' . $permission['user_id'] . '</td>' . '<td>' . $permission['user_name'] . '</td>' . '<td>' . $users[$permission['user_id']] . '</td>' . '<td>' . $permission['module'] . '</td>' . '<td style="text-align:right;">' . ($permission['item_id'] ? $permission['item_id'] : '') . '</td>' . '<td>' . ($item ? $item : 'ALL') . '</td>' . '<td>' . $permission['action'] . '</td>' . '<td ' . (!$permission['access'] ? 'style="text-align:right;background-color:red"' : 'style="text-align:right;background-color:green"') . '>' . $permission['access'] . '</td>' . '<td ' . ($permission['acl_id'] ? '' : 'style="background-color:gray"') . '>' . ($permission['acl_id'] ? $permission['acl_id'] : 'soft-denial') . '</td>' . '</tr>';
     	}
     }
    -$table .= '</table>';
    +$table .= '</table></div>';
     $users = array('' => '(' . $AppUI->_('Select User') . ')') + $users;
     $user = (isset($_POST['user']) && $_POST['user'] != '') ?  $_POST['user'] : $AppUI->user_id;
     $user_selector = arraySelect($users, 'user', 'class="text" onchange="javascript:document.pickUser.submit()"', $user);
    Index: modules/system/customfields/index.php
    ===================================================================
    --- modules/system/customfields/index.php	(revision 1949)
    +++ modules/system/customfields/index.php	(working copy)
    @@ -30,7 +30,7 @@
     	<input type="hidden" name="del" value="1" />
     	<input type="hidden" name="field_id" value="<?php echo $project_id; ?>" />
     </form>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
         <?php foreach ($modules as $module) { ?>
         <tr>
             <td colspan="10">
    @@ -75,4 +75,4 @@
     	}
     
         }?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/roles/index.php
    ===================================================================
    --- modules/system/roles/index.php	(revision 1949)
    +++ modules/system/roles/index.php	(working copy)
    @@ -51,7 +51,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table cellspacing="1" width="100%" class="tbl">
     <tr>
     	<th>&nbsp;</th>
     	<th><?php echo $AppUI->_('Role ID'); ?></th>
    @@ -70,4 +70,4 @@
     	echo showRoleRow();
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/roles/vw_role_perms.php
    ===================================================================
    --- modules/system/roles/vw_role_perms.php	(revision 1949)
    +++ modules/system/roles/vw_role_perms.php	(working copy)
    @@ -103,7 +103,7 @@
     <tr>
     	<td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Item'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Type'); ?></th>
    @@ -178,7 +178,7 @@
     	}
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    Index: modules/system/syskeys/index.php
    ===================================================================
    --- modules/system/syskeys/index.php	(revision 1949)
    +++ modules/system/syskeys/index.php	(working copy)
    @@ -86,7 +86,7 @@
     
     <form name="sysValFrm" method="post" action="?m=system&u=syskeys&a=do_sysval_aed" accept-charset="utf-8">
       <input type="hidden" name="del" value="0" />
    -  <table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +  <div class="content content_table"><table cellspacing="1" width="100%" class="tbl">
         <tr>
         	<th>&nbsp;</th>
         	<th><?php echo $AppUI->_('Key Type'); ?></th>
    @@ -103,7 +103,7 @@
         	echo showRow();
         }
         ?>
    -  </table>
    +  </table></div>
     </form>
     
     <?php
    Index: modules/system/syskeys/keys.php
    ===================================================================
    --- modules/system/syskeys/keys.php	(revision 1949)
    +++ modules/system/syskeys/keys.php	(working copy)
    @@ -40,7 +40,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table cellspacing="1" width="100%" class="tbl">
     <tr>
     	<th>&nbsp;</th>
     	<th><?php echo $AppUI->_('Name'); ?></th>
    @@ -91,4 +91,4 @@
     	echo showRow();
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/translate.php
    ===================================================================
    --- modules/system/translate.php	(revision 1949)
    +++ modules/system/translate.php	(working copy)
    @@ -96,7 +96,7 @@
     <form action="?m=system&a=translate_save" method="post" name="editlang" accept-charset="utf-8">
     <input type="hidden" name="module" value="<?php echo $modules[$module]; ?>" />
     <input type="hidden" name="lang" value="<?php echo $lang; ?>" />
    -<table width="100%" border="0" cellpadding="1" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" cellspacing="1" class="tbl">
     <tr>
     	<th width="15%" nowrap="nowrap"><?php echo $AppUI->_('Abbreviation'); ?></th>
     	<th width="40%" nowrap="nowrap"><?php echo $AppUI->_('English String'); ?></th>
    @@ -160,5 +160,5 @@
     		<input type="submit" value="<?php echo $AppUI->_('submit'); ?>" class="button" />
     	</td>
     </tr>
    -</table>
    +</table></div>
     </form>
    \ No newline at end of file
    Index: modules/system/viewmods.php
    ===================================================================
    --- modules/system/viewmods.php	(revision 1949)
    +++ modules/system/viewmods.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: viewmods.php 1504 2010-12-01 07:07:21Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/system/viewmods.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -30,7 +30,7 @@
     $titleBlock->show();
     ?>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table cellspacing="1" width="100%" class="tbl">
         <tr>
             <th colspan="2"><?php echo $AppUI->_('Module'); ?></th>
             <th><?php echo $AppUI->_('Status'); ?></th>
    @@ -149,4 +149,4 @@
                 </form>
             </td>
         </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/index.php
    ===================================================================
    --- modules/tasks/index.php	(revision 1949)
    +++ modules/tasks/index.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: index.php 1523 2010-12-08 07:05:28Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/index.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    Index: modules/tasks/tasks.php
    ===================================================================
    --- modules/tasks/tasks.php	(revision 1949)
    +++ modules/tasks/tasks.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: tasks.php 1525 2010-12-11 08:46:05Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/tasks.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -432,6 +432,7 @@
     if ($project_id) {
     	$open_link = w2PtoolTip($m, 'click to expand/collapse all the tasks for this project.') . '<a href="javascript: void(0);"><img onclick="expand_collapse(\'project_' . $project_id . '_\', \'tblProjects\',\'collapse\',0,2);" id="project_' . $project_id . '__collapse" src="' . w2PfindImage('up22.png', $m) . '" border="0" width="22" height="22" align="center" ' . (!$expanded ? 'style="display:none"' : '') . ' alt="" /><img onclick="expand_collapse(\'project_' . $project_id . '_\', \'tblProjects\',\'expand\',0,2);" id="project_' . $project_id . '__expand" src="' . w2PfindImage('down22.png', $m) . '" border="0" width="22" height="22" align="center" ' . ($expanded ? 'style="display:none"' : '') . ' alt="" /></a>' . w2PendTip();
     	?>
    +	<div class="content content_options">
     	<form name="task_list_options" method="post" action=""<?php echo $query_string; ?>" accept-charset="utf-8">
     		<input type='hidden' name='show_task_options' value='1' />
     		<table width='100%' border='0' cellpadding='1' cellspacing='0'>
    @@ -454,8 +455,9 @@
     			</tr>
     		</table>
     	</form>
    +	</div>
     <?php } ?>
    -<table id="tblProjects" width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl">
    +<div class="content content_table"><table id="tblProjects" width="100%" cellspacing="1" class="tbl">
     	<tr>
     		<th width="10">&nbsp;</th>
     		<th width="10"><?php echo $AppUI->_('Pin'); ?></th>
    @@ -649,8 +651,8 @@
     		}
     		$AppUI->savePlace();
     	?>
    -</table>
    -<table width="100%" class="std">
    +</table></div>
    +<div class="content content_explanation"><table cellspacing="0" width="100%" class="std">
     	<tr>
     		<td nowrap="nowrap"><?php echo $AppUI->_('Key'); ?>:</td>
     		<td>&nbsp;</td>
    @@ -670,4 +672,4 @@
     		<td nowrap="nowrap">=<?php echo $AppUI->_('Done'); ?></td>
     		<td width="40%">&nbsp;</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/todo_tasks_sub.php
    ===================================================================
    --- modules/tasks/todo_tasks_sub.php	(revision 1949)
    +++ modules/tasks/todo_tasks_sub.php	(working copy)
    @@ -10,7 +10,7 @@
     $perms = &$AppUI->acl();
     $canDelete = $perms->checkModuleItem($m, 'delete');
     ?>
    -<form name="form_buttons" method="post" action="index.php?<?php echo 'm=' . $m . '&amp;a=' . $a . '&amp;date=' . $date; ?>" accept-charset="utf-8">
    +<div class="content content_options"><form name="form_buttons" method="post" action="index.php?<?php echo 'm=' . $m . '&amp;a=' . $a . '&amp;date=' . $date; ?>" accept-charset="utf-8">
         <input type="hidden" name="show_form" value="1" />
         <table width="100%" border="0" cellpadding="1" cellspacing="0">
             <tr>
    @@ -66,8 +66,10 @@
             </tr>
         </table>
     </form>
    +</div>
    +<div class="content content_table">
     <form name="form" method="post" action="index.php?<?php echo "m=$m&amp;a=$a&amp;date=$date"; ?>" accept-charset="utf-8">
    -    <table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +    <table width="100%" cellspacing="1" class="tbl">
             <tr>
                 <th width="10">&nbsp;</th>
                 <th width="10"><?php echo $AppUI->_('Pin'); ?></th>
    @@ -135,7 +137,8 @@
             </tr>
         </table>
     </form>
    -<table>
    +</div>
    +<div class="content content_explanation"><table cellspacing="0" width="100%">
         <tr>
             <td>&nbsp; &nbsp;</td>
             <td style="border-style:solid;border-width:1px" bgcolor="#ffffff">&nbsp; &nbsp;</td>
    @@ -149,4 +152,4 @@
             <td style="border-style:solid;border-width:1px" bgcolor="#CC6666">&nbsp; &nbsp;</td>
             <td>=<?php echo $AppUI->_('Overdue'); ?></td>
         </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/vw_logs.php
    ===================================================================
    --- modules/tasks/vw_logs.php	(revision 1949)
    +++ modules/tasks/vw_logs.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_logs.php 1474 2010-10-18 01:00:44Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/vw_logs.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -32,7 +32,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table cellspacing="1" width="100%" class="tbl">
     <form name="frmDelete2" action="./index.php?m=tasks" method="post" accept-charset="utf-8">
     	<input type="hidden" name="dosql" value="do_updatetask" />
     	<input type="hidden" name="del" value="1" />
    @@ -130,8 +130,8 @@
     $s .= '</tr>';
     echo $s;
     ?>
    -</table>
    -<table>
    +</table></div>
    +<div class="content content_explanation"><table cellspacing="0" width="100%">
     <tr>
     	<td><?php echo $AppUI->_('Key'); ?>:</td>
     	<td>&nbsp; &nbsp;</td>
    @@ -140,4 +140,4 @@
     	<td bgcolor="#CC6666">&nbsp; &nbsp;</td>
     	<td>=<?php echo $AppUI->_('Problem Report'); ?></td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    
    patch file icon patch_0000841.patch (79,723 bytes) 1969-12-31 16:00 +
  • patch file icon patch_0000841_v2.patch (36,804 bytes) 1969-12-31 16:00 -
    Index: classes/w2p/Output/HTMLHelper.class.php
    ===================================================================
    --- classes/w2p/Output/HTMLHelper.class.php	(revision 1949)
    +++ classes/w2p/Output/HTMLHelper.class.php	(working copy)
    @@ -10,7 +10,7 @@
     
         public static function renderContactList(CAppUI $AppUI, array $contactList) {
     
    -        $output  = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +        $output  = '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
             $output .= '<tr><th>'.$AppUI->_('Name').'</th><th>'.$AppUI->_('Email').'</th>';
             $output .= '<th>'.$AppUI->_('Phone').'</th><th>'.$AppUI->_('Department').'</th></tr>';
             foreach ($contactList as $contact_id => $contact_data) {
    @@ -24,7 +24,7 @@
                 $output .= '<td class="hilite">' . $contact_data['dept_name'] . '</td>';
                 $output .= '</tr>';
             }
    -        $output .= '</table>';
    +        $output .= '</table></div>';
     
             return $output;
         }
    Index: modules/admin/vw_usr_log.php
    ===================================================================
    --- modules/admin/vw_usr_log.php	(revision 1949)
    +++ modules/admin/vw_usr_log.php	(working copy)
    @@ -51,6 +51,7 @@
     	</tr>
     </table>
     
    +<div class="content content_options">
     <form action="index.php?m=admin<?php echo $a; ?>" method="post" name="frmDate" accept-charset="utf-8">
         <input type="hidden" name="user_id" id="user_id" value="<?php $user_id; ?>" />
         <table align="center" width="100%">
    @@ -79,6 +80,7 @@
             </tr>
         </table>
     </form>
    +</div>
     
     <?php
     if (w2PgetParam($_REQUEST, 'showdetails', 0) == 1) {
    @@ -89,7 +91,7 @@
         $userId = isset($userId) ? $userId : 0;
         $logs = CUser::getLogs($userId, $start_date, $end_date);
         ?>
    -	<table align="center" class="tbl" width="50%">
    +	<div class="content content_table"><table align="center" class="tbl" width="50%">
     		<tr>
     			<th nowrap="nowrap" ><?php echo $AppUI->_('Name(s)'); ?></th>
     			<th nowrap="nowrap" ><?php echo $AppUI->_('Last Name'); ?></th>
    @@ -106,6 +108,6 @@
     				<td align="center"><?php echo $detail['date_time_out']; ?></td>
     			</tr>
     		<?php } ?>
    -	</table>
    +	</table></div>
         <?php
     }
    \ No newline at end of file
    Index: modules/admin/vw_usr_perms.php
    ===================================================================
    --- modules/admin/vw_usr_perms.php	(revision 1949)
    +++ modules/admin/vw_usr_perms.php	(working copy)
    @@ -131,7 +131,7 @@
     <table width="100%" border="0" cellpadding="2" cellspacing="0">
     <tr><td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Item'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Type'); ?></th>
    @@ -206,7 +206,7 @@
     	}
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    Index: modules/admin/vw_usr_roles.php
    ===================================================================
    --- modules/admin/vw_usr_roles.php	(revision 1949)
    +++ modules/admin/vw_usr_roles.php	(working copy)
    @@ -51,7 +51,7 @@
     <table width="100%" border="0" cellpadding="2" cellspacing="0">
     <tr><td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Role'); ?></th>
     	<th>&nbsp;</th>
    @@ -73,7 +73,7 @@
     	echo "<tr>$buf</tr>";
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    Index: modules/admin/vw_usr_sessions.php
    ===================================================================
    --- modules/admin/vw_usr_sessions.php	(revision 1949)
    +++ modules/admin/vw_usr_sessions.php	(working copy)
    @@ -82,7 +82,7 @@
     
     ?>
     
    -<table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
    +<div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
         <tr>
             <th colspan="2">&nbsp; <?php echo $AppUI->_('sort by'); ?>:&nbsp;</th>
             <?php
    @@ -119,4 +119,4 @@
     	echo $s;
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/calendar/companies_tab.view.events.php
    ===================================================================
    --- modules/calendar/companies_tab.view.events.php	(revision 1949)
    +++ modules/calendar/companies_tab.view.events.php	(working copy)
    @@ -23,7 +23,7 @@
     $df = $AppUI->getPref('SHDATEFORMAT');
     $types = w2PgetSysVal('EventType');
     
    -$html = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html = '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     $html .= '<tr><th>' . $AppUI->_('Date') . '</th><th>' . $AppUI->_('Type') . '</th><th>' . $AppUI->_('Event') . '</th></tr>';
     foreach ($events as $row) {
     	$html .= '<tr>';
    @@ -43,5 +43,5 @@
     	$html .= $href ? '</a>' : '';
     	$html .= '</td></tr>';
     }
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/projects_tab.view.events.php
    ===================================================================
    --- modules/calendar/projects_tab.view.events.php	(revision 1949)
    +++ modules/calendar/projects_tab.view.events.php	(working copy)
    @@ -26,7 +26,7 @@
     $df = $AppUI->getPref('SHDATEFORMAT');
     $types = w2PgetSysVal('EventType');
     
    -$html = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html = '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     $html .= '<tr><th>' . $AppUI->_('Date') . '</th><th>' . $AppUI->_('Type') . '</th><th>' . $AppUI->_('Event') . '</th></tr>';
     foreach ($events as $row) {
     	$html .= '<tr>';
    @@ -50,5 +50,5 @@
     
     	$html .= '</td></tr>';
     }
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/vw_day_events.php
    ===================================================================
    --- modules/calendar/vw_day_events.php	(revision 1949)
    +++ modules/calendar/vw_day_events.php	(working copy)
    @@ -58,7 +58,7 @@
     
     $this_day->setTime($start, 0, 0);
     
    -$html = '<form action="'.$_SERVER['REQUEST_URI'].'" method="post" name="pickFilter" accept-charset="utf-8">';
    +$html = '<div class="content content_options"><form action="'.$_SERVER['REQUEST_URI'].'" method="post" name="pickFilter" accept-charset="utf-8">';
     $html .= $AppUI->_('Event Filter') . ':' . arraySelect($event_filter_list, 'event_filter', 'onChange="document.pickFilter.submit()" class="text"', $event_filter, true);
     if ($other_users) {
     	$html .= $AppUI->_('Show Events for') . ':' . '<select name="show_user_events" onchange="document.pickFilter.submit()" class="text">';
    @@ -77,8 +77,8 @@
     
     require_once (W2P_BASE_DIR . '/modules/calendar/links_events.php');
     
    -$html .= '</form>';
    -$html .= '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html .= '</form></div>';
    +$html .= '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     $rows = 0;
     for ($i = 0, $n = ($end - $start) * 60 / $inc; $i < $n; $i++) {
     	$html .= '<tr>';
    @@ -121,5 +121,5 @@
     	$this_day->addSeconds(60 * $inc);
     }
     
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/vw_day_tasks.php
    ===================================================================
    --- modules/calendar/vw_day_tasks.php	(revision 1949)
    +++ modules/calendar/vw_day_tasks.php	(working copy)
    @@ -13,7 +13,7 @@
     $s = '';
     $dayStamp = $this_day->format(FMT_TIMESTAMP_DATE);
     
    -echo '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +echo '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     
     if (isset($links[$dayStamp])) {
     	foreach ($links[$dayStamp] as $e) {
    @@ -28,7 +28,7 @@
     	}
     }
     echo $s;
    -echo '</table>';
    +echo '</table></div>';
     
     $min_view = 1;
     include W2P_BASE_DIR . '/modules/tasks/todo.php';
    \ No newline at end of file
    Index: modules/calendar/year_view.php
    ===================================================================
    --- modules/calendar/year_view.php	(revision 1949)
    +++ modules/calendar/year_view.php	(working copy)
    @@ -131,7 +131,7 @@
     				}
     				echo $s;
     			?>
    -			<table width="100%" class="minical">
    +			<div class="content content_explanation"><table width="100%" class="minical">
     				<tr>
     					<td valign="top" align="center" width="20%">&nbsp;</td>
     					<td nowrap="nowrap"><?php echo $AppUI->_('Key'); ?>:</td>
    @@ -156,7 +156,7 @@
     					<td>&nbsp;</td>
     					<td width="20%">&nbsp;</td>
     				</tr>
    -			</table>
    +			</table></div>
     		</td>
     	</tr>
     </table>
    \ No newline at end of file
    Index: modules/companies/vw_active.php
    ===================================================================
    --- modules/companies/vw_active.php	(revision 1949)
    +++ modules/companies/vw_active.php	(working copy)
    @@ -17,7 +17,7 @@
     
     $projects = CCompany::getProjects($AppUI, $company_id, 1, $sort);
     
    -?><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
    +?><div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
     if (count($projects) > 0) {
     	?>
     	<tr>
    @@ -61,4 +61,4 @@
     	?><tr><td colspan="5"><?php echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg(); ?></td></tr><?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_archived.php
    ===================================================================
    --- modules/companies/vw_archived.php	(revision 1949)
    +++ modules/companies/vw_archived.php	(working copy)
    @@ -11,7 +11,7 @@
     
     $projects = CCompany::getProjects($AppUI, $company_id, 0);
     
    -?><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
    +?><div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
     
     if (count($projects) > 0) {
     	?><tr><th><?php echo $AppUI->_('Name'); ?></th><th><?php echo $AppUI->_('Owner'); ?></th></tr><?php
    @@ -29,4 +29,4 @@
     	?><tr><td colspan="5"><?php echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg(); ?></td></tr><?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_companies.php
    ===================================================================
    --- modules/companies/vw_companies.php	(revision 1949)
    +++ modules/companies/vw_companies.php	(working copy)
    @@ -25,7 +25,7 @@
     
     $companyList = $company->getCompanyList($AppUI, $company_type_filter, $search_string, $owner_filter_id, $orderby, $orderdir);
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
         <tr>
             <?php
             $fieldList = array('company_name', 'countp', 'inactive', 'company_type');
    @@ -53,4 +53,4 @@
                 echo '<tr><td colspan="5">' . $AppUI->_('No companies available') . '</td></tr>';
             }
         ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_contacts.php
    ===================================================================
    --- modules/companies/vw_contacts.php	(revision 1949)
    +++ modules/companies/vw_contacts.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_contacts.php 1516 2010-12-05 07:18:58Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/companies/vw_contacts.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -11,7 +11,7 @@
     
     $contacts = CCompany::getContacts($AppUI, $company->company_id);
     
    -?><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl"><?php
    +?><div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl"><?php
     if (count($contacts) > 0) {
     	?>
     	<tr>
    @@ -47,4 +47,4 @@
     			<input type="button" class=button value="<?php echo $AppUI->_('new contact') ?>" onClick="javascript:window.location='./index.php?m=contacts&a=addedit&company_id=<?php echo $company->company_id; ?>'">
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_depts.php
    ===================================================================
    --- modules/companies/vw_depts.php	(revision 1949)
    +++ modules/companies/vw_depts.php	(working copy)
    @@ -48,7 +48,7 @@
     	}
     }
     
    -$s = '<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">';
    +$s = '<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">';
     $s .= '<tr>';
     
     if (count($depts)) {
    @@ -80,4 +80,4 @@
     echo '
     	</td>
     </tr>
    -</table>';
    \ No newline at end of file
    +</table></div>';
    \ No newline at end of file
    Index: modules/companies/vw_users.php
    ===================================================================
    --- modules/companies/vw_users.php	(revision 1949)
    +++ modules/companies/vw_users.php	(working copy)
    @@ -13,7 +13,7 @@
     
     if (count($userList) > 0) {
     	?>
    -		<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +		<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     		<tr>
     			<th><?php echo $AppUI->_('Username'); ?></td>
     			<th><?php echo $AppUI->_('Name'); ?></td>
    @@ -28,7 +28,7 @@
     			}
     			echo $s;
     		?>
    -		</table>
    +		</table></div>
     	<?php
     } else {
     	echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg();
    Index: modules/departments/vw_contacts.php
    ===================================================================
    --- modules/departments/vw_contacts.php	(revision 1949)
    +++ modules/departments/vw_contacts.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_contacts.php 1516 2010-12-05 07:18:58Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/departments/vw_contacts.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -6,7 +6,7 @@
     global $dept_id, $dept, $company_id;
     ?>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     
     <tr><th><?php echo $AppUI->_('Name'); ?></th><th><?php echo $AppUI->_('Email'); ?></th><th><?php echo $AppUI->_('Telephone'); ?></th></tr>
     <?php
    @@ -26,4 +26,4 @@
     			<input type="button" class="button" value="<?php echo $AppUI->_('new contact'); ?>" onclick="javascript:window.location='./index.php?m=contacts&a=addedit&company_id=<?php echo $company_id; ?>&company_name=<?php echo $dept['company_name']; ?>&dept_id=<?php echo $dept['dept_id']; ?>&dept_name=<?php echo $dept['dept_name']; ?>'">			
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/departments/vw_depts.php
    ===================================================================
    --- modules/departments/vw_depts.php	(revision 1949)
    +++ modules/departments/vw_depts.php	(working copy)
    @@ -14,7 +14,7 @@
     $deptList = $dept->getFilteredDepartmentList($AppUI, $dept_type_filter, $search_string, $owner_filter_id, $orderby, $orderdir);
     ?>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     	<tr>
             <?php
             $fieldList = array('dept_name', 'countp', 'inactive', 'dept_type');
    @@ -45,4 +45,4 @@
     	echo '<tr><td colspan="4">' . $AppUI->_('No data available') . '</td></tr>';
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/files/folders_table.php
    ===================================================================
    --- modules/files/folders_table.php	(revision 1949)
    +++ modules/files/folders_table.php	(working copy)
    @@ -140,7 +140,7 @@
     	background: #F9F9F9;
     }
     </style>
    -<table id="tblFolders" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_table"><table id="tblFolders" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     <?php
         /**** Main Program ****/
         if ($folder_id) { ?>
    @@ -195,4 +195,4 @@
                 </form>
     	    </td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/files/index_table.php
    ===================================================================
    --- modules/files/index_table.php	(revision 1949)
    +++ modules/files/index_table.php	(working copy)
    @@ -173,7 +173,7 @@
     }
     </script>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap"><?php echo $AppUI->_('File Name'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Description'); ?></th>
    @@ -321,6 +321,6 @@
     		echo $hidden_table;
     		$hidden_table = '';
     	} ?>
    -</table>
    +</table></div>
     <?php
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
    \ No newline at end of file
    Index: modules/forums/index.php
    ===================================================================
    --- modules/forums/index.php	(revision 1949)
    +++ modules/forums/index.php	(working copy)
    @@ -46,7 +46,7 @@
     	<input type="hidden" name="dosql" value="do_watch_forum" />
     	<input type="hidden" name="watch" value="forum" />
     
    -    <table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
    +    <div class="content content_table"><table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
             <tr>
                 <th nowrap="nowrap">&nbsp;</th>
                 <?php
    @@ -122,14 +122,14 @@
                     </td>
                 </tr>
             <?php } ?>
    -    </table>
    +    </table></div>
     
    -    <table width="100%" cellspacing="0" cellpadding="0" border="0" class="std">
    +    <div class="content content_options"><table width="100%" cellspacing="0" cellpadding="0" border="0" class="std">
     
             <tr>
                 <td align="left">
                     <input type="submit" class="button" value="<?php echo $AppUI->_('update watches'); ?>" />
                 </td>
             </tr>
    -    </table>
    +    </table></div>
     </form>
    \ No newline at end of file
    Index: modules/forums/view_topics.php
    ===================================================================
    --- modules/forums/view_topics.php	(revision 1949)
    +++ modules/forums/view_topics.php	(working copy)
    @@ -122,11 +122,11 @@
         } ?>
         </table>
     
    -    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="std">
    +    <div class="content content_options"><table width="100%" border="0" cellpadding="0" cellspacing="1" class="std">
             <tr>
                 <td align="left">
                     <input type="submit" class="button" value="<?php echo $AppUI->_('update watches'); ?>" />
                 </td>
             </tr>
    -    </table>
    +    </table></div>
     </form>
    \ No newline at end of file
    Index: modules/history/index.php
    ===================================================================
    --- modules/history/index.php	(revision 1949)
    +++ modules/history/index.php	(working copy)
    @@ -87,7 +87,7 @@
     }
     ?>
     
    -<table width="100%" cellspacing="1" cellpadding="0" border="0">
    +<div class="content content_options"><table width="100%" cellspacing="1" cellpadding="0" border="0">
     <tr>
         <td nowrap="nowrap" align="right">
     <form name="filter" action="?m=history" method="post" accept-charset="utf-8">
    @@ -117,9 +117,9 @@
     </form>
             </td>
     	<td align="right"><input class="button" type="button" value="<?php echo $AppUI->_('Add history'); ?>" onclick="window.location='?m=history&a=addedit'"></td>
    -</table>
    +</table></div>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="10">&nbsp;</th>
     	<th width="200"><?php echo $AppUI->_('Date'); ?></th>
    @@ -150,4 +150,4 @@
         <?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/links/index_table.php
    ===================================================================
    --- modules/links/index_table.php	(revision 1949)
    +++ modules/links/index_table.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: index_table.php 1466 2010-09-22 05:14:41Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/links/index_table.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -48,7 +48,7 @@
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
     
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap">&nbsp;</th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Link Name'); ?></th>
    @@ -106,6 +106,6 @@
         </td>
     </tr>
     <?php } ?>
    -</table>
    +</table></div>
     <?php
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
    \ No newline at end of file
    Index: modules/resources/vw_resources.php
    ===================================================================
    --- modules/resources/vw_resources.php	(revision 1949)
    +++ modules/resources/vw_resources.php	(working copy)
    @@ -18,7 +18,7 @@
     }
     $res = &$query->exec();
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap" width="20%">
         	<?php echo $AppUI->_('ID'); ?>
    @@ -52,4 +52,4 @@
     }
     $query->clear();
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/smartsearch/index.php
    ===================================================================
    --- modules/smartsearch/index.php	(revision 1949)
    +++ modules/smartsearch/index.php	(working copy)
    @@ -258,7 +258,7 @@
     	}
     
       ?>
    -  <table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +  <div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
       	<?php
         	$perms = &$AppUI->acl();
         	sort($files);
    @@ -296,6 +296,6 @@
             }
         	echo '<tr><td><b>' . $AppUI->_('Total records found') . ': ' . $reccount . '</b></td></tr>';
         ?>
    -  </table>
    +  </table></div>
     <?php
     }
    \ No newline at end of file
    Index: modules/system/acls_view.php
    ===================================================================
    --- modules/system/acls_view.php	(revision 1949)
    +++ modules/system/acls_view.php	(working copy)
    @@ -45,7 +45,7 @@
     
     $actions = array(0 => 'All Actions', 'access' => 'access', 'add' => 'add', 'delete' => 'delete', 'edit' => 'edit', 'view' => 'view');
     
    -$table = '<table class="tbl" width="100%" cellspacing="1" cellpadding="2" border="0">';
    +$table = '<div class="content content_table"><table class="tbl" width="100%" cellspacing="1" cellpadding="2" border="0">';
     $table .= '<tr><th colspan="9"><b>Permission Result Table</b></th></tr>';
     $table .= '<tr><th>UserID</th><th>User</th><th>User Name</th><th>Module</th><th>Item</th><th>Item Name</th><th>Action</th><th>Allow</th><th>ACL_ID</th></tr>';
     foreach ($permissions as $permission) {
    @@ -67,7 +67,7 @@
     		$table .= '<tr>' . '<td style="text-align:right;">' . $permission['user_id'] . '</td>' . '<td>' . $permission['user_name'] . '</td>' . '<td>' . $users[$permission['user_id']] . '</td>' . '<td>' . $permission['module'] . '</td>' . '<td style="text-align:right;">' . ($permission['item_id'] ? $permission['item_id'] : '') . '</td>' . '<td>' . ($item ? $item : 'ALL') . '</td>' . '<td>' . $permission['action'] . '</td>' . '<td ' . (!$permission['access'] ? 'style="text-align:right;background-color:red"' : 'style="text-align:right;background-color:green"') . '>' . $permission['access'] . '</td>' . '<td ' . ($permission['acl_id'] ? '' : 'style="background-color:gray"') . '>' . ($permission['acl_id'] ? $permission['acl_id'] : 'soft-denial') . '</td>' . '</tr>';
     	}
     }
    -$table .= '</table>';
    +$table .= '</table></div>';
     $users = array('' => '(' . $AppUI->_('Select User') . ')') + $users;
     $user = (isset($_POST['user']) && $_POST['user'] != '') ?  $_POST['user'] : $AppUI->user_id;
     $user_selector = arraySelect($users, 'user', 'class="text" onchange="javascript:document.pickUser.submit()"', $user);
    Index: modules/system/customfields/index.php
    ===================================================================
    --- modules/system/customfields/index.php	(revision 1949)
    +++ modules/system/customfields/index.php	(working copy)
    @@ -30,7 +30,7 @@
     	<input type="hidden" name="del" value="1" />
     	<input type="hidden" name="field_id" value="<?php echo $project_id; ?>" />
     </form>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
         <?php foreach ($modules as $module) { ?>
         <tr>
             <td colspan="10">
    @@ -75,4 +75,4 @@
     	}
     
         }?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/roles/index.php
    ===================================================================
    --- modules/system/roles/index.php	(revision 1949)
    +++ modules/system/roles/index.php	(working copy)
    @@ -51,7 +51,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <tr>
     	<th>&nbsp;</th>
     	<th><?php echo $AppUI->_('Role ID'); ?></th>
    @@ -70,4 +70,4 @@
     	echo showRoleRow();
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/roles/vw_role_perms.php
    ===================================================================
    --- modules/system/roles/vw_role_perms.php	(revision 1949)
    +++ modules/system/roles/vw_role_perms.php	(working copy)
    @@ -103,7 +103,7 @@
     <tr>
     	<td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Item'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Type'); ?></th>
    @@ -178,7 +178,7 @@
     	}
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    Index: modules/system/syskeys/index.php
    ===================================================================
    --- modules/system/syskeys/index.php	(revision 1949)
    +++ modules/system/syskeys/index.php	(working copy)
    @@ -86,7 +86,7 @@
     
     <form name="sysValFrm" method="post" action="?m=system&u=syskeys&a=do_sysval_aed" accept-charset="utf-8">
       <input type="hidden" name="del" value="0" />
    -  <table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +  <div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
         <tr>
         	<th>&nbsp;</th>
         	<th><?php echo $AppUI->_('Key Type'); ?></th>
    @@ -103,7 +103,7 @@
         	echo showRow();
         }
         ?>
    -  </table>
    +  </table></div>
     </form>
     
     <?php
    Index: modules/system/syskeys/keys.php
    ===================================================================
    --- modules/system/syskeys/keys.php	(revision 1949)
    +++ modules/system/syskeys/keys.php	(working copy)
    @@ -40,7 +40,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <tr>
     	<th>&nbsp;</th>
     	<th><?php echo $AppUI->_('Name'); ?></th>
    @@ -91,4 +91,4 @@
     	echo showRow();
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/translate.php
    ===================================================================
    --- modules/system/translate.php	(revision 1949)
    +++ modules/system/translate.php	(working copy)
    @@ -96,7 +96,7 @@
     <form action="?m=system&a=translate_save" method="post" name="editlang" accept-charset="utf-8">
     <input type="hidden" name="module" value="<?php echo $modules[$module]; ?>" />
     <input type="hidden" name="lang" value="<?php echo $lang; ?>" />
    -<table width="100%" border="0" cellpadding="1" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="1" cellspacing="1" class="tbl">
     <tr>
     	<th width="15%" nowrap="nowrap"><?php echo $AppUI->_('Abbreviation'); ?></th>
     	<th width="40%" nowrap="nowrap"><?php echo $AppUI->_('English String'); ?></th>
    @@ -160,5 +160,5 @@
     		<input type="submit" value="<?php echo $AppUI->_('submit'); ?>" class="button" />
     	</td>
     </tr>
    -</table>
    +</table></div>
     </form>
    \ No newline at end of file
    Index: modules/system/viewmods.php
    ===================================================================
    --- modules/system/viewmods.php	(revision 1949)
    +++ modules/system/viewmods.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: viewmods.php 1504 2010-12-01 07:07:21Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/system/viewmods.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -30,7 +30,7 @@
     $titleBlock->show();
     ?>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
         <tr>
             <th colspan="2"><?php echo $AppUI->_('Module'); ?></th>
             <th><?php echo $AppUI->_('Status'); ?></th>
    @@ -149,4 +149,4 @@
                 </form>
             </td>
         </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/tasks.php
    ===================================================================
    --- modules/tasks/tasks.php	(revision 1949)
    +++ modules/tasks/tasks.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: tasks.php 1525 2010-12-11 08:46:05Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/tasks.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -432,7 +432,7 @@
     if ($project_id) {
     	$open_link = w2PtoolTip($m, 'click to expand/collapse all the tasks for this project.') . '<a href="javascript: void(0);"><img onclick="expand_collapse(\'project_' . $project_id . '_\', \'tblProjects\',\'collapse\',0,2);" id="project_' . $project_id . '__collapse" src="' . w2PfindImage('up22.png', $m) . '" border="0" width="22" height="22" align="center" ' . (!$expanded ? 'style="display:none"' : '') . ' alt="" /><img onclick="expand_collapse(\'project_' . $project_id . '_\', \'tblProjects\',\'expand\',0,2);" id="project_' . $project_id . '__expand" src="' . w2PfindImage('down22.png', $m) . '" border="0" width="22" height="22" align="center" ' . ($expanded ? 'style="display:none"' : '') . ' alt="" /></a>' . w2PendTip();
     	?>
    -	<form name="task_list_options" method="post" action=""<?php echo $query_string; ?>" accept-charset="utf-8">
    +	<div class="content content_options"><form name="task_list_options" method="post" action=""<?php echo $query_string; ?>" accept-charset="utf-8">
     		<input type='hidden' name='show_task_options' value='1' />
     		<table width='100%' border='0' cellpadding='1' cellspacing='0'>
     			<tr>
    @@ -453,9 +453,9 @@
     			  </td>
     			</tr>
     		</table>
    -	</form>
    +	</form></div>
     <?php } ?>
    -<table id="tblProjects" width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl">
    +<div class="content content_table"><table id="tblProjects" width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl">
     	<tr>
     		<th width="10">&nbsp;</th>
     		<th width="10"><?php echo $AppUI->_('Pin'); ?></th>
    @@ -649,8 +649,8 @@
     		}
     		$AppUI->savePlace();
     	?>
    -</table>
    -<table width="100%" class="std">
    +</table></div>
    +<div class="content content_explanation"><table width="100%" class="std">
     	<tr>
     		<td nowrap="nowrap"><?php echo $AppUI->_('Key'); ?>:</td>
     		<td>&nbsp;</td>
    @@ -670,4 +670,4 @@
     		<td nowrap="nowrap">=<?php echo $AppUI->_('Done'); ?></td>
     		<td width="40%">&nbsp;</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/todo_tasks_sub.php
    ===================================================================
    --- modules/tasks/todo_tasks_sub.php	(revision 1949)
    +++ modules/tasks/todo_tasks_sub.php	(working copy)
    @@ -10,7 +10,7 @@
     $perms = &$AppUI->acl();
     $canDelete = $perms->checkModuleItem($m, 'delete');
     ?>
    -<form name="form_buttons" method="post" action="index.php?<?php echo 'm=' . $m . '&amp;a=' . $a . '&amp;date=' . $date; ?>" accept-charset="utf-8">
    +<div class="content content_options"><form name="form_buttons" method="post" action="index.php?<?php echo 'm=' . $m . '&amp;a=' . $a . '&amp;date=' . $date; ?>" accept-charset="utf-8">
         <input type="hidden" name="show_form" value="1" />
         <table width="100%" border="0" cellpadding="1" cellspacing="0">
             <tr>
    @@ -65,8 +65,8 @@
                 </td>
             </tr>
         </table>
    -</form>
    -<form name="form" method="post" action="index.php?<?php echo "m=$m&amp;a=$a&amp;date=$date"; ?>" accept-charset="utf-8">
    +</form></div>
    +<div class="content content_table"><form name="form" method="post" action="index.php?<?php echo "m=$m&amp;a=$a&amp;date=$date"; ?>" accept-charset="utf-8">
         <table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
             <tr>
                 <th width="10">&nbsp;</th>
    @@ -134,8 +134,8 @@
                 </td>
             </tr>
         </table>
    -</form>
    -<table>
    +</form></div>
    +<div class="content content_explanation"><table>
         <tr>
             <td>&nbsp; &nbsp;</td>
             <td style="border-style:solid;border-width:1px" bgcolor="#ffffff">&nbsp; &nbsp;</td>
    @@ -149,4 +149,4 @@
             <td style="border-style:solid;border-width:1px" bgcolor="#CC6666">&nbsp; &nbsp;</td>
             <td>=<?php echo $AppUI->_('Overdue'); ?></td>
         </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/vw_logs.php
    ===================================================================
    --- modules/tasks/vw_logs.php	(revision 1949)
    +++ modules/tasks/vw_logs.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_logs.php 1474 2010-10-18 01:00:44Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/vw_logs.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -32,7 +32,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <form name="frmDelete2" action="./index.php?m=tasks" method="post" accept-charset="utf-8">
     	<input type="hidden" name="dosql" value="do_updatetask" />
     	<input type="hidden" name="del" value="1" />
    @@ -130,8 +130,8 @@
     $s .= '</tr>';
     echo $s;
     ?>
    -</table>
    -<table>
    +</table></div>
    +<div class="content content_explanation"><table>
     <tr>
     	<td><?php echo $AppUI->_('Key'); ?>:</td>
     	<td>&nbsp; &nbsp;</td>
    @@ -140,4 +140,4 @@
     	<td bgcolor="#CC6666">&nbsp; &nbsp;</td>
     	<td>=<?php echo $AppUI->_('Problem Report'); ?></td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    
    patch file icon patch_0000841_v2.patch (36,804 bytes) 1969-12-31 16:00 +
  • patch file icon patch_0000841_v3.patch (52,313 bytes) 1969-12-31 16:00 -
    Index: classes/w2p/Output/HTMLHelper.class.php
    ===================================================================
    --- classes/w2p/Output/HTMLHelper.class.php	(revision 1949)
    +++ classes/w2p/Output/HTMLHelper.class.php	(working copy)
    @@ -10,7 +10,7 @@
     
         public static function renderContactList(CAppUI $AppUI, array $contactList) {
     
    -        $output  = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +        $output  = '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
             $output .= '<tr><th>'.$AppUI->_('Name').'</th><th>'.$AppUI->_('Email').'</th>';
             $output .= '<th>'.$AppUI->_('Phone').'</th><th>'.$AppUI->_('Department').'</th></tr>';
             foreach ($contactList as $contact_id => $contact_data) {
    @@ -24,7 +24,7 @@
                 $output .= '<td class="hilite">' . $contact_data['dept_name'] . '</td>';
                 $output .= '</tr>';
             }
    -        $output .= '</table>';
    +        $output .= '</table></div>';
     
             return $output;
         }
    Index: modules/admin/vw_usr.php
    ===================================================================
    --- modules/admin/vw_usr.php	(revision 1949)
    +++ modules/admin/vw_usr.php	(working copy)
    @@ -4,7 +4,7 @@
     }
     $utypes = w2PgetSysVal('UserType');
     ?>
    -<table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
    +<div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
     	<tr>
     		<th>
     			&nbsp;
    @@ -114,4 +114,4 @@
     </tr>
     <?php } ?>
     
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/admin/vw_usr_log.php
    ===================================================================
    --- modules/admin/vw_usr_log.php	(revision 1949)
    +++ modules/admin/vw_usr_log.php	(working copy)
    @@ -51,6 +51,7 @@
     	</tr>
     </table>
     
    +<div class="content content_options">
     <form action="index.php?m=admin<?php echo $a; ?>" method="post" name="frmDate" accept-charset="utf-8">
         <input type="hidden" name="user_id" id="user_id" value="<?php $user_id; ?>" />
         <table align="center" width="100%">
    @@ -79,6 +80,7 @@
             </tr>
         </table>
     </form>
    +</div>
     
     <?php
     if (w2PgetParam($_REQUEST, 'showdetails', 0) == 1) {
    @@ -89,7 +91,7 @@
         $userId = isset($userId) ? $userId : 0;
         $logs = CUser::getLogs($userId, $start_date, $end_date);
         ?>
    -	<table align="center" class="tbl" width="50%">
    +	<div class="content content_table"><table align="center" class="tbl" width="50%">
     		<tr>
     			<th nowrap="nowrap" ><?php echo $AppUI->_('Name(s)'); ?></th>
     			<th nowrap="nowrap" ><?php echo $AppUI->_('Last Name'); ?></th>
    @@ -106,6 +108,6 @@
     				<td align="center"><?php echo $detail['date_time_out']; ?></td>
     			</tr>
     		<?php } ?>
    -	</table>
    +	</table></div>
         <?php
     }
    \ No newline at end of file
    Index: modules/admin/vw_usr_perms.php
    ===================================================================
    --- modules/admin/vw_usr_perms.php	(revision 1949)
    +++ modules/admin/vw_usr_perms.php	(working copy)
    @@ -131,7 +131,7 @@
     <table width="100%" border="0" cellpadding="2" cellspacing="0">
     <tr><td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Item'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Type'); ?></th>
    @@ -206,7 +206,7 @@
     	}
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    Index: modules/admin/vw_usr_roles.php
    ===================================================================
    --- modules/admin/vw_usr_roles.php	(revision 1949)
    +++ modules/admin/vw_usr_roles.php	(working copy)
    @@ -51,7 +51,7 @@
     <table width="100%" border="0" cellpadding="2" cellspacing="0">
     <tr><td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Role'); ?></th>
     	<th>&nbsp;</th>
    @@ -73,7 +73,7 @@
     	echo "<tr>$buf</tr>";
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    Index: modules/admin/vw_usr_sessions.php
    ===================================================================
    --- modules/admin/vw_usr_sessions.php	(revision 1949)
    +++ modules/admin/vw_usr_sessions.php	(working copy)
    @@ -82,7 +82,7 @@
     
     ?>
     
    -<table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
    +<div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
         <tr>
             <th colspan="2">&nbsp; <?php echo $AppUI->_('sort by'); ?>:&nbsp;</th>
             <?php
    @@ -119,4 +119,4 @@
     	echo $s;
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/calendar/companies_tab.view.events.php
    ===================================================================
    --- modules/calendar/companies_tab.view.events.php	(revision 1949)
    +++ modules/calendar/companies_tab.view.events.php	(working copy)
    @@ -23,7 +23,7 @@
     $df = $AppUI->getPref('SHDATEFORMAT');
     $types = w2PgetSysVal('EventType');
     
    -$html = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html = '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     $html .= '<tr><th>' . $AppUI->_('Date') . '</th><th>' . $AppUI->_('Type') . '</th><th>' . $AppUI->_('Event') . '</th></tr>';
     foreach ($events as $row) {
     	$html .= '<tr>';
    @@ -43,5 +43,5 @@
     	$html .= $href ? '</a>' : '';
     	$html .= '</td></tr>';
     }
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/projects_tab.view.events.php
    ===================================================================
    --- modules/calendar/projects_tab.view.events.php	(revision 1949)
    +++ modules/calendar/projects_tab.view.events.php	(working copy)
    @@ -26,7 +26,7 @@
     $df = $AppUI->getPref('SHDATEFORMAT');
     $types = w2PgetSysVal('EventType');
     
    -$html = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html = '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     $html .= '<tr><th>' . $AppUI->_('Date') . '</th><th>' . $AppUI->_('Type') . '</th><th>' . $AppUI->_('Event') . '</th></tr>';
     foreach ($events as $row) {
     	$html .= '<tr>';
    @@ -50,5 +50,5 @@
     
     	$html .= '</td></tr>';
     }
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/vw_day_events.php
    ===================================================================
    --- modules/calendar/vw_day_events.php	(revision 1949)
    +++ modules/calendar/vw_day_events.php	(working copy)
    @@ -58,7 +58,7 @@
     
     $this_day->setTime($start, 0, 0);
     
    -$html = '<form action="'.$_SERVER['REQUEST_URI'].'" method="post" name="pickFilter" accept-charset="utf-8">';
    +$html = '<div class="content content_options"><form action="'.$_SERVER['REQUEST_URI'].'" method="post" name="pickFilter" accept-charset="utf-8">';
     $html .= $AppUI->_('Event Filter') . ':' . arraySelect($event_filter_list, 'event_filter', 'onChange="document.pickFilter.submit()" class="text"', $event_filter, true);
     if ($other_users) {
     	$html .= $AppUI->_('Show Events for') . ':' . '<select name="show_user_events" onchange="document.pickFilter.submit()" class="text">';
    @@ -77,8 +77,8 @@
     
     require_once (W2P_BASE_DIR . '/modules/calendar/links_events.php');
     
    -$html .= '</form>';
    -$html .= '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html .= '</form></div>';
    +$html .= '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     $rows = 0;
     for ($i = 0, $n = ($end - $start) * 60 / $inc; $i < $n; $i++) {
     	$html .= '<tr>';
    @@ -121,5 +121,5 @@
     	$this_day->addSeconds(60 * $inc);
     }
     
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/vw_day_tasks.php
    ===================================================================
    --- modules/calendar/vw_day_tasks.php	(revision 1949)
    +++ modules/calendar/vw_day_tasks.php	(working copy)
    @@ -13,7 +13,7 @@
     $s = '';
     $dayStamp = $this_day->format(FMT_TIMESTAMP_DATE);
     
    -echo '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +echo '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     
     if (isset($links[$dayStamp])) {
     	foreach ($links[$dayStamp] as $e) {
    @@ -28,7 +28,7 @@
     	}
     }
     echo $s;
    -echo '</table>';
    +echo '</table></div>';
     
     $min_view = 1;
     include W2P_BASE_DIR . '/modules/tasks/todo.php';
    \ No newline at end of file
    Index: modules/calendar/year_view.php
    ===================================================================
    --- modules/calendar/year_view.php	(revision 1949)
    +++ modules/calendar/year_view.php	(working copy)
    @@ -131,7 +131,7 @@
     				}
     				echo $s;
     			?>
    -			<table width="100%" class="minical">
    +			<div class="content content_explanation"><table width="100%" class="minical">
     				<tr>
     					<td valign="top" align="center" width="20%">&nbsp;</td>
     					<td nowrap="nowrap"><?php echo $AppUI->_('Key'); ?>:</td>
    @@ -156,7 +156,7 @@
     					<td>&nbsp;</td>
     					<td width="20%">&nbsp;</td>
     				</tr>
    -			</table>
    +			</table></div>
     		</td>
     	</tr>
     </table>
    \ No newline at end of file
    Index: modules/companies/vw_active.php
    ===================================================================
    --- modules/companies/vw_active.php	(revision 1949)
    +++ modules/companies/vw_active.php	(working copy)
    @@ -17,7 +17,7 @@
     
     $projects = CCompany::getProjects($AppUI, $company_id, 1, $sort);
     
    -?><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
    +?><div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
     if (count($projects) > 0) {
     	?>
     	<tr>
    @@ -61,4 +61,4 @@
     	?><tr><td colspan="5"><?php echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg(); ?></td></tr><?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_archived.php
    ===================================================================
    --- modules/companies/vw_archived.php	(revision 1949)
    +++ modules/companies/vw_archived.php	(working copy)
    @@ -11,7 +11,7 @@
     
     $projects = CCompany::getProjects($AppUI, $company_id, 0);
     
    -?><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
    +?><div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
     
     if (count($projects) > 0) {
     	?><tr><th><?php echo $AppUI->_('Name'); ?></th><th><?php echo $AppUI->_('Owner'); ?></th></tr><?php
    @@ -29,4 +29,4 @@
     	?><tr><td colspan="5"><?php echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg(); ?></td></tr><?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_companies.php
    ===================================================================
    --- modules/companies/vw_companies.php	(revision 1949)
    +++ modules/companies/vw_companies.php	(working copy)
    @@ -25,7 +25,7 @@
     
     $companyList = $company->getCompanyList($AppUI, $company_type_filter, $search_string, $owner_filter_id, $orderby, $orderdir);
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
         <tr>
             <?php
             $fieldList = array('company_name', 'countp', 'inactive', 'company_type');
    @@ -53,4 +53,4 @@
                 echo '<tr><td colspan="5">' . $AppUI->_('No companies available') . '</td></tr>';
             }
         ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_contacts.php
    ===================================================================
    --- modules/companies/vw_contacts.php	(revision 1949)
    +++ modules/companies/vw_contacts.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_contacts.php 1516 2010-12-05 07:18:58Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/companies/vw_contacts.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -11,7 +11,7 @@
     
     $contacts = CCompany::getContacts($AppUI, $company->company_id);
     
    -?><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl"><?php
    +?><div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl"><?php
     if (count($contacts) > 0) {
     	?>
     	<tr>
    @@ -47,4 +47,4 @@
     			<input type="button" class=button value="<?php echo $AppUI->_('new contact') ?>" onClick="javascript:window.location='./index.php?m=contacts&a=addedit&company_id=<?php echo $company->company_id; ?>'">
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_depts.php
    ===================================================================
    --- modules/companies/vw_depts.php	(revision 1949)
    +++ modules/companies/vw_depts.php	(working copy)
    @@ -48,7 +48,7 @@
     	}
     }
     
    -$s = '<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">';
    +$s = '<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">';
     $s .= '<tr>';
     
     if (count($depts)) {
    @@ -80,4 +80,4 @@
     echo '
     	</td>
     </tr>
    -</table>';
    \ No newline at end of file
    +</table></div>';
    \ No newline at end of file
    Index: modules/companies/vw_users.php
    ===================================================================
    --- modules/companies/vw_users.php	(revision 1949)
    +++ modules/companies/vw_users.php	(working copy)
    @@ -13,7 +13,7 @@
     
     if (count($userList) > 0) {
     	?>
    -		<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +		<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     		<tr>
     			<th><?php echo $AppUI->_('Username'); ?></td>
     			<th><?php echo $AppUI->_('Name'); ?></td>
    @@ -28,7 +28,7 @@
     			}
     			echo $s;
     		?>
    -		</table>
    +		</table></div>
     	<?php
     } else {
     	echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg();
    Index: modules/departments/vw_contacts.php
    ===================================================================
    --- modules/departments/vw_contacts.php	(revision 1949)
    +++ modules/departments/vw_contacts.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_contacts.php 1516 2010-12-05 07:18:58Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/departments/vw_contacts.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -6,7 +6,7 @@
     global $dept_id, $dept, $company_id;
     ?>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     
     <tr><th><?php echo $AppUI->_('Name'); ?></th><th><?php echo $AppUI->_('Email'); ?></th><th><?php echo $AppUI->_('Telephone'); ?></th></tr>
     <?php
    @@ -26,4 +26,4 @@
     			<input type="button" class="button" value="<?php echo $AppUI->_('new contact'); ?>" onclick="javascript:window.location='./index.php?m=contacts&a=addedit&company_id=<?php echo $company_id; ?>&company_name=<?php echo $dept['company_name']; ?>&dept_id=<?php echo $dept['dept_id']; ?>&dept_name=<?php echo $dept['dept_name']; ?>'">			
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/departments/vw_depts.php
    ===================================================================
    --- modules/departments/vw_depts.php	(revision 1949)
    +++ modules/departments/vw_depts.php	(working copy)
    @@ -14,7 +14,7 @@
     $deptList = $dept->getFilteredDepartmentList($AppUI, $dept_type_filter, $search_string, $owner_filter_id, $orderby, $orderdir);
     ?>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     	<tr>
             <?php
             $fieldList = array('dept_name', 'countp', 'inactive', 'dept_type');
    @@ -45,4 +45,4 @@
     	echo '<tr><td colspan="4">' . $AppUI->_('No data available') . '</td></tr>';
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/files/folders_table.php
    ===================================================================
    --- modules/files/folders_table.php	(revision 1949)
    +++ modules/files/folders_table.php	(working copy)
    @@ -140,7 +140,7 @@
     	background: #F9F9F9;
     }
     </style>
    -<table id="tblFolders" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_table"><table id="tblFolders" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     <?php
         /**** Main Program ****/
         if ($folder_id) { ?>
    @@ -195,4 +195,4 @@
                 </form>
     	    </td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/files/index_table.php
    ===================================================================
    --- modules/files/index_table.php	(revision 1949)
    +++ modules/files/index_table.php	(working copy)
    @@ -173,7 +173,7 @@
     }
     </script>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap"><?php echo $AppUI->_('File Name'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Description'); ?></th>
    @@ -321,6 +321,6 @@
     		echo $hidden_table;
     		$hidden_table = '';
     	} ?>
    -</table>
    +</table></div>
     <?php
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
    \ No newline at end of file
    Index: modules/files/tasks_tab.view.files.php
    ===================================================================
    --- modules/files/tasks_tab.view.files.php	(revision 1949)
    +++ modules/files/tasks_tab.view.files.php	(working copy)
    @@ -6,9 +6,11 @@
     global $AppUI, $m, $obj, $task_id, $w2Pconfig;
     if (canView('files')) {
     	if (canAdd('files')) {
    +		echo '<div class="content content_options">';
     		echo '<a href="./index.php?m=files&a=addedit&project_id=' . $obj->task_project . '&file_task=' . $task_id . '">' . $AppUI->_('Attach a file') . '</a>';
    -	}
    -	echo w2PshowImage('stock_attach-16.png', 16, 16, '');
    +		echo w2PshowImage('stock_attach-16.png', 16, 16, '');
    +		echo '</div>';
    +	}	
     	$showProject = false;
     	$project_id = $obj->task_project;
     	include (W2P_BASE_DIR . '/modules/files/index_table.php');
    Index: modules/forums/index.php
    ===================================================================
    --- modules/forums/index.php	(revision 1949)
    +++ modules/forums/index.php	(working copy)
    @@ -46,7 +46,7 @@
     	<input type="hidden" name="dosql" value="do_watch_forum" />
     	<input type="hidden" name="watch" value="forum" />
     
    -    <table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
    +    <div class="content content_table"><table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
             <tr>
                 <th nowrap="nowrap">&nbsp;</th>
                 <?php
    @@ -122,14 +122,14 @@
                     </td>
                 </tr>
             <?php } ?>
    -    </table>
    +    </table></div>
     
    -    <table width="100%" cellspacing="0" cellpadding="0" border="0" class="std">
    +    <div class="content content_options"><table width="100%" cellspacing="0" cellpadding="0" border="0" class="std">
     
             <tr>
                 <td align="left">
                     <input type="submit" class="button" value="<?php echo $AppUI->_('update watches'); ?>" />
                 </td>
             </tr>
    -    </table>
    +    </table></div>
     </form>
    \ No newline at end of file
    Index: modules/forums/view_topics.php
    ===================================================================
    --- modules/forums/view_topics.php	(revision 1949)
    +++ modules/forums/view_topics.php	(working copy)
    @@ -54,7 +54,7 @@
     <form name="watcher" action="?m=forums&a=viewer&forum_id=<?php echo $forum_id; ?>&f=<?php echo $f; ?>" method="post" accept-charset="utf-8">
         <input type="hidden" name="dosql" value="do_watch_forum" />
         <input type="hidden" name="watch" value="topic" />
    -    <table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
    +    <div class="content content_table"><table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
             <tr><td colspan="5">
                 <table width="100%" cellspacing="1" cellpadding="2" border="0">
                 <tr>
    @@ -120,13 +120,13 @@
         <?php
             }
         } ?>
    -    </table>
    +    </table></div>
     
    -    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="std">
    +    <div class="content content_options"><table width="100%" border="0" cellpadding="0" cellspacing="1" class="std">
             <tr>
                 <td align="left">
                     <input type="submit" class="button" value="<?php echo $AppUI->_('update watches'); ?>" />
                 </td>
             </tr>
    -    </table>
    +    </table></div>
     </form>
    \ No newline at end of file
    Index: modules/history/index.php
    ===================================================================
    --- modules/history/index.php	(revision 1949)
    +++ modules/history/index.php	(working copy)
    @@ -87,7 +87,7 @@
     }
     ?>
     
    -<table width="100%" cellspacing="1" cellpadding="0" border="0">
    +<div class="content content_options"><table width="100%" cellspacing="1" cellpadding="0" border="0">
     <tr>
         <td nowrap="nowrap" align="right">
     <form name="filter" action="?m=history" method="post" accept-charset="utf-8">
    @@ -117,9 +117,9 @@
     </form>
             </td>
     	<td align="right"><input class="button" type="button" value="<?php echo $AppUI->_('Add history'); ?>" onclick="window.location='?m=history&a=addedit'"></td>
    -</table>
    +</table></div>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="10">&nbsp;</th>
     	<th width="200"><?php echo $AppUI->_('Date'); ?></th>
    @@ -150,4 +150,4 @@
         <?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/links/index_table.php
    ===================================================================
    --- modules/links/index_table.php	(revision 1949)
    +++ modules/links/index_table.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: index_table.php 1466 2010-09-22 05:14:41Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/links/index_table.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -48,7 +48,7 @@
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
     
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap">&nbsp;</th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Link Name'); ?></th>
    @@ -106,6 +106,6 @@
         </td>
     </tr>
     <?php } ?>
    -</table>
    +</table></div>
     <?php
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
    \ No newline at end of file
    Index: modules/projects/admin_tab.viewuser.projects.php
    ===================================================================
    --- modules/projects/admin_tab.viewuser.projects.php	(revision 1949)
    +++ modules/projects/admin_tab.viewuser.projects.php	(working copy)
    @@ -40,15 +40,15 @@
     $projects = projects_list_data($user_id);
     ?>
     
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_options"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     <tr>
     	<td align="center" width="100%" nowrap="nowrap" colspan="7">&nbsp;</td>
     	<form action="?m=admin&a=viewuser&user_id=<?php echo $user_id; ?>&tab=<?php echo $tab; ?>" method="post" name="checkPwT" accept-charset="utf-8"><td align="right" nowrap="nowrap"><input type="checkbox" name="add_pwt" id="add_pwt" onclick="document.checkPwT.submit()" <?php echo $addPwT ? 'checked="checked"' : ''; ?> /></td><td align="right" nowrap="nowrap"><label for="add_pwt"><?php echo $AppUI->_('Show Projects with assigned Tasks'); ?>?</label><input type="hidden" name="show_form" value="1" /></td></form>
     	<form action="?m=admin&a=viewuser&user_id=<?php echo $user_id; ?>&tab=<?php echo $tab; ?>" method="post" name="pickCompany" accept-charset="utf-8"><td align="right" nowrap="nowrap"><?php echo $buffer; ?></td></form>
     	<form action="?m=admin&a=viewuser&user_id=<?php echo $user_id; ?>&tab=<?php echo $tab; ?>" method="post" name="pickProject" accept-charset="utf-8"><td align="right" nowrap="nowrap"><?php echo arraySelect($projFilter, 'proFilter', 'size=1 class=text onChange="document.pickProject.submit()"', $proFilter, true); ?></td></form>
     </tr>
    -</table>
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +</table></div>
    +<div class="content content_table"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
         <tr>
             <?php
             $fieldList = array('project_color_identifier', 'project_priority',
    @@ -116,4 +116,4 @@
     <tr>
     	<td colspan="12">&nbsp;</td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/departments_tab.view.projects.php
    ===================================================================
    --- modules/projects/departments_tab.view.projects.php	(revision 1949)
    +++ modules/projects/departments_tab.view.projects.php	(working copy)
    @@ -58,7 +58,7 @@
     
     ?>
     
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_options"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     <tr>
     	<td align="right" width="65" nowrap="nowrap">&nbsp;<?php echo $AppUI->_('sort by'); ?>:&nbsp;</td>
     	<td align="center" width="100%" nowrap="nowrap" colspan="6">&nbsp;</td>
    @@ -74,8 +74,8 @@
             </form>
         </td>
     </tr>
    -</table>
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +</table></div>
    +<div class="content content_table"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
         <tr>
             <?php
             $fieldList = array('project_color_identifier', 'project_priority',
    @@ -145,4 +145,4 @@
     <tr>
     	<td colspan="12">&nbsp;</td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/departments_tab.view.projects_gantt.php
    ===================================================================
    --- modules/projects/departments_tab.view.projects_gantt.php	(revision 1949)
    +++ modules/projects/departments_tab.view.projects_gantt.php	(working copy)
    @@ -33,11 +33,11 @@
     
     $extraGet = '&user_id=' . $user_id;
     ?>
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_options"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     <tr>
     	<td align="center" width="100%" nowrap="nowrap" colspan="6">&nbsp;</td><td align="right" nowrap="nowrap"><form action="?m=departments&tab=<?php echo $tab; ?>" method="post" name="checkPwOiD"><input type="checkbox" name="add_pwoid" id="add_pwoid" onclick="document.checkPwOiD.submit()" <?php echo $addPwOiD ? 'checked="checked"' : ''; ?>  accept-charset="utf-8"/><label for="add_pwoid"><?php echo $AppUI->_('Show Projects whose Owner is Member of the Dep.'); ?>?</label><input type="hidden" name="show_form" value="1" /></form></td>
     </tr>
    -</table>
    +</table></div>
     <?php
     $min_view = true;
     /*
    Index: modules/projects/viewgantt.php
    ===================================================================
    --- modules/projects/viewgantt.php	(revision 1949)
    +++ modules/projects/viewgantt.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: viewgantt.php 1506 2010-12-03 05:06:28Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/viewgantt.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -142,7 +142,7 @@
         <table class="tbl" width="100%" border="0" cellpadding="4" cellspacing="0">
             <tr>
                 <td>
    -                <table border="0" cellpadding="4" cellspacing="0" class="tbl">
    +                <div class="content content_options"><table border="0" cellpadding="4" cellspacing="0" class="tbl">
                         <tr>
                             <td align="left" valign="top" width="20">
                             <?php if ($display_option != "all") { ?>
    @@ -198,8 +198,8 @@
                                     <?php echo "<a href='javascript:showThisMonth()'>" . $AppUI->_('show this month') . "</a> : <a href='javascript:showFullProject()'>" . $AppUI->_('show all') . "</a><br>"; ?>
                             </td>
                         </tr>
    -                </table>
    -                <table cellspacing="0" cellpadding="0" border="1" align="center" class="tbl">
    +                </table></div>
    +                <div class="content"><table cellspacing="0" cellpadding="0" border="1" align="center" class="tbl">
                         <tr>
                             <td>
                                 <?php
    @@ -208,7 +208,7 @@
                                 ?>
                             </td>
                         </tr>
    -                </table>
    +                </table></div>
                 </td>
             </tr>
         </table>
    Index: modules/projects/vw_forums.php
    ===================================================================
    --- modules/projects/vw_forums.php	(revision 1949)
    +++ modules/projects/vw_forums.php	(working copy)
    @@ -9,7 +9,7 @@
     $forums = CProject::getForums($AppUI, $project_id);
     ?>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     	<tr>
     		<th nowrap="nowrap">&nbsp;</th>
     		<th nowrap="nowrap" width="100%"><?php echo $AppUI->_('Forum Name'); ?></th>
    @@ -35,4 +35,4 @@
     			<td colspan="3"><?php echo $forum_info['forum_description']; ?></td>
     		</tr>
     	<?php } ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/vw_idx_projects.php
    ===================================================================
    --- modules/projects/vw_idx_projects.php	(revision 1949)
    +++ modules/projects/vw_idx_projects.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* PROJECTS $Id: vw_idx_projects.php 1500 2010-11-27 22:45:35Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/vw_idx_projects.php $ */
    +<?php /* PROJECTS $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -113,7 +113,7 @@
     
     <form action="./index.php" method="get" accept-charset="utf-8">
     
    -	<table id="tblProjects" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +	<div class="content content_table"><table id="tblProjects" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     		<tr>
                 <?php
                 $fieldList = array();
    @@ -304,7 +304,7 @@
     			<?php
     			}
     		?>
    -	</table>
    +	</table></div>
     </form>
     <?php
     if ($is_tabbed) {
    Index: modules/projects/vw_logs.php
    ===================================================================
    --- modules/projects/vw_logs.php	(revision 1949)
    +++ modules/projects/vw_logs.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_logs.php 1474 2010-10-18 01:00:44Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/vw_logs.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -48,7 +48,7 @@
     }
     <?php } ?>
     </script>
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="std">
    +<div class="content content_options"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="std">
     <form name="frmFilter" action="./index.php" method="get" accept-charset="utf-8">
     <tr>
     	<td width="98%">&nbsp;</td>
    @@ -67,8 +67,8 @@
     <input type="hidden" name="project_id" value="<?php echo $project_id ?>"/>
     <input type="hidden" name="tab" value="<?php echo $tab ?>"/>
     </form>
    -</table>
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +</table></div>
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <form name="frmDelete2" action="./index.php?m=tasks" method="post" accept-charset="utf-8">
     	<input type="hidden" name="dosql" value="do_updatetask" />
     	<input type="hidden" name="del" value="1" />
    @@ -143,4 +143,4 @@
     $s .= '</tr>';
     echo $s;
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/resources/tasks_tab.view.other_resources.php
    ===================================================================
    --- modules/resources/tasks_tab.view.other_resources.php	(revision 1949)
    +++ modules/resources/tasks_tab.view.other_resources.php	(working copy)
    @@ -35,7 +35,7 @@
     }
     
     ?>
    -<table class="std" width="100%" cellpadding="4" cellspacing="1">
    +<div class="content content_table"><table class="std" width="100%" cellpadding="4" cellspacing="1">
     <tr><th>Type</th><th>Resource</th><th>Allocation</th><th>&nbsp;</th></tr>
     <?php
     foreach ($resources as $res) {
    @@ -49,4 +49,4 @@
     	echo $output;
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/resources/vw_resources.php
    ===================================================================
    --- modules/resources/vw_resources.php	(revision 1949)
    +++ modules/resources/vw_resources.php	(working copy)
    @@ -18,7 +18,7 @@
     }
     $res = &$query->exec();
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap" width="20%">
         	<?php echo $AppUI->_('ID'); ?>
    @@ -52,4 +52,4 @@
     }
     $query->clear();
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/smartsearch/index.php
    ===================================================================
    --- modules/smartsearch/index.php	(revision 1949)
    +++ modules/smartsearch/index.php	(working copy)
    @@ -258,7 +258,7 @@
     	}
     
       ?>
    -  <table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +  <div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
       	<?php
         	$perms = &$AppUI->acl();
         	sort($files);
    @@ -296,6 +296,6 @@
             }
         	echo '<tr><td><b>' . $AppUI->_('Total records found') . ': ' . $reccount . '</b></td></tr>';
         ?>
    -  </table>
    +  </table></div>
     <?php
     }
    \ No newline at end of file
    Index: modules/system/acls_view.php
    ===================================================================
    --- modules/system/acls_view.php	(revision 1949)
    +++ modules/system/acls_view.php	(working copy)
    @@ -45,7 +45,7 @@
     
     $actions = array(0 => 'All Actions', 'access' => 'access', 'add' => 'add', 'delete' => 'delete', 'edit' => 'edit', 'view' => 'view');
     
    -$table = '<table class="tbl" width="100%" cellspacing="1" cellpadding="2" border="0">';
    +$table = '<div class="content content_table"><table class="tbl" width="100%" cellspacing="1" cellpadding="2" border="0">';
     $table .= '<tr><th colspan="9"><b>Permission Result Table</b></th></tr>';
     $table .= '<tr><th>UserID</th><th>User</th><th>User Name</th><th>Module</th><th>Item</th><th>Item Name</th><th>Action</th><th>Allow</th><th>ACL_ID</th></tr>';
     foreach ($permissions as $permission) {
    @@ -67,7 +67,7 @@
     		$table .= '<tr>' . '<td style="text-align:right;">' . $permission['user_id'] . '</td>' . '<td>' . $permission['user_name'] . '</td>' . '<td>' . $users[$permission['user_id']] . '</td>' . '<td>' . $permission['module'] . '</td>' . '<td style="text-align:right;">' . ($permission['item_id'] ? $permission['item_id'] : '') . '</td>' . '<td>' . ($item ? $item : 'ALL') . '</td>' . '<td>' . $permission['action'] . '</td>' . '<td ' . (!$permission['access'] ? 'style="text-align:right;background-color:red"' : 'style="text-align:right;background-color:green"') . '>' . $permission['access'] . '</td>' . '<td ' . ($permission['acl_id'] ? '' : 'style="background-color:gray"') . '>' . ($permission['acl_id'] ? $permission['acl_id'] : 'soft-denial') . '</td>' . '</tr>';
     	}
     }
    -$table .= '</table>';
    +$table .= '</table></div>';
     $users = array('' => '(' . $AppUI->_('Select User') . ')') + $users;
     $user = (isset($_POST['user']) && $_POST['user'] != '') ?  $_POST['user'] : $AppUI->user_id;
     $user_selector = arraySelect($users, 'user', 'class="text" onchange="javascript:document.pickUser.submit()"', $user);
    Index: modules/system/customfields/index.php
    ===================================================================
    --- modules/system/customfields/index.php	(revision 1949)
    +++ modules/system/customfields/index.php	(working copy)
    @@ -30,7 +30,7 @@
     	<input type="hidden" name="del" value="1" />
     	<input type="hidden" name="field_id" value="<?php echo $project_id; ?>" />
     </form>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
         <?php foreach ($modules as $module) { ?>
         <tr>
             <td colspan="10">
    @@ -75,4 +75,4 @@
     	}
     
         }?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/roles/index.php
    ===================================================================
    --- modules/system/roles/index.php	(revision 1949)
    +++ modules/system/roles/index.php	(working copy)
    @@ -51,7 +51,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <tr>
     	<th>&nbsp;</th>
     	<th><?php echo $AppUI->_('Role ID'); ?></th>
    @@ -70,4 +70,4 @@
     	echo showRoleRow();
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/roles/vw_role_perms.php
    ===================================================================
    --- modules/system/roles/vw_role_perms.php	(revision 1949)
    +++ modules/system/roles/vw_role_perms.php	(working copy)
    @@ -103,7 +103,7 @@
     <tr>
     	<td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Item'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Type'); ?></th>
    @@ -178,7 +178,7 @@
     	}
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    Index: modules/system/syskeys/index.php
    ===================================================================
    --- modules/system/syskeys/index.php	(revision 1949)
    +++ modules/system/syskeys/index.php	(working copy)
    @@ -86,7 +86,7 @@
     
     <form name="sysValFrm" method="post" action="?m=system&u=syskeys&a=do_sysval_aed" accept-charset="utf-8">
       <input type="hidden" name="del" value="0" />
    -  <table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +  <div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
         <tr>
         	<th>&nbsp;</th>
         	<th><?php echo $AppUI->_('Key Type'); ?></th>
    @@ -103,7 +103,7 @@
         	echo showRow();
         }
         ?>
    -  </table>
    +  </table></div>
     </form>
     
     <?php
    Index: modules/system/syskeys/keys.php
    ===================================================================
    --- modules/system/syskeys/keys.php	(revision 1949)
    +++ modules/system/syskeys/keys.php	(working copy)
    @@ -40,7 +40,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <tr>
     	<th>&nbsp;</th>
     	<th><?php echo $AppUI->_('Name'); ?></th>
    @@ -91,4 +91,4 @@
     	echo showRow();
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/translate.php
    ===================================================================
    --- modules/system/translate.php	(revision 1949)
    +++ modules/system/translate.php	(working copy)
    @@ -96,7 +96,7 @@
     <form action="?m=system&a=translate_save" method="post" name="editlang" accept-charset="utf-8">
     <input type="hidden" name="module" value="<?php echo $modules[$module]; ?>" />
     <input type="hidden" name="lang" value="<?php echo $lang; ?>" />
    -<table width="100%" border="0" cellpadding="1" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="1" cellspacing="1" class="tbl">
     <tr>
     	<th width="15%" nowrap="nowrap"><?php echo $AppUI->_('Abbreviation'); ?></th>
     	<th width="40%" nowrap="nowrap"><?php echo $AppUI->_('English String'); ?></th>
    @@ -160,5 +160,5 @@
     		<input type="submit" value="<?php echo $AppUI->_('submit'); ?>" class="button" />
     	</td>
     </tr>
    -</table>
    +</table></div>
     </form>
    \ No newline at end of file
    Index: modules/system/viewmods.php
    ===================================================================
    --- modules/system/viewmods.php	(revision 1949)
    +++ modules/system/viewmods.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: viewmods.php 1504 2010-12-01 07:07:21Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/system/viewmods.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -30,7 +30,7 @@
     $titleBlock->show();
     ?>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
         <tr>
             <th colspan="2"><?php echo $AppUI->_('Module'); ?></th>
             <th><?php echo $AppUI->_('Status'); ?></th>
    @@ -149,4 +149,4 @@
                 </form>
             </td>
         </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/tasks.php
    ===================================================================
    --- modules/tasks/tasks.php	(revision 1949)
    +++ modules/tasks/tasks.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: tasks.php 1525 2010-12-11 08:46:05Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/tasks.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -432,7 +432,7 @@
     if ($project_id) {
     	$open_link = w2PtoolTip($m, 'click to expand/collapse all the tasks for this project.') . '<a href="javascript: void(0);"><img onclick="expand_collapse(\'project_' . $project_id . '_\', \'tblProjects\',\'collapse\',0,2);" id="project_' . $project_id . '__collapse" src="' . w2PfindImage('up22.png', $m) . '" border="0" width="22" height="22" align="center" ' . (!$expanded ? 'style="display:none"' : '') . ' alt="" /><img onclick="expand_collapse(\'project_' . $project_id . '_\', \'tblProjects\',\'expand\',0,2);" id="project_' . $project_id . '__expand" src="' . w2PfindImage('down22.png', $m) . '" border="0" width="22" height="22" align="center" ' . ($expanded ? 'style="display:none"' : '') . ' alt="" /></a>' . w2PendTip();
     	?>
    -	<form name="task_list_options" method="post" action=""<?php echo $query_string; ?>" accept-charset="utf-8">
    +	<div class="content content_options"><form name="task_list_options" method="post" action=""<?php echo $query_string; ?>" accept-charset="utf-8">
     		<input type='hidden' name='show_task_options' value='1' />
     		<table width='100%' border='0' cellpadding='1' cellspacing='0'>
     			<tr>
    @@ -453,9 +453,9 @@
     			  </td>
     			</tr>
     		</table>
    -	</form>
    +	</form></div>
     <?php } ?>
    -<table id="tblProjects" width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl">
    +<div class="content content_table"><table id="tblProjects" width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl">
     	<tr>
     		<th width="10">&nbsp;</th>
     		<th width="10"><?php echo $AppUI->_('Pin'); ?></th>
    @@ -649,8 +649,8 @@
     		}
     		$AppUI->savePlace();
     	?>
    -</table>
    -<table width="100%" class="std">
    +</table></div>
    +<div class="content content_explanation"><table width="100%" class="std">
     	<tr>
     		<td nowrap="nowrap"><?php echo $AppUI->_('Key'); ?>:</td>
     		<td>&nbsp;</td>
    @@ -670,4 +670,4 @@
     		<td nowrap="nowrap">=<?php echo $AppUI->_('Done'); ?></td>
     		<td width="40%">&nbsp;</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/todo_tasks_sub.php
    ===================================================================
    --- modules/tasks/todo_tasks_sub.php	(revision 1949)
    +++ modules/tasks/todo_tasks_sub.php	(working copy)
    @@ -10,7 +10,7 @@
     $perms = &$AppUI->acl();
     $canDelete = $perms->checkModuleItem($m, 'delete');
     ?>
    -<form name="form_buttons" method="post" action="index.php?<?php echo 'm=' . $m . '&amp;a=' . $a . '&amp;date=' . $date; ?>" accept-charset="utf-8">
    +<div class="content content_options"><form name="form_buttons" method="post" action="index.php?<?php echo 'm=' . $m . '&amp;a=' . $a . '&amp;date=' . $date; ?>" accept-charset="utf-8">
         <input type="hidden" name="show_form" value="1" />
         <table width="100%" border="0" cellpadding="1" cellspacing="0">
             <tr>
    @@ -65,8 +65,8 @@
                 </td>
             </tr>
         </table>
    -</form>
    -<form name="form" method="post" action="index.php?<?php echo "m=$m&amp;a=$a&amp;date=$date"; ?>" accept-charset="utf-8">
    +</form></div>
    +<div class="content content_table"><form name="form" method="post" action="index.php?<?php echo "m=$m&amp;a=$a&amp;date=$date"; ?>" accept-charset="utf-8">
         <table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
             <tr>
                 <th width="10">&nbsp;</th>
    @@ -134,8 +134,8 @@
                 </td>
             </tr>
         </table>
    -</form>
    -<table>
    +</form></div>
    +<div class="content content_explanation"><table>
         <tr>
             <td>&nbsp; &nbsp;</td>
             <td style="border-style:solid;border-width:1px" bgcolor="#ffffff">&nbsp; &nbsp;</td>
    @@ -149,4 +149,4 @@
             <td style="border-style:solid;border-width:1px" bgcolor="#CC6666">&nbsp; &nbsp;</td>
             <td>=<?php echo $AppUI->_('Overdue'); ?></td>
         </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/viewgantt.php
    ===================================================================
    --- modules/tasks/viewgantt.php	(revision 1949)
    +++ modules/tasks/viewgantt.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: viewgantt.php 1506 2010-12-03 05:06:28Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/viewgantt.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -280,7 +280,7 @@
         }
     </script>
     
    -<div id="displayOptions"> <!-- start of div used to show/hide formatting options -->
    +<div id="displayOptions"><div class="content content_options"> <!-- start of div used to show/hide formatting options -->
     <br />
     <form name="editFrm" method="post" action="?<?php echo "m=$m&a=$a&tab=$tab&project_id=$project_id"; ?>" accept-charset="utf-8">
         <input type="hidden" name="display_option" value="<?php echo $display_option; ?>" />
    @@ -397,9 +397,9 @@
             </tr>
         </table>
     </form>
    -</div> <!-- end of div used to show/hide formatting options -->
    +</div></div> <!-- end of div used to show/hide formatting options -->
     
    -<table cellspacing="0" cellpadding="2" border="1" align="center" bgcolor="white" width="100%">
    +<div class="content content_options"><table cellspacing="0" cellpadding="2" border="1" align="center" bgcolor="white" width="100%">
     	<tr><th colspan="9" > Gantt chart key: </th></tr>
     	<?php if ($showMilestonesOnly != 1) { ?>
     	<tr>
    @@ -425,9 +425,9 @@
     		<td align="center"><img src="<?php echo W2P_BASE_URL;?>/modules/tasks/images/milestone_overdue.png" alt=""/></td>
     	</tr>
     	<?php } ?>
    -</table>
    +</table></div>
     
    -<table cellspacing="0" cellpadding="0" border="1" align="center" class="std" width="100%">
    +<div class="content"><table cellspacing="0" cellpadding="0" border="1" align="center" class="std" width="100%">
         <tr>
             <td valign="top" align="center">
                 <?php
    @@ -512,4 +512,4 @@
     			?>
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/vw_log_update.php
    ===================================================================
    --- modules/tasks/vw_log_update.php	(revision 1949)
    +++ modules/tasks/vw_log_update.php	(working copy)
    @@ -143,7 +143,7 @@
     	<input type="hidden" name="task_log_task" value="<?php echo $log->task_log_task; ?>" />
     	<input type="hidden" name="task_log_name" value="Update :<?php echo $log->task_log_name; ?>" />
         <input type="hidden" name="task_log_record_creator" value="<?php echo (0 == $task_log_id ? $AppUI->user_id : $log->task_log_record_creator); ?>" />
    -<table cellspacing="1" cellpadding="2" border="0" width="100%">
    +<div class="content"><table cellspacing="1" cellpadding="2" border="0" width="100%">
     <tr>
         <td width='40%' valign='top'>
           <table width='100%'>
    @@ -361,5 +361,5 @@
     </table>
     </td>
     </tr>
    -</table>
    +</table></div>
     </form>
    Index: modules/tasks/vw_logs.php
    ===================================================================
    --- modules/tasks/vw_logs.php	(revision 1949)
    +++ modules/tasks/vw_logs.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_logs.php 1474 2010-10-18 01:00:44Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/vw_logs.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -32,7 +32,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <form name="frmDelete2" action="./index.php?m=tasks" method="post" accept-charset="utf-8">
     	<input type="hidden" name="dosql" value="do_updatetask" />
     	<input type="hidden" name="del" value="1" />
    @@ -130,8 +130,8 @@
     $s .= '</tr>';
     echo $s;
     ?>
    -</table>
    -<table>
    +</table></div>
    +<div class="content content_explanation"><table>
     <tr>
     	<td><?php echo $AppUI->_('Key'); ?>:</td>
     	<td>&nbsp; &nbsp;</td>
    @@ -140,4 +140,4 @@
     	<td bgcolor="#CC6666">&nbsp; &nbsp;</td>
     	<td>=<?php echo $AppUI->_('Problem Report'); ?></td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    
    patch file icon patch_0000841_v3.patch (52,313 bytes) 1969-12-31 16:00 +
  • patch file icon patch_0000841_v4.patch (55,843 bytes) 1969-12-31 16:00 -
    Index: classes/w2p/Output/HTMLHelper.class.php
    ===================================================================
    --- classes/w2p/Output/HTMLHelper.class.php	(revision 1981)
    +++ classes/w2p/Output/HTMLHelper.class.php	(working copy)
    @@ -10,7 +10,7 @@
     
         public static function renderContactList(CAppUI $AppUI, array $contactList) {
     
    -        $output  = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +        $output  = '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
             $output .= '<tr><th>'.$AppUI->_('Name').'</th><th>'.$AppUI->_('Email').'</th>';
             $output .= '<th>'.$AppUI->_('Phone').'</th><th>'.$AppUI->_('Department').'</th></tr>';
             foreach ($contactList as $contact_id => $contact_data) {
    @@ -24,7 +24,7 @@
                 $output .= '<td class="hilite">' . $contact_data['dept_name'] . '</td>';
                 $output .= '</tr>';
             }
    -        $output .= '</table>';
    +        $output .= '</table></div>';
     
             return $output;
         }
    Index: modules/admin/vw_usr.php
    ===================================================================
    --- modules/admin/vw_usr.php	(revision 1981)
    +++ modules/admin/vw_usr.php	(working copy)
    @@ -4,7 +4,7 @@
     }
     $utypes = w2PgetSysVal('UserType');
     ?>
    -<table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
    +<div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
     	<tr>
     		<th>
     			&nbsp;
    @@ -114,4 +114,4 @@
     </tr>
     <?php } ?>
     
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/admin/vw_usr_log.php
    ===================================================================
    --- modules/admin/vw_usr_log.php	(revision 1981)
    +++ modules/admin/vw_usr_log.php	(working copy)
    @@ -51,6 +51,7 @@
     	</tr>
     </table>
     
    +<div class="content content_options">
     <form action="index.php?m=admin<?php echo $a; ?>" method="post" name="frmDate" accept-charset="utf-8">
         <input type="hidden" name="user_id" id="user_id" value="<?php $user_id; ?>" />
         <table align="center" width="100%">
    @@ -79,6 +80,7 @@
             </tr>
         </table>
     </form>
    +</div>
     
     <?php
     if (w2PgetParam($_REQUEST, 'showdetails', 0) == 1) {
    @@ -89,7 +91,7 @@
         $userId = isset($userId) ? $userId : 0;
         $logs = CUser::getLogs($userId, $start_date, $end_date);
         ?>
    -	<table align="center" class="tbl" width="50%">
    +	<div class="content content_table"><table align="center" class="tbl" width="50%">
     		<tr>
     			<th nowrap="nowrap" ><?php echo $AppUI->_('Name(s)'); ?></th>
     			<th nowrap="nowrap" ><?php echo $AppUI->_('Last Name'); ?></th>
    @@ -106,6 +108,6 @@
     				<td align="center"><?php echo $detail['date_time_out']; ?></td>
     			</tr>
     		<?php } ?>
    -	</table>
    +	</table></div>
         <?php
     }
    \ No newline at end of file
    Index: modules/admin/vw_usr_perms.php
    ===================================================================
    --- modules/admin/vw_usr_perms.php	(revision 1981)
    +++ modules/admin/vw_usr_perms.php	(working copy)
    @@ -131,7 +131,7 @@
     <table width="100%" border="0" cellpadding="2" cellspacing="0">
     <tr><td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Item'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Type'); ?></th>
    @@ -206,7 +206,7 @@
     	}
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    Index: modules/admin/vw_usr_roles.php
    ===================================================================
    --- modules/admin/vw_usr_roles.php	(revision 1981)
    +++ modules/admin/vw_usr_roles.php	(working copy)
    @@ -51,7 +51,7 @@
     <table width="100%" border="0" cellpadding="2" cellspacing="0">
     <tr><td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Role'); ?></th>
     	<th>&nbsp;</th>
    @@ -73,7 +73,7 @@
     	echo "<tr>$buf</tr>";
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    Index: modules/admin/vw_usr_sessions.php
    ===================================================================
    --- modules/admin/vw_usr_sessions.php	(revision 1981)
    +++ modules/admin/vw_usr_sessions.php	(working copy)
    @@ -82,7 +82,7 @@
     
     ?>
     
    -<table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
    +<div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
         <tr>
             <th colspan="2">&nbsp; <?php echo $AppUI->_('sort by'); ?>:&nbsp;</th>
             <?php
    @@ -119,4 +119,4 @@
     	echo $s;
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/calendar/companies_tab.view.events.php
    ===================================================================
    --- modules/calendar/companies_tab.view.events.php	(revision 1981)
    +++ modules/calendar/companies_tab.view.events.php	(working copy)
    @@ -23,7 +23,7 @@
     $df = $AppUI->getPref('SHDATEFORMAT');
     $types = w2PgetSysVal('EventType');
     
    -$html = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html = '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     $html .= '<tr><th>' . $AppUI->_('Date') . '</th><th>' . $AppUI->_('Type') . '</th><th>' . $AppUI->_('Event') . '</th></tr>';
     foreach ($events as $row) {
     	$html .= '<tr>';
    @@ -43,5 +43,5 @@
     	$html .= $href ? '</a>' : '';
     	$html .= '</td></tr>';
     }
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/projects_tab.view.events.php
    ===================================================================
    --- modules/calendar/projects_tab.view.events.php	(revision 1981)
    +++ modules/calendar/projects_tab.view.events.php	(working copy)
    @@ -26,7 +26,7 @@
     $df = $AppUI->getPref('SHDATEFORMAT');
     $types = w2PgetSysVal('EventType');
     
    -$html = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html = '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     $html .= '<tr><th>' . $AppUI->_('Date') . '</th><th>' . $AppUI->_('Type') . '</th><th>' . $AppUI->_('Event') . '</th></tr>';
     foreach ($events as $row) {
     	$html .= '<tr>';
    @@ -50,5 +50,5 @@
     
     	$html .= '</td></tr>';
     }
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/vw_day_events.php
    ===================================================================
    --- modules/calendar/vw_day_events.php	(revision 1981)
    +++ modules/calendar/vw_day_events.php	(working copy)
    @@ -58,7 +58,7 @@
     
     $this_day->setTime($start, 0, 0);
     
    -$html = '<form action="'.$_SERVER['REQUEST_URI'].'" method="post" name="pickFilter" accept-charset="utf-8">';
    +$html = '<div class="content content_options"><form action="'.$_SERVER['REQUEST_URI'].'" method="post" name="pickFilter" accept-charset="utf-8">';
     $html .= $AppUI->_('Event Filter') . ':' . arraySelect($event_filter_list, 'event_filter', 'onChange="document.pickFilter.submit()" class="text"', $event_filter, true);
     if ($other_users) {
     	$html .= $AppUI->_('Show Events for') . ':' . '<select name="show_user_events" onchange="document.pickFilter.submit()" class="text">';
    @@ -77,8 +77,8 @@
     
     require_once (W2P_BASE_DIR . '/modules/calendar/links_events.php');
     
    -$html .= '</form>';
    -$html .= '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html .= '</form></div>';
    +$html .= '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     $rows = 0;
     for ($i = 0, $n = ($end - $start) * 60 / $inc; $i < $n; $i++) {
     	$html .= '<tr>';
    @@ -121,5 +121,5 @@
     	$this_day->addSeconds(60 * $inc);
     }
     
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/vw_day_tasks.php
    ===================================================================
    --- modules/calendar/vw_day_tasks.php	(revision 1981)
    +++ modules/calendar/vw_day_tasks.php	(working copy)
    @@ -13,7 +13,7 @@
     $s = '';
     $dayStamp = $this_day->format(FMT_TIMESTAMP_DATE);
     
    -echo '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +echo '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     
     if (isset($links[$dayStamp])) {
     	foreach ($links[$dayStamp] as $e) {
    @@ -28,7 +28,7 @@
     	}
     }
     echo $s;
    -echo '</table>';
    +echo '</table></div>';
     
     $min_view = 1;
     include W2P_BASE_DIR . '/modules/tasks/todo.php';
    \ No newline at end of file
    Index: modules/calendar/year_view.php
    ===================================================================
    --- modules/calendar/year_view.php	(revision 1981)
    +++ modules/calendar/year_view.php	(working copy)
    @@ -131,7 +131,7 @@
     				}
     				echo $s;
     			?>
    -			<table width="100%" class="minical">
    +			<div class="content content_information"><table width="100%" class="minical">
     				<tr>
     					<td valign="top" align="center" width="20%">&nbsp;</td>
     					<td nowrap="nowrap"><?php echo $AppUI->_('Key'); ?>:</td>
    @@ -156,7 +156,7 @@
     					<td>&nbsp;</td>
     					<td width="20%">&nbsp;</td>
     				</tr>
    -			</table>
    +			</table></div>
     		</td>
     	</tr>
     </table>
    \ No newline at end of file
    Index: modules/companies/vw_active.php
    ===================================================================
    --- modules/companies/vw_active.php	(revision 1981)
    +++ modules/companies/vw_active.php	(working copy)
    @@ -17,7 +17,7 @@
     
     $projects = CCompany::getProjects($AppUI, $company_id, 1, $sort);
     
    -?><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
    +?><div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
     if (count($projects) > 0) {
     	?>
     	<tr>
    @@ -61,4 +61,4 @@
     	?><tr><td colspan="5"><?php echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg(); ?></td></tr><?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_archived.php
    ===================================================================
    --- modules/companies/vw_archived.php	(revision 1981)
    +++ modules/companies/vw_archived.php	(working copy)
    @@ -11,7 +11,7 @@
     
     $projects = CCompany::getProjects($AppUI, $company_id, 0);
     
    -?><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
    +?><div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
     
     if (count($projects) > 0) {
     	?><tr><th><?php echo $AppUI->_('Name'); ?></th><th><?php echo $AppUI->_('Owner'); ?></th></tr><?php
    @@ -29,4 +29,4 @@
     	?><tr><td colspan="5"><?php echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg(); ?></td></tr><?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_companies.php
    ===================================================================
    --- modules/companies/vw_companies.php	(revision 1981)
    +++ modules/companies/vw_companies.php	(working copy)
    @@ -25,7 +25,7 @@
     
     $companyList = $company->getCompanyList($AppUI, $company_type_filter, $search_string, $owner_filter_id, $orderby, $orderdir);
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
         <tr>
             <?php
             $fieldList = array('company_name', 'countp', 'inactive', 'company_type');
    @@ -53,4 +53,4 @@
                 echo '<tr><td colspan="5">' . $AppUI->_('No companies available') . '</td></tr>';
             }
         ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_contacts.php
    ===================================================================
    --- modules/companies/vw_contacts.php	(revision 1981)
    +++ modules/companies/vw_contacts.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_contacts.php 1516 2010-12-05 07:18:58Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/companies/vw_contacts.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -11,7 +11,7 @@
     
     $contacts = CCompany::getContacts($AppUI, $company->company_id);
     
    -?><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl"><?php
    +?><div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl"><?php
     if (count($contacts) > 0) {
     	?>
     	<tr>
    @@ -47,4 +47,4 @@
     			<input type="button" class=button value="<?php echo $AppUI->_('new contact') ?>" onClick="javascript:window.location='./index.php?m=contacts&a=addedit&company_id=<?php echo $company->company_id; ?>'">
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_depts.php
    ===================================================================
    --- modules/companies/vw_depts.php	(revision 1981)
    +++ modules/companies/vw_depts.php	(working copy)
    @@ -48,7 +48,7 @@
     	}
     }
     
    -$s = '<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">';
    +$s = '<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">';
     $s .= '<tr>';
     
     if (count($depts)) {
    @@ -80,4 +80,4 @@
     echo '
     	</td>
     </tr>
    -</table>';
    \ No newline at end of file
    +</table></div>';
    \ No newline at end of file
    Index: modules/companies/vw_users.php
    ===================================================================
    --- modules/companies/vw_users.php	(revision 1981)
    +++ modules/companies/vw_users.php	(working copy)
    @@ -13,7 +13,7 @@
     
     if (count($userList) > 0) {
     	?>
    -		<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +		<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     		<tr>
     			<th><?php echo $AppUI->_('Username'); ?></td>
     			<th><?php echo $AppUI->_('Name'); ?></td>
    @@ -28,7 +28,7 @@
     			}
     			echo $s;
     		?>
    -		</table>
    +		</table></div>
     	<?php
     } else {
     	echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg();
    Index: modules/departments/vw_contacts.php
    ===================================================================
    --- modules/departments/vw_contacts.php	(revision 1981)
    +++ modules/departments/vw_contacts.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_contacts.php 1516 2010-12-05 07:18:58Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/departments/vw_contacts.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -6,7 +6,7 @@
     global $dept_id, $dept, $company_id;
     ?>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     
     <tr><th><?php echo $AppUI->_('Name'); ?></th><th><?php echo $AppUI->_('Email'); ?></th><th><?php echo $AppUI->_('Telephone'); ?></th></tr>
     <?php
    @@ -26,4 +26,4 @@
     			<input type="button" class="button" value="<?php echo $AppUI->_('new contact'); ?>" onclick="javascript:window.location='./index.php?m=contacts&a=addedit&company_id=<?php echo $company_id; ?>&company_name=<?php echo $dept['company_name']; ?>&dept_id=<?php echo $dept['dept_id']; ?>&dept_name=<?php echo $dept['dept_name']; ?>'">			
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/departments/vw_depts.php
    ===================================================================
    --- modules/departments/vw_depts.php	(revision 1981)
    +++ modules/departments/vw_depts.php	(working copy)
    @@ -14,7 +14,7 @@
     $deptList = $dept->getFilteredDepartmentList($AppUI, $dept_type_filter, $search_string, $owner_filter_id, $orderby, $orderdir);
     ?>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     	<tr>
             <?php
             $fieldList = array('dept_name', 'countp', 'inactive', 'dept_type');
    @@ -45,4 +45,4 @@
     	echo '<tr><td colspan="4">' . $AppUI->_('No data available') . '</td></tr>';
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/files/folders_table.php
    ===================================================================
    --- modules/files/folders_table.php	(revision 1981)
    +++ modules/files/folders_table.php	(working copy)
    @@ -140,7 +140,7 @@
     	background: #F9F9F9;
     }
     </style>
    -<table id="tblFolders" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_table"><table id="tblFolders" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     <?php
         /**** Main Program ****/
         if ($folder_id) { ?>
    @@ -195,4 +195,4 @@
                 </form>
     	    </td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/files/index_table.php
    ===================================================================
    --- modules/files/index_table.php	(revision 1981)
    +++ modules/files/index_table.php	(working copy)
    @@ -177,7 +177,7 @@
     }
     </script>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap"><?php echo $AppUI->_('File Name'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Description'); ?></th>
    @@ -337,6 +337,6 @@
     		echo $hidden_table;
     		$hidden_table = '';
     	} ?>
    -</table>
    +</table></div>
     <?php
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
    \ No newline at end of file
    Index: modules/files/tasks_tab.view.files.php
    ===================================================================
    --- modules/files/tasks_tab.view.files.php	(revision 1981)
    +++ modules/files/tasks_tab.view.files.php	(working copy)
    @@ -6,9 +6,11 @@
     global $AppUI, $m, $obj, $task_id, $w2Pconfig;
     if (canView('files')) {
     	if (canAdd('files')) {
    +		echo '<div class="content content_options">';
     		echo '<a href="./index.php?m=files&a=addedit&project_id=' . $obj->task_project . '&file_task=' . $task_id . '">' . $AppUI->_('Attach a file') . '</a>';
    -	}
    -	echo w2PshowImage('stock_attach-16.png', 16, 16, '');
    +		echo w2PshowImage('stock_attach-16.png', 16, 16, '');
    +		echo '</div>';
    +	}	
     	$showProject = false;
     	$project_id = $obj->task_project;
     	include (W2P_BASE_DIR . '/modules/files/index_table.php');
    Index: modules/forums/index.php
    ===================================================================
    --- modules/forums/index.php	(revision 1981)
    +++ modules/forums/index.php	(working copy)
    @@ -46,7 +46,7 @@
     	<input type="hidden" name="dosql" value="do_watch_forum" />
     	<input type="hidden" name="watch" value="forum" />
     
    -    <table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
    +    <div class="content content_table"><table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
             <tr>
                 <th nowrap="nowrap">&nbsp;</th>
                 <?php
    @@ -122,14 +122,14 @@
                     </td>
                 </tr>
             <?php } ?>
    -    </table>
    +    </table></div>
     
    -    <table width="100%" cellspacing="0" cellpadding="0" border="0" class="std">
    +    <div class="content content_options"><table width="100%" cellspacing="0" cellpadding="0" border="0" class="std">
     
             <tr>
                 <td align="left">
                     <input type="submit" class="button" value="<?php echo $AppUI->_('update watches'); ?>" />
                 </td>
             </tr>
    -    </table>
    +    </table></div>
     </form>
    \ No newline at end of file
    Index: modules/forums/view_topics.php
    ===================================================================
    --- modules/forums/view_topics.php	(revision 1981)
    +++ modules/forums/view_topics.php	(working copy)
    @@ -54,7 +54,7 @@
     <form name="watcher" action="?m=forums&a=viewer&forum_id=<?php echo $forum_id; ?>&f=<?php echo $f; ?>" method="post" accept-charset="utf-8">
         <input type="hidden" name="dosql" value="do_watch_forum" />
         <input type="hidden" name="watch" value="topic" />
    -    <table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
    +    <div class="content content_table"><table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
             <tr><td colspan="5">
                 <table width="100%" cellspacing="1" cellpadding="2" border="0">
                 <tr>
    @@ -120,13 +120,13 @@
         <?php
             }
         } ?>
    -    </table>
    +    </table></div>
     
    -    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="std">
    +    <div class="content content_options"><table width="100%" border="0" cellpadding="0" cellspacing="1" class="std">
             <tr>
                 <td align="left">
                     <input type="submit" class="button" value="<?php echo $AppUI->_('update watches'); ?>" />
                 </td>
             </tr>
    -    </table>
    +    </table></div>
     </form>
    \ No newline at end of file
    Index: modules/history/index.php
    ===================================================================
    --- modules/history/index.php	(revision 1981)
    +++ modules/history/index.php	(working copy)
    @@ -87,7 +87,7 @@
     }
     ?>
     
    -<table width="100%" cellspacing="1" cellpadding="0" border="0">
    +<div class="content content_options"><table width="100%" cellspacing="1" cellpadding="0" border="0">
     <tr>
         <td nowrap="nowrap" align="right">
     <form name="filter" action="?m=history" method="post" accept-charset="utf-8">
    @@ -117,9 +117,9 @@
     </form>
             </td>
     	<td align="right"><input class="button" type="button" value="<?php echo $AppUI->_('Add history'); ?>" onclick="window.location='?m=history&a=addedit'"></td>
    -</table>
    +</table></div>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="10">&nbsp;</th>
     	<th width="200"><?php echo $AppUI->_('Date'); ?></th>
    @@ -150,4 +150,4 @@
         <?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/links/index_table.php
    ===================================================================
    --- modules/links/index_table.php	(revision 1981)
    +++ modules/links/index_table.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: index_table.php 1466 2010-09-22 05:14:41Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/links/index_table.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -48,7 +48,7 @@
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
     
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap">&nbsp;</th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Link Name'); ?></th>
    @@ -106,6 +106,6 @@
         </td>
     </tr>
     <?php } ?>
    -</table>
    +</table></div>
     <?php
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
    \ No newline at end of file
    Index: modules/projects/admin_tab.viewuser.projects.php
    ===================================================================
    --- modules/projects/admin_tab.viewuser.projects.php	(revision 1981)
    +++ modules/projects/admin_tab.viewuser.projects.php	(working copy)
    @@ -40,15 +40,15 @@
     $projects = projects_list_data($user_id);
     ?>
     
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_options"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     <tr>
     	<td align="center" width="100%" nowrap="nowrap" colspan="7">&nbsp;</td>
     	<form action="?m=admin&a=viewuser&user_id=<?php echo $user_id; ?>&tab=<?php echo $tab; ?>" method="post" name="checkPwT" accept-charset="utf-8"><td align="right" nowrap="nowrap"><input type="checkbox" name="add_pwt" id="add_pwt" onclick="document.checkPwT.submit()" <?php echo $addPwT ? 'checked="checked"' : ''; ?> /></td><td align="right" nowrap="nowrap"><label for="add_pwt"><?php echo $AppUI->_('Show Projects with assigned Tasks'); ?>?</label><input type="hidden" name="show_form" value="1" /></td></form>
     	<form action="?m=admin&a=viewuser&user_id=<?php echo $user_id; ?>&tab=<?php echo $tab; ?>" method="post" name="pickCompany" accept-charset="utf-8"><td align="right" nowrap="nowrap"><?php echo $buffer; ?></td></form>
     	<form action="?m=admin&a=viewuser&user_id=<?php echo $user_id; ?>&tab=<?php echo $tab; ?>" method="post" name="pickProject" accept-charset="utf-8"><td align="right" nowrap="nowrap"><?php echo arraySelect($projFilter, 'proFilter', 'size=1 class=text onChange="document.pickProject.submit()"', $proFilter, true); ?></td></form>
     </tr>
    -</table>
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +</table></div>
    +<div class="content content_table"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
         <tr>
             <?php
             $fieldList = array('project_color_identifier', 'project_priority',
    @@ -116,4 +116,4 @@
     <tr>
     	<td colspan="12">&nbsp;</td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/departments_tab.view.projects.php
    ===================================================================
    --- modules/projects/departments_tab.view.projects.php	(revision 1981)
    +++ modules/projects/departments_tab.view.projects.php	(working copy)
    @@ -58,7 +58,7 @@
     
     ?>
     
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_options"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     <tr>
     	<td align="right" width="65" nowrap="nowrap">&nbsp;<?php echo $AppUI->_('sort by'); ?>:&nbsp;</td>
     	<td align="center" width="100%" nowrap="nowrap" colspan="6">&nbsp;</td>
    @@ -74,8 +74,8 @@
             </form>
         </td>
     </tr>
    -</table>
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +</table></div>
    +<div class="content content_table"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
         <tr>
             <?php
             $fieldList = array('project_color_identifier', 'project_priority',
    @@ -145,4 +145,4 @@
     <tr>
     	<td colspan="12">&nbsp;</td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/departments_tab.view.projects_gantt.php
    ===================================================================
    --- modules/projects/departments_tab.view.projects_gantt.php	(revision 1981)
    +++ modules/projects/departments_tab.view.projects_gantt.php	(working copy)
    @@ -33,11 +33,11 @@
     
     $extraGet = '&user_id=' . $user_id;
     ?>
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_options"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     <tr>
     	<td align="center" width="100%" nowrap="nowrap" colspan="6">&nbsp;</td><td align="right" nowrap="nowrap"><form action="?m=departments&tab=<?php echo $tab; ?>" method="post" name="checkPwOiD"><input type="checkbox" name="add_pwoid" id="add_pwoid" onclick="document.checkPwOiD.submit()" <?php echo $addPwOiD ? 'checked="checked"' : ''; ?>  accept-charset="utf-8"/><label for="add_pwoid"><?php echo $AppUI->_('Show Projects whose Owner is Member of the Dep.'); ?>?</label><input type="hidden" name="show_form" value="1" /></form></td>
     </tr>
    -</table>
    +</table></div>
     <?php
     $min_view = true;
     /*
    Index: modules/projects/viewgantt.php
    ===================================================================
    --- modules/projects/viewgantt.php	(revision 1981)
    +++ modules/projects/viewgantt.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: viewgantt.php 1506 2010-12-03 05:06:28Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/viewgantt.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -142,7 +142,7 @@
         <table class="tbl" width="100%" border="0" cellpadding="4" cellspacing="0">
             <tr>
                 <td>
    -                <table border="0" cellpadding="4" cellspacing="0" class="tbl">
    +                <div class="content content_options"><table border="0" cellpadding="4" cellspacing="0" class="tbl">
                         <tr>
                             <td align="left" valign="top" width="20">
                             <?php if ($display_option != "all") { ?>
    @@ -198,8 +198,8 @@
                                     <?php echo "<a href='javascript:showThisMonth()'>" . $AppUI->_('show this month') . "</a> : <a href='javascript:showFullProject()'>" . $AppUI->_('show all') . "</a><br>"; ?>
                             </td>
                         </tr>
    -                </table>
    -                <table cellspacing="0" cellpadding="0" border="1" align="center" class="tbl">
    +                </table></div>
    +                <div class="content content_gantt"><table cellspacing="0" cellpadding="0" border="1" align="center" class="tbl">
                         <tr>
                             <td>
                                 <?php
    @@ -208,7 +208,7 @@
                                 ?>
                             </td>
                         </tr>
    -                </table>
    +                </table></div>
                 </td>
             </tr>
         </table>
    Index: modules/projects/vw_forums.php
    ===================================================================
    --- modules/projects/vw_forums.php	(revision 1981)
    +++ modules/projects/vw_forums.php	(working copy)
    @@ -9,7 +9,7 @@
     $forums = CProject::getForums($AppUI, $project_id);
     ?>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     	<tr>
     		<th nowrap="nowrap">&nbsp;</th>
     		<th nowrap="nowrap" width="100%"><?php echo $AppUI->_('Forum Name'); ?></th>
    @@ -35,4 +35,4 @@
     			<td colspan="3"><?php echo $forum_info['forum_description']; ?></td>
     		</tr>
     	<?php } ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/vw_idx_projects.php
    ===================================================================
    --- modules/projects/vw_idx_projects.php	(revision 1981)
    +++ modules/projects/vw_idx_projects.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* PROJECTS $Id: vw_idx_projects.php 1500 2010-11-27 22:45:35Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/vw_idx_projects.php $ */
    +<?php /* PROJECTS $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -113,7 +113,7 @@
     
     <form action="./index.php" method="get" accept-charset="utf-8">
     
    -	<table id="tblProjects" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +	<div class="content content_table"><table id="tblProjects" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     		<tr>
                 <?php
                 $fieldList = array();
    @@ -315,7 +315,7 @@
     			<?php
     			}
     		?>
    -	</table>
    +	</table></div>
     </form>
     <?php
     if ($is_tabbed) {
    Index: modules/projects/vw_logs.php
    ===================================================================
    --- modules/projects/vw_logs.php	(revision 1981)
    +++ modules/projects/vw_logs.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_logs.php 1474 2010-10-18 01:00:44Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/vw_logs.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -48,7 +48,7 @@
     }
     <?php } ?>
     </script>
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="std">
    +<div class="content content_options"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="std">
     <form name="frmFilter" action="./index.php" method="get" accept-charset="utf-8">
     <tr>
     	<td width="98%">&nbsp;</td>
    @@ -67,8 +67,8 @@
     <input type="hidden" name="project_id" value="<?php echo $project_id ?>"/>
     <input type="hidden" name="tab" value="<?php echo $tab ?>"/>
     </form>
    -</table>
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +</table></div>
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <form name="frmDelete2" action="./index.php?m=tasks" method="post" accept-charset="utf-8">
     	<input type="hidden" name="dosql" value="do_updatetask" />
     	<input type="hidden" name="del" value="1" />
    @@ -143,4 +143,4 @@
     $s .= '</tr>';
     echo $s;
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/vw_sub_projects.php
    ===================================================================
    --- modules/projects/vw_sub_projects.php	(revision 1981)
    +++ modules/projects/vw_sub_projects.php	(working copy)
    @@ -14,7 +14,7 @@
     $original_project_id = $sp_obj->project_original_parent;
     $structprojects = getStructuredProjects($original_project_id);
     ?>
    -<table width="100%" border="0" cellpadding="5" cellspacing="1" bgcolor="black">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="5" cellspacing="1" bgcolor="black">
     <tr>
     <th width="12">&nbsp;</th>
     <th class="hilite" width="12"><?php echo $AppUI->_('ID'); ?></th>
    @@ -61,8 +61,8 @@
     }
     echo $s;
     ?>
    -</table>
    -<table width="100%" border="0" cellpadding="5" cellspacing="1">
    +</table></div>
    +<div class="content content_gantt"><table width="100%" border="0" cellpadding="5" cellspacing="1">
         <tr>
             <td align="center" colspan="20">
     <?php
    @@ -71,4 +71,4 @@
     ?>
             </td>
         </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/reports/index.php
    ===================================================================
    --- modules/reports/index.php	(revision 1981)
    +++ modules/reports/index.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: index.php 1522 2010-12-08 05:08:07Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/reports/index.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -83,7 +83,7 @@
     		echo styleRenderBoxTop();
     	}
     	$s = '';
    -	$s .= '<table width="100%" class="std">';
    +	$s .= '<div class="content content_table"><table width="100%" class="std">';
     	$s .= '<tr><td><h2>' . $AppUI->_('Reports Available') . '</h2></td></tr>';
     
     	foreach ($reports as $key => $v) {
    @@ -104,6 +104,6 @@
     		$s .= '<tr><td><a href="'.$link.'">'.$AppUI->_($type.'_name') . '</a></td>';
     		$s .= '<td>' . $AppUI->_($type.'_desc') . '</td></tr>';
     	}
    -	$s .= '</table>';
    +	$s .= '</table></div>';
     	echo $s;
     }
    \ No newline at end of file
    Index: modules/resources/tasks_tab.view.other_resources.php
    ===================================================================
    --- modules/resources/tasks_tab.view.other_resources.php	(revision 1981)
    +++ modules/resources/tasks_tab.view.other_resources.php	(working copy)
    @@ -35,7 +35,7 @@
     }
     
     ?>
    -<table class="std" width="100%" cellpadding="4" cellspacing="1">
    +<div class="content content_table"><table class="std" width="100%" cellpadding="4" cellspacing="1">
     <tr><th>Type</th><th>Resource</th><th>Allocation</th><th>&nbsp;</th></tr>
     <?php
     foreach ($resources as $res) {
    @@ -49,4 +49,4 @@
     	echo $output;
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/resources/vw_resources.php
    ===================================================================
    --- modules/resources/vw_resources.php	(revision 1981)
    +++ modules/resources/vw_resources.php	(working copy)
    @@ -18,7 +18,7 @@
     }
     $res = &$query->exec();
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap" width="20%">
         	<?php echo $AppUI->_('ID'); ?>
    @@ -52,4 +52,4 @@
     }
     $query->clear();
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/smartsearch/index.php
    ===================================================================
    --- modules/smartsearch/index.php	(revision 1981)
    +++ modules/smartsearch/index.php	(working copy)
    @@ -258,7 +258,7 @@
     	}
     
       ?>
    -  <table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +  <div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
       	<?php
         	$perms = &$AppUI->acl();
         	sort($files);
    @@ -296,6 +296,6 @@
             }
         	echo '<tr><td><b>' . $AppUI->_('Total records found') . ': ' . $reccount . '</b></td></tr>';
         ?>
    -  </table>
    +  </table></div>
     <?php
     }
    \ No newline at end of file
    Index: modules/system/acls_view.php
    ===================================================================
    --- modules/system/acls_view.php	(revision 1981)
    +++ modules/system/acls_view.php	(working copy)
    @@ -45,7 +45,7 @@
     
     $actions = array(0 => 'All Actions', 'access' => 'access', 'add' => 'add', 'delete' => 'delete', 'edit' => 'edit', 'view' => 'view');
     
    -$table = '<table class="tbl" width="100%" cellspacing="1" cellpadding="2" border="0">';
    +$table = '<div class="content content_table"><table class="tbl" width="100%" cellspacing="1" cellpadding="2" border="0">';
     $table .= '<tr><th colspan="9"><b>Permission Result Table</b></th></tr>';
     $table .= '<tr><th>UserID</th><th>User</th><th>User Name</th><th>Module</th><th>Item</th><th>Item Name</th><th>Action</th><th>Allow</th><th>ACL_ID</th></tr>';
     foreach ($permissions as $permission) {
    @@ -67,7 +67,7 @@
     		$table .= '<tr>' . '<td style="text-align:right;">' . $permission['user_id'] . '</td>' . '<td>' . $permission['user_name'] . '</td>' . '<td>' . $users[$permission['user_id']] . '</td>' . '<td>' . $permission['module'] . '</td>' . '<td style="text-align:right;">' . ($permission['item_id'] ? $permission['item_id'] : '') . '</td>' . '<td>' . ($item ? $item : 'ALL') . '</td>' . '<td>' . $permission['action'] . '</td>' . '<td ' . (!$permission['access'] ? 'style="text-align:right;background-color:red"' : 'style="text-align:right;background-color:green"') . '>' . $permission['access'] . '</td>' . '<td ' . ($permission['acl_id'] ? '' : 'style="background-color:gray"') . '>' . ($permission['acl_id'] ? $permission['acl_id'] : 'soft-denial') . '</td>' . '</tr>';
     	}
     }
    -$table .= '</table>';
    +$table .= '</table></div>';
     $users = array('' => '(' . $AppUI->_('Select User') . ')') + $users;
     $user = (isset($_POST['user']) && $_POST['user'] != '') ?  $_POST['user'] : $AppUI->user_id;
     $user_selector = arraySelect($users, 'user', 'class="text" onchange="javascript:document.pickUser.submit()"', $user);
    Index: modules/system/customfields/index.php
    ===================================================================
    --- modules/system/customfields/index.php	(revision 1981)
    +++ modules/system/customfields/index.php	(working copy)
    @@ -30,7 +30,7 @@
     	<input type="hidden" name="del" value="1" />
     	<input type="hidden" name="field_id" value="<?php echo $project_id; ?>" />
     </form>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
         <?php foreach ($modules as $module) { ?>
         <tr>
             <td colspan="10">
    @@ -75,4 +75,4 @@
     	}
     
         }?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/roles/index.php
    ===================================================================
    --- modules/system/roles/index.php	(revision 1981)
    +++ modules/system/roles/index.php	(working copy)
    @@ -51,7 +51,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <tr>
     	<th>&nbsp;</th>
     	<th><?php echo $AppUI->_('Role ID'); ?></th>
    @@ -70,4 +70,4 @@
     	echo showRoleRow();
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/roles/vw_role_perms.php
    ===================================================================
    --- modules/system/roles/vw_role_perms.php	(revision 1981)
    +++ modules/system/roles/vw_role_perms.php	(working copy)
    @@ -103,7 +103,7 @@
     <tr>
     	<td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Item'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Type'); ?></th>
    @@ -178,7 +178,7 @@
     	}
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    Index: modules/system/syskeys/index.php
    ===================================================================
    --- modules/system/syskeys/index.php	(revision 1981)
    +++ modules/system/syskeys/index.php	(working copy)
    @@ -86,7 +86,7 @@
     
     <form name="sysValFrm" method="post" action="?m=system&u=syskeys&a=do_sysval_aed" accept-charset="utf-8">
       <input type="hidden" name="del" value="0" />
    -  <table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +  <div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
         <tr>
         	<th>&nbsp;</th>
         	<th><?php echo $AppUI->_('Key Type'); ?></th>
    @@ -103,7 +103,7 @@
         	echo showRow();
         }
         ?>
    -  </table>
    +  </table></div>
     </form>
     
     <?php
    Index: modules/system/syskeys/keys.php
    ===================================================================
    --- modules/system/syskeys/keys.php	(revision 1981)
    +++ modules/system/syskeys/keys.php	(working copy)
    @@ -40,7 +40,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <tr>
     	<th>&nbsp;</th>
     	<th><?php echo $AppUI->_('Name'); ?></th>
    @@ -91,4 +91,4 @@
     	echo showRow();
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/translate.php
    ===================================================================
    --- modules/system/translate.php	(revision 1981)
    +++ modules/system/translate.php	(working copy)
    @@ -96,7 +96,7 @@
     <form action="?m=system&a=translate_save" method="post" name="editlang" accept-charset="utf-8">
     <input type="hidden" name="module" value="<?php echo $modules[$module]; ?>" />
     <input type="hidden" name="lang" value="<?php echo $lang; ?>" />
    -<table width="100%" border="0" cellpadding="1" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="1" cellspacing="1" class="tbl">
     <tr>
     	<th width="15%" nowrap="nowrap"><?php echo $AppUI->_('Abbreviation'); ?></th>
     	<th width="40%" nowrap="nowrap"><?php echo $AppUI->_('English String'); ?></th>
    @@ -160,5 +160,5 @@
     		<input type="submit" value="<?php echo $AppUI->_('submit'); ?>" class="button" />
     	</td>
     </tr>
    -</table>
    +</table></div>
     </form>
    \ No newline at end of file
    Index: modules/system/viewmods.php
    ===================================================================
    --- modules/system/viewmods.php	(revision 1981)
    +++ modules/system/viewmods.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: viewmods.php 1504 2010-12-01 07:07:21Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/system/viewmods.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -30,7 +30,7 @@
     $titleBlock->show();
     ?>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
         <tr>
             <th colspan="2"><?php echo $AppUI->_('Module'); ?></th>
             <th><?php echo $AppUI->_('Status'); ?></th>
    @@ -149,4 +149,4 @@
                 </form>
             </td>
         </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/tasks.php
    ===================================================================
    --- modules/tasks/tasks.php	(revision 1981)
    +++ modules/tasks/tasks.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: tasks.php 1525 2010-12-11 08:46:05Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/tasks.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -432,7 +432,7 @@
     if ($project_id) {
     	$open_link = w2PtoolTip($m, 'click to expand/collapse all the tasks for this project.') . '<a href="javascript: void(0);"><img onclick="expand_collapse(\'project_' . $project_id . '_\', \'tblProjects\',\'collapse\',0,2);" id="project_' . $project_id . '__collapse" src="' . w2PfindImage('up22.png', $m) . '" border="0" width="22" height="22" align="center" ' . (!$expanded ? 'style="display:none"' : '') . ' alt="" /><img onclick="expand_collapse(\'project_' . $project_id . '_\', \'tblProjects\',\'expand\',0,2);" id="project_' . $project_id . '__expand" src="' . w2PfindImage('down22.png', $m) . '" border="0" width="22" height="22" align="center" ' . ($expanded ? 'style="display:none"' : '') . ' alt="" /></a>' . w2PendTip();
     	?>
    -	<form name="task_list_options" method="post" action=""<?php echo $query_string; ?>" accept-charset="utf-8">
    +	<div class="content content_options"><form name="task_list_options" method="post" action=""<?php echo $query_string; ?>" accept-charset="utf-8">
     		<input type='hidden' name='show_task_options' value='1' />
     		<table width='100%' border='0' cellpadding='1' cellspacing='0'>
     			<tr>
    @@ -453,9 +453,9 @@
     			  </td>
     			</tr>
     		</table>
    -	</form>
    +	</form></div>
     <?php } ?>
    -<table id="tblProjects" width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl">
    +<div class="content content_table"><table id="tblProjects" width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl">
     	<tr>
     		<th width="10">&nbsp;</th>
     		<th width="10"><?php echo $AppUI->_('Pin'); ?></th>
    @@ -649,8 +649,8 @@
     		}
     		$AppUI->savePlace();
     	?>
    -</table>
    -<table width="100%" class="std">
    +</table></div>
    +<div class="content content_information"><table width="100%" class="std">
     	<tr>
     		<td nowrap="nowrap"><?php echo $AppUI->_('Key'); ?>:</td>
     		<td>&nbsp;</td>
    @@ -670,4 +670,4 @@
     		<td nowrap="nowrap">=<?php echo $AppUI->_('Done'); ?></td>
     		<td width="40%">&nbsp;</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/tasksperuser_sub.php
    ===================================================================
    --- modules/tasks/tasksperuser_sub.php	(revision 1981)
    +++ modules/tasks/tasksperuser_sub.php	(working copy)
    @@ -188,7 +188,7 @@
     	<input type="hidden" name="company_id" value="<?php echo $company_id; ?>" />
     	<input type="hidden" name="report_type" value="<?php echo $report_type; ?>" />
     	
    -	<table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
    +	<div class="content content_options"><table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
     		<tr>
     			<td align="right" nowrap="nowrap"><?php echo $AppUI->_('For period'); ?>:</td>
     			<td nowrap="nowrap">
    @@ -239,7 +239,7 @@
     		<tr>
     			<td colspan="5" align="left" nowrap="nowrap"><?php echo $AppUI->_('P') . "&nbsp;=&nbsp;" . $AppUI->_('User specific Task Priority'); ?></td>
     		</tr>
    -	</table>
    +	</table></div>
     	<?php
     		if (function_exists('styleRenderBoxBottom')) {
     			echo styleRenderBoxBottom();
    @@ -441,7 +441,7 @@
     ?>
     
     <center>
    -	<table width="100%" border="0" cellpadding="2" cellspacing="1" class="std">
    +	<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="std">
     		<?php echo $table_header . $table_rows; //show tasks with existing assignees
     
     // show orphaned tasks
    @@ -493,5 +493,5 @@
     } // end of show orphaned tasks
     
     ?>
    -	</table>
    +	</table></div>
     </center>
    \ No newline at end of file
    Index: modules/tasks/todo_gantt_sub.php
    ===================================================================
    --- modules/tasks/todo_gantt_sub.php	(revision 1981)
    +++ modules/tasks/todo_gantt_sub.php	(working copy)
    @@ -8,7 +8,7 @@
     $perms = &$AppUI->acl();
     $canDelete = $perms->checkModuleItem($m, 'delete');
     ?>
    -<table width="100%" border="0" cellpadding="1" cellspacing="0">
    +<div class="content content_options"><table width="100%" border="0" cellpadding="1" cellspacing="0">
     <form name="form_buttons" method="post" action="index.php?<?php echo 'm=' . $m . '&a=' . $a . '&date=' . $date; ?>" accept-charset="utf-8">
     <input type="hidden" name="show_form" value="1" />
     <tr>
    @@ -23,7 +23,7 @@
     	</td>
     </tr>
     </form>
    -</table>
    +</table></div>
     <?php
     $min_view = true;
     include W2P_BASE_DIR . '/modules/tasks/viewgantt.php';
    \ No newline at end of file
    Index: modules/tasks/todo_tasks_sub.php
    ===================================================================
    --- modules/tasks/todo_tasks_sub.php	(revision 1981)
    +++ modules/tasks/todo_tasks_sub.php	(working copy)
    @@ -10,7 +10,7 @@
     $perms = &$AppUI->acl();
     $canDelete = $perms->checkModuleItem($m, 'delete');
     ?>
    -<form name="form_buttons" method="post" action="index.php?<?php echo 'm=' . $m . '&amp;a=' . $a . '&amp;date=' . $date; ?>" accept-charset="utf-8">
    +<div class="content content_options"><form name="form_buttons" method="post" action="index.php?<?php echo 'm=' . $m . '&amp;a=' . $a . '&amp;date=' . $date; ?>" accept-charset="utf-8">
         <input type="hidden" name="show_form" value="1" />
         <table width="100%" border="0" cellpadding="1" cellspacing="0">
             <tr>
    @@ -65,8 +65,8 @@
                 </td>
             </tr>
         </table>
    -</form>
    -<form name="form" method="post" action="index.php?<?php echo "m=$m&amp;a=$a&amp;date=$date"; ?>" accept-charset="utf-8">
    +</form></div>
    +<div class="content content_table"><form name="form" method="post" action="index.php?<?php echo "m=$m&amp;a=$a&amp;date=$date"; ?>" accept-charset="utf-8">
         <table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
             <tr>
                 <th width="10">&nbsp;</th>
    @@ -134,8 +134,8 @@
                 </td>
             </tr>
         </table>
    -</form>
    -<table>
    +</form></div>
    +<div class="content content_information"><table>
         <tr>
             <td>&nbsp; &nbsp;</td>
             <td style="border-style:solid;border-width:1px" bgcolor="#ffffff">&nbsp; &nbsp;</td>
    @@ -149,4 +149,4 @@
             <td style="border-style:solid;border-width:1px" bgcolor="#CC6666">&nbsp; &nbsp;</td>
             <td>=<?php echo $AppUI->_('Overdue'); ?></td>
         </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/viewgantt.php
    ===================================================================
    --- modules/tasks/viewgantt.php	(revision 1981)
    +++ modules/tasks/viewgantt.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: viewgantt.php 1506 2010-12-03 05:06:28Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/viewgantt.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -264,7 +264,7 @@
         }
     </script>
     
    -<div id="displayOptions"> <!-- start of div used to show/hide formatting options -->
    +<div id="displayOptions" class="content content_options"> <!-- start of div used to show/hide formatting options -->
     <br />
     <form name="editFrm" method="post" action="?<?php echo "m=$m&a=$a&tab=$tab&project_id=$project_id"; ?>" accept-charset="utf-8">
         <input type="hidden" name="display_option" value="<?php echo $display_option; ?>" />
    @@ -383,7 +383,7 @@
     </form>
     </div> <!-- end of div used to show/hide formatting options -->
     
    -<table cellspacing="0" cellpadding="2" border="1" align="center" bgcolor="white" width="100%">
    +<div class="content content_options"><table cellspacing="0" cellpadding="2" border="1" align="center" bgcolor="white" width="100%">
     	<tr><th colspan="9" > Gantt chart key: </th></tr>
     	<?php if ($showMilestonesOnly != 1) { ?>
     	<tr>
    @@ -409,9 +409,9 @@
     		<td align="center"><img src="<?php echo W2P_BASE_URL;?>/modules/tasks/images/milestone_overdue.png" alt=""/></td>
     	</tr>
     	<?php } ?>
    -</table>
    +</table></div>
     
    -<table cellspacing="0" cellpadding="0" border="1" align="center" class="std" width="100%">
    +<div class="content content_gantt"><table cellspacing="0" cellpadding="0" border="1" align="center" class="std" width="100%">
         <tr>
             <td valign="top" align="center">
                 <?php
    @@ -496,4 +496,4 @@
     			?>
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/vw_logs.php
    ===================================================================
    --- modules/tasks/vw_logs.php	(revision 1981)
    +++ modules/tasks/vw_logs.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_logs.php 1474 2010-10-18 01:00:44Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/vw_logs.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -32,7 +32,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <form name="frmDelete2" action="./index.php?m=tasks" method="post" accept-charset="utf-8">
     	<input type="hidden" name="dosql" value="do_updatetask" />
     	<input type="hidden" name="del" value="1" />
    @@ -130,8 +130,8 @@
     $s .= '</tr>';
     echo $s;
     ?>
    -</table>
    -<table>
    +</table></div>
    +<div class="content content_information"><table>
     <tr>
     	<td><?php echo $AppUI->_('Key'); ?>:</td>
     	<td>&nbsp; &nbsp;</td>
    @@ -140,4 +140,4 @@
     	<td bgcolor="#CC6666">&nbsp; &nbsp;</td>
     	<td>=<?php echo $AppUI->_('Problem Report'); ?></td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    
    patch file icon patch_0000841_v4.patch (55,843 bytes) 1969-12-31 16:00 +
  • patch file icon patch_0000841_v5.patch (110,281 bytes) 1969-12-31 16:00 -
    Index: classes/w2p/Output/HTMLHelper.class.php
    ===================================================================
    --- classes/w2p/Output/HTMLHelper.class.php	(revision 1981)
    +++ classes/w2p/Output/HTMLHelper.class.php	(working copy)
    @@ -10,7 +10,7 @@
     
         public static function renderContactList(CAppUI $AppUI, array $contactList) {
     
    -        $output  = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +        $output  = '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
             $output .= '<tr><th>'.$AppUI->_('Name').'</th><th>'.$AppUI->_('Email').'</th>';
             $output .= '<th>'.$AppUI->_('Phone').'</th><th>'.$AppUI->_('Department').'</th></tr>';
             foreach ($contactList as $contact_id => $contact_data) {
    @@ -24,7 +24,7 @@
                 $output .= '<td class="hilite">' . $contact_data['dept_name'] . '</td>';
                 $output .= '</tr>';
             }
    -        $output .= '</table>';
    +        $output .= '</table></div>';
     
             return $output;
         }
    Index: modules/admin/addedituser.php
    ===================================================================
    --- modules/admin/addedituser.php	(revision 1981)
    +++ modules/admin/addedituser.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: addedituser.php 1517 2010-12-05 08:07:54Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/admin/addedituser.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -148,7 +148,7 @@
     	<input type="hidden" name="dosql" value="do_user_aed" />
     	<input type="hidden" name="username_min_len" value="<?php echo w2PgetConfig('username_min_len'); ?>)" />
     	<input type="hidden" name="password_min_len" value="<?php echo w2PgetConfig('password_min_len'); ?>)" />
    -    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="std">
    +    <div class="content content_table"><table width="100%" border="0" cellpadding="0" cellspacing="1" class="std">
             <tr>
                 <td align="right" width="35%" nowrap="nowrap">* <?php echo $AppUI->_('Login Name'); ?>:</td>
                 <td>
    @@ -259,5 +259,5 @@
                 </td>
             </tr>
             <?php } ?>
    -    </table>
    +    </table></div>
     </form>
    \ No newline at end of file
    Index: modules/admin/viewuser.php
    ===================================================================
    --- modules/admin/viewuser.php	(revision 1981)
    +++ modules/admin/viewuser.php	(working copy)
    @@ -80,7 +80,7 @@
     <table border="0" cellpadding="4" cellspacing="0" width="100%" class="std">
     <tr valign="top">
     	<td width="50%">
    -		<table cellspacing="1" cellpadding="2" border="0" width="100%">
    +		<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%">
     		<tr>
     			<td align="right" nowrap="nowrap"><?php echo $AppUI->_('Login Name'); ?>:</td>
     			<td class="hilite" width="100%"><?php echo $user->user_username; ?></td>
    @@ -126,11 +126,11 @@
                     <?php echo isset($countries[$user->contact_country]) ? $countries[$user->contact_country] : $user->contact_country; ?>
     			</td>
     		</tr>
    -		</table>
    +		</table></div>
     
     	</td>
     	<td width="50%">
    -		<table width="100%">
    +		<div class="content content_table"><table width="100%">
                 <tr>
                     <td align="right" nowrap="nowrap"><?php echo $AppUI->_('Birthday'); ?>:</td>
                     <td class="hilite" width="100%">
    @@ -178,7 +178,7 @@
                         <?php echo w2p_textarea($user->user_signature); ?>&nbsp;
                     </td>
                 </tr>
    -		</table>
    +		</table></div>
     	</td>
     </tr>
     </table>
    Index: modules/admin/vw_usr.php
    ===================================================================
    --- modules/admin/vw_usr.php	(revision 1981)
    +++ modules/admin/vw_usr.php	(working copy)
    @@ -4,7 +4,7 @@
     }
     $utypes = w2PgetSysVal('UserType');
     ?>
    -<table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
    +<div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
     	<tr>
     		<th>
     			&nbsp;
    @@ -114,4 +114,4 @@
     </tr>
     <?php } ?>
     
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/admin/vw_usr_log.php
    ===================================================================
    --- modules/admin/vw_usr_log.php	(revision 1981)
    +++ modules/admin/vw_usr_log.php	(working copy)
    @@ -51,6 +51,7 @@
     	</tr>
     </table>
     
    +<div class="content content_options">
     <form action="index.php?m=admin<?php echo $a; ?>" method="post" name="frmDate" accept-charset="utf-8">
         <input type="hidden" name="user_id" id="user_id" value="<?php $user_id; ?>" />
         <table align="center" width="100%">
    @@ -79,6 +80,7 @@
             </tr>
         </table>
     </form>
    +</div>
     
     <?php
     if (w2PgetParam($_REQUEST, 'showdetails', 0) == 1) {
    @@ -89,7 +91,7 @@
         $userId = isset($userId) ? $userId : 0;
         $logs = CUser::getLogs($userId, $start_date, $end_date);
         ?>
    -	<table align="center" class="tbl" width="50%">
    +	<div class="content content_table"><table align="center" class="tbl" width="50%">
     		<tr>
     			<th nowrap="nowrap" ><?php echo $AppUI->_('Name(s)'); ?></th>
     			<th nowrap="nowrap" ><?php echo $AppUI->_('Last Name'); ?></th>
    @@ -106,6 +108,6 @@
     				<td align="center"><?php echo $detail['date_time_out']; ?></td>
     			</tr>
     		<?php } ?>
    -	</table>
    +	</table></div>
         <?php
     }
    \ No newline at end of file
    Index: modules/admin/vw_usr_perms.php
    ===================================================================
    --- modules/admin/vw_usr_perms.php	(revision 1981)
    +++ modules/admin/vw_usr_perms.php	(working copy)
    @@ -131,7 +131,7 @@
     <table width="100%" border="0" cellpadding="2" cellspacing="0">
     <tr><td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Item'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Type'); ?></th>
    @@ -206,13 +206,13 @@
     	}
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
     <?php if ($canEdit) { ?>
     
    -<table cellspacing="1" cellpadding="2" border="0" class="std" width="100%">
    +<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" class="std" width="100%">
     <form name="frmPerms" method="post" action="?m=admin" accept-charset="utf-8">
     	<input type="hidden" name="del" value="0" />
     	<input type="hidden" name="dosql" value="do_perms_aed" />
    @@ -266,7 +266,7 @@
     	</td>
     </tr>
     </form>
    -</table>
    +</table></div>
     <?php } ?>
     </td>
     </tr>
    Index: modules/admin/vw_usr_roles.php
    ===================================================================
    --- modules/admin/vw_usr_roles.php	(revision 1981)
    +++ modules/admin/vw_usr_roles.php	(working copy)
    @@ -51,7 +51,7 @@
     <table width="100%" border="0" cellpadding="2" cellspacing="0">
     <tr><td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Role'); ?></th>
     	<th>&nbsp;</th>
    @@ -73,7 +73,7 @@
     	echo "<tr>$buf</tr>";
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    @@ -85,7 +85,7 @@
     	<input type="hidden" name="user_id" value="<?php echo $user_id; ?>" />
     	<input type="hidden" name="user_name" value="<?php echo $user_name; ?>" />
     	<input type="hidden" name="role_id" value="" />
    -	<table cellspacing="1" cellpadding="2" border="0" class="std" width="100%">
    +	<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" class="std" width="100%">
     		<tr>
     			<th colspan='2'><?php echo $AppUI->_('Add Role'); ?></th>
     		</tr>
    @@ -106,7 +106,7 @@
     				<input type="submit" value="<?php echo $AppUI->_('add'); ?>" class="button" name="sqlaction2" />
     			</td>
     		</tr>
    -	</table>
    +	</table></div>
     </form>
     
     <?php } ?>
    Index: modules/admin/vw_usr_sessions.php
    ===================================================================
    --- modules/admin/vw_usr_sessions.php	(revision 1981)
    +++ modules/admin/vw_usr_sessions.php	(working copy)
    @@ -82,7 +82,7 @@
     
     ?>
     
    -<table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
    +<div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl">
         <tr>
             <th colspan="2">&nbsp; <?php echo $AppUI->_('sort by'); ?>:&nbsp;</th>
             <?php
    @@ -119,4 +119,4 @@
     	echo $s;
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/calendar/companies_tab.view.events.php
    ===================================================================
    --- modules/calendar/companies_tab.view.events.php	(revision 1981)
    +++ modules/calendar/companies_tab.view.events.php	(working copy)
    @@ -23,7 +23,7 @@
     $df = $AppUI->getPref('SHDATEFORMAT');
     $types = w2PgetSysVal('EventType');
     
    -$html = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html = '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     $html .= '<tr><th>' . $AppUI->_('Date') . '</th><th>' . $AppUI->_('Type') . '</th><th>' . $AppUI->_('Event') . '</th></tr>';
     foreach ($events as $row) {
     	$html .= '<tr>';
    @@ -43,5 +43,5 @@
     	$html .= $href ? '</a>' : '';
     	$html .= '</td></tr>';
     }
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/projects_tab.view.events.php
    ===================================================================
    --- modules/calendar/projects_tab.view.events.php	(revision 1981)
    +++ modules/calendar/projects_tab.view.events.php	(working copy)
    @@ -26,7 +26,7 @@
     $df = $AppUI->getPref('SHDATEFORMAT');
     $types = w2PgetSysVal('EventType');
     
    -$html = '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html = '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     $html .= '<tr><th>' . $AppUI->_('Date') . '</th><th>' . $AppUI->_('Type') . '</th><th>' . $AppUI->_('Event') . '</th></tr>';
     foreach ($events as $row) {
     	$html .= '<tr>';
    @@ -50,5 +50,5 @@
     
     	$html .= '</td></tr>';
     }
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/vw_day_events.php
    ===================================================================
    --- modules/calendar/vw_day_events.php	(revision 1981)
    +++ modules/calendar/vw_day_events.php	(working copy)
    @@ -58,7 +58,7 @@
     
     $this_day->setTime($start, 0, 0);
     
    -$html = '<form action="'.$_SERVER['REQUEST_URI'].'" method="post" name="pickFilter" accept-charset="utf-8">';
    +$html = '<div class="content content_options"><form action="'.$_SERVER['REQUEST_URI'].'" method="post" name="pickFilter" accept-charset="utf-8">';
     $html .= $AppUI->_('Event Filter') . ':' . arraySelect($event_filter_list, 'event_filter', 'onChange="document.pickFilter.submit()" class="text"', $event_filter, true);
     if ($other_users) {
     	$html .= $AppUI->_('Show Events for') . ':' . '<select name="show_user_events" onchange="document.pickFilter.submit()" class="text">';
    @@ -77,8 +77,8 @@
     
     require_once (W2P_BASE_DIR . '/modules/calendar/links_events.php');
     
    -$html .= '</form>';
    -$html .= '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +$html .= '</form></div>';
    +$html .= '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     $rows = 0;
     for ($i = 0, $n = ($end - $start) * 60 / $inc; $i < $n; $i++) {
     	$html .= '<tr>';
    @@ -121,5 +121,5 @@
     	$this_day->addSeconds(60 * $inc);
     }
     
    -$html .= '</table>';
    +$html .= '</table></div>';
     echo $html;
    \ No newline at end of file
    Index: modules/calendar/vw_day_tasks.php
    ===================================================================
    --- modules/calendar/vw_day_tasks.php	(revision 1981)
    +++ modules/calendar/vw_day_tasks.php	(working copy)
    @@ -13,7 +13,7 @@
     $s = '';
     $dayStamp = $this_day->format(FMT_TIMESTAMP_DATE);
     
    -echo '<table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
    +echo '<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%" class="tbl">';
     
     if (isset($links[$dayStamp])) {
     	foreach ($links[$dayStamp] as $e) {
    @@ -28,7 +28,7 @@
     	}
     }
     echo $s;
    -echo '</table>';
    +echo '</table></div>';
     
     $min_view = 1;
     include W2P_BASE_DIR . '/modules/tasks/todo.php';
    \ No newline at end of file
    Index: modules/calendar/year_view.php
    ===================================================================
    --- modules/calendar/year_view.php	(revision 1981)
    +++ modules/calendar/year_view.php	(working copy)
    @@ -131,7 +131,7 @@
     				}
     				echo $s;
     			?>
    -			<table width="100%" class="minical">
    +			<div class="content content_information"><table width="100%" class="minical">
     				<tr>
     					<td valign="top" align="center" width="20%">&nbsp;</td>
     					<td nowrap="nowrap"><?php echo $AppUI->_('Key'); ?>:</td>
    @@ -156,7 +156,7 @@
     					<td>&nbsp;</td>
     					<td width="20%">&nbsp;</td>
     				</tr>
    -			</table>
    +			</table></div>
     		</td>
     	</tr>
     </table>
    \ No newline at end of file
    Index: modules/companies/addedit.php
    ===================================================================
    --- modules/companies/addedit.php	(revision 1981)
    +++ modules/companies/addedit.php	(working copy)
    @@ -76,7 +76,7 @@
     	<table cellspacing="1" cellpadding="1" border="0" width="100%" class="std">
     		<tr>
     			<td>
    -				<table>				
    +				<div class="content content_table"><table>				
     					<tr>
     						<td align="right"><?php echo $AppUI->_('Company Name'); ?>:</td>
     						<td>
    @@ -170,7 +170,7 @@
     							<textarea cols="70" rows="10" class="textarea" name="company_description"><?php echo $company->company_description; ?></textarea>
     						</td>
     					</tr>
    -				</table>
    +				</table></div>
     			</td>
     			<td align='left'>
     				<?php
    Index: modules/companies/view.php
    ===================================================================
    --- modules/companies/view.php	(revision 1981)
    +++ modules/companies/view.php	(working copy)
    @@ -88,7 +88,7 @@
     	<tr>
     		<td valign="top" width="50%">
     			<strong><?php echo $AppUI->_('Details'); ?></strong>
    -			<table cellspacing="1" cellpadding="2" width="100%">
    +			<div class="content content_table"><table cellspacing="1" cellpadding="2" width="100%">
     				<tr>
     					<td align="right" nowrap="nowrap"><?php echo $AppUI->_('Company'); ?>:</td>
     					<td class="hilite" width="100%"><?php echo $company->company_name; ?></td>
    @@ -132,17 +132,17 @@
     					<td align="right" nowrap="nowrap"><?php echo $AppUI->_('Type'); ?>:</td>
     					<td class="hilite"><?php echo $AppUI->_($types[$company->company_type]); ?></td>
     				</tr>
    -			</table>
    +			</table></div>
     		</td>
     		<td width="50%" valign="top">
     			<strong><?php echo $AppUI->_('Description'); ?></strong>
    -			<table cellspacing="0" cellpadding="2" border="0" width="100%">
    +			<div class="content content_table"><table cellspacing="0" cellpadding="2" border="0" width="100%">
     				<tr>
     					<td class="hilite">
                 <?php echo w2p_textarea($company->company_description); ?>
     					</td>
     				</tr>		
    -			</table>
    +			</table></div>
     			<?php
     				$custom_fields = new w2p_Core_CustomFields($m, $a, $company->company_id, 'view');
     				$custom_fields->printHTML();
    Index: modules/companies/vw_active.php
    ===================================================================
    --- modules/companies/vw_active.php	(revision 1981)
    +++ modules/companies/vw_active.php	(working copy)
    @@ -17,7 +17,7 @@
     
     $projects = CCompany::getProjects($AppUI, $company_id, 1, $sort);
     
    -?><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
    +?><div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
     if (count($projects) > 0) {
     	?>
     	<tr>
    @@ -61,4 +61,4 @@
     	?><tr><td colspan="5"><?php echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg(); ?></td></tr><?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_archived.php
    ===================================================================
    --- modules/companies/vw_archived.php	(revision 1981)
    +++ modules/companies/vw_archived.php	(working copy)
    @@ -11,7 +11,7 @@
     
     $projects = CCompany::getProjects($AppUI, $company_id, 0);
     
    -?><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
    +?><div class="content content_table"><table cellpadding="2" cellspacing="1" border="0" width="100%" class="tbl"><?php
     
     if (count($projects) > 0) {
     	?><tr><th><?php echo $AppUI->_('Name'); ?></th><th><?php echo $AppUI->_('Owner'); ?></th></tr><?php
    @@ -29,4 +29,4 @@
     	?><tr><td colspan="5"><?php echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg(); ?></td></tr><?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_companies.php
    ===================================================================
    --- modules/companies/vw_companies.php	(revision 1981)
    +++ modules/companies/vw_companies.php	(working copy)
    @@ -25,7 +25,7 @@
     
     $companyList = $company->getCompanyList($AppUI, $company_type_filter, $search_string, $owner_filter_id, $orderby, $orderdir);
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
         <tr>
             <?php
             $fieldList = array('company_name', 'countp', 'inactive', 'company_type');
    @@ -53,4 +53,4 @@
                 echo '<tr><td colspan="5">' . $AppUI->_('No companies available') . '</td></tr>';
             }
         ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_contacts.php
    ===================================================================
    --- modules/companies/vw_contacts.php	(revision 1981)
    +++ modules/companies/vw_contacts.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_contacts.php 1516 2010-12-05 07:18:58Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/companies/vw_contacts.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -11,7 +11,7 @@
     
     $contacts = CCompany::getContacts($AppUI, $company->company_id);
     
    -?><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl"><?php
    +?><div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl"><?php
     if (count($contacts) > 0) {
     	?>
     	<tr>
    @@ -47,4 +47,4 @@
     			<input type="button" class=button value="<?php echo $AppUI->_('new contact') ?>" onClick="javascript:window.location='./index.php?m=contacts&a=addedit&company_id=<?php echo $company->company_id; ?>'">
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/companies/vw_depts.php
    ===================================================================
    --- modules/companies/vw_depts.php	(revision 1981)
    +++ modules/companies/vw_depts.php	(working copy)
    @@ -48,7 +48,7 @@
     	}
     }
     
    -$s = '<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">';
    +$s = '<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">';
     $s .= '<tr>';
     
     if (count($depts)) {
    @@ -80,4 +80,4 @@
     echo '
     	</td>
     </tr>
    -</table>';
    \ No newline at end of file
    +</table></div>';
    \ No newline at end of file
    Index: modules/companies/vw_users.php
    ===================================================================
    --- modules/companies/vw_users.php	(revision 1981)
    +++ modules/companies/vw_users.php	(working copy)
    @@ -13,7 +13,7 @@
     
     if (count($userList) > 0) {
     	?>
    -		<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +		<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     		<tr>
     			<th><?php echo $AppUI->_('Username'); ?></td>
     			<th><?php echo $AppUI->_('Name'); ?></td>
    @@ -28,7 +28,7 @@
     			}
     			echo $s;
     		?>
    -		</table>
    +		</table></div>
     	<?php
     } else {
     	echo $AppUI->_('No data available') . '<br />' . $AppUI->getMsg();
    Index: modules/contacts/addedit.php
    ===================================================================
    --- modules/contacts/addedit.php	(revision 1981)
    +++ modules/contacts/addedit.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: addedit.php 1515 2010-12-05 07:13:50Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/contacts/addedit.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -251,7 +251,7 @@
         <table border="0" cellpadding="4" cellspacing="0" width="100%" class="std">
             <tr>
                 <td>
    -                <table border="0" cellpadding="1" cellspacing="1">
    +                <div class="content content_table"><table border="0" cellpadding="1" cellspacing="1">
     
                     <tr>
                         <td align="right"><?php echo $AppUI->_('First Name'); ?>:</td>
    @@ -278,10 +278,10 @@
                             <input type="checkbox" value="1" name="contact_private" id="contact_private" <?php echo ($row->contact_private ? 'checked="checked"' : ''); ?> />
                         </td>
                     </tr>
    -                </table>
    +                </table></div>
                 </td>
                 <td valign="top" align="right">
    -                <table border="0" cellpadding="1" cellspacing="1">
    +                <div class="content content_table"><table border="0" cellpadding="1" cellspacing="1">
                     <th colspan="2">
                         <strong><?php echo $AppUI->_('Contact Update Info'); ?></strong>
                     </th>
    @@ -305,12 +305,12 @@
                             ?>
                         </td>
                     </tr>
    -                </table>
    +                </table></div>
                 </td>
             </tr>
             <tr>
                 <td valign="top" width="50%">
    -                <table border="0" cellpadding="1" cellspacing="1" class="details" width="100%">
    +                <div class="content content_table"><table border="0" cellpadding="1" cellspacing="1" class="details" width="100%">
                         <tr>
                             <td align="right"><?php echo $AppUI->_('Job Title'); ?>:</td>
                             <td nowrap="nowrap">
    @@ -400,7 +400,7 @@
                             ?>
                             </td>
                         </tr>
    -                </table>
    +                </table></div>
                 </td>
                 <td valign="top" width="50%">
                     <strong><?php echo $AppUI->_('Contact Notes'); ?></strong><br />
    Index: modules/contacts/index.php
    ===================================================================
    --- modules/contacts/index.php	(revision 1981)
    +++ modules/contacts/index.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: index.php 1515 2010-12-05 07:13:50Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/contacts/index.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -138,7 +138,7 @@
     					<?php for ($x = 0, $x_cmp = @count($carr[$z]); $x < $x_cmp; $x++) { ?>
     						<tr>
     							<td>
    -								<table width="100%" cellspacing="0" cellpadding="1" class="std">
    +								<div class="content content_table"><table width="100%" cellspacing="0" cellpadding="1" class="std">
     									<tr>
     										<td width="100%" colspan="2">
     											<table width="100%" cellspacing="0" cellpadding="1">
    @@ -216,7 +216,7 @@
     											echo $s;
     										?>
     									</tr>
    -								</table>
    +								</table></div>
     							</td>
     						</tr>
     					<?php } ?>
    Index: modules/contacts/view.php
    ===================================================================
    --- modules/contacts/view.php	(revision 1981)
    +++ modules/contacts/view.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: view.php 1515 2010-12-05 07:13:50Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/contacts/view.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -80,7 +80,7 @@
     <table border="0" cellpadding="4" cellspacing="0" width="100%" class="std">
     	<tr>
     		<td valign="top">
    -			<table border="0" cellpadding="1" cellspacing="1">
    +			<div class="content content_table"><table border="0" cellpadding="1" cellspacing="1">
     				<tr>
     					<td align="right" nowrap="nowrap"><?php echo $AppUI->_('First Name'); ?>:</td>
     					<td class="hilite" width="100%"><?php echo $contact->contact_first_name; ?></td>
    @@ -132,10 +132,10 @@
     					<td align="right" width="100"><?php echo $AppUI->_('Map Address'); ?>:</td>
     					<td class="hilite" width="100%"><a target="_blank" href="http://maps.google.com/maps?q=<?php echo $contact->contact_address1; ?>+<?php echo $contact->contact_address2; ?>+<?php echo $contact->contact_city; ?>+<?php echo $contact->contact_state; ?>+<?php echo $contact->contact_zip; ?>+<?php echo $contact->contact_country; ?>"><?php echo w2PshowImage('googlemaps.gif', 55, 22, 'Find It on Google'); ?></a></td>
     				</tr>
    -			</table>
    +			</table></div>
     		</td>
     		<td>
    -            <table border="0" cellpadding="1" cellspacing="1">
    +            <div class="content content_table"><table border="0" cellpadding="1" cellspacing="1">
     				<tr>
     					<td align="right"><?php echo $AppUI->_('Birthday'); ?>:</td>
     					<td nowrap="nowrap" class="hilite" width="100%"><?php echo substr($contact->contact_birthday, 0, 10); ?></td>
    @@ -154,10 +154,10 @@
                             <td class="hilite" width="100%"><?php echo $value; ?></td>
                         </tr>
                     <?php endforeach; ?>
    -			</table>
    +			</table></div>
     		</td>
     		<td valign="top" align="right">
    -			<table border="0" cellpadding="1" cellspacing="1">
    +			<div class="content content_table"><table border="0" cellpadding="1" cellspacing="1">
     				<th colspan="2">
     					<strong><?php echo $AppUI->_('Contact Update Info'); ?></strong>
     				</th>
    @@ -180,12 +180,12 @@
                             ?>
                         </td>
     				</tr>	
    -			</table>
    +			</table></div>
     		</td>
     	</tr>
     	<tr>
     		<td valign="top" width="50%">
    -			<table border="0" cellpadding="1" cellspacing="1" class="details" width="100%">
    +			<div class="content content_table"><table border="0" cellpadding="1" cellspacing="1" class="details" width="100%">
     				<?php
     					$custom_fields = new w2p_Core_CustomFields($m, $a, $contact->contact_id, 'view');
     					if ($custom_fields->count()) { ?>
    @@ -202,7 +202,7 @@
     					<?php
     					}
     				?>
    -			</table>
    +			</table></div>
     		</td>
     		<td valign="top" width="50%">
     			<strong><?php echo $AppUI->_('Contact Notes'); ?></strong><br />
    Index: modules/departments/addedit.php
    ===================================================================
    --- modules/departments/addedit.php	(revision 1981)
    +++ modules/departments/addedit.php	(working copy)
    @@ -99,7 +99,7 @@
     	<input type="hidden" name="dosql" value="do_dept_aed" />
     	<input type="hidden" name="dept_id" value="<?php echo $dept_id; ?>" />
     	<input type="hidden" name="dept_company" value="<?php echo $company_id; ?>" />
    -	<table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
    +	<div class="content content_table"><table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
     		<tr>
     			<td align="right" nowrap="nowrap"><?php echo $AppUI->_('Department Company'); ?>:</td>
     			<td><strong><?php echo $companyName; ?></strong></td>
    @@ -214,6 +214,6 @@
     				<input type="button" value="<?php echo $AppUI->_('submit'); ?>" class="button" onclick="submitIt()" />
     			</td>
     		</tr>
    -	</table>
    +	</table></div>
     </form>
     <?php } ?>
    \ No newline at end of file
    Index: modules/departments/view.php
    ===================================================================
    --- modules/departments/view.php	(revision 1981)
    +++ modules/departments/view.php	(working copy)
    @@ -72,7 +72,7 @@
     	<tr valign="top">
     		<td width="50%">
     			<strong><?php echo $AppUI->_('Details'); ?></strong>
    -			<table cellspacing="1" cellpadding="2" border="0" width="100%">
    +			<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%">
     				<tr>
     					<td align="right" nowrap="nowrap"><?php echo $AppUI->_('Company'); ?>:</td>
     					<td class="hilite" width="100%">
    @@ -119,15 +119,15 @@
     					<td align="right" nowrap="nowrap"><?php echo $AppUI->_('URL'); ?>:</td>
               <td class="hilite"><?php echo w2p_url($department->dept_url); ?></td>
     				</tr>
    -			</table>
    +			</table></div>
     		</td>
     		<td width="50%">
     			<strong><?php echo $AppUI->_('Description'); ?></strong>
    -			<table cellspacing="1" cellpadding="2" border="0" width="100%">
    +			<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%">
     			<tr>
     				<td class="hilite" width="100%"><?php echo w2p_textarea($department->dept_desc); ?>&nbsp;</td>
     			</tr>
    -			</table>
    +			</table></div>
     		</td>
     	</tr>
     </table>
    Index: modules/departments/vw_contacts.php
    ===================================================================
    --- modules/departments/vw_contacts.php	(revision 1981)
    +++ modules/departments/vw_contacts.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_contacts.php 1516 2010-12-05 07:18:58Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/departments/vw_contacts.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -6,7 +6,7 @@
     global $dept_id, $dept, $company_id;
     ?>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     
     <tr><th><?php echo $AppUI->_('Name'); ?></th><th><?php echo $AppUI->_('Email'); ?></th><th><?php echo $AppUI->_('Telephone'); ?></th></tr>
     <?php
    @@ -26,4 +26,4 @@
     			<input type="button" class="button" value="<?php echo $AppUI->_('new contact'); ?>" onclick="javascript:window.location='./index.php?m=contacts&a=addedit&company_id=<?php echo $company_id; ?>&company_name=<?php echo $dept['company_name']; ?>&dept_id=<?php echo $dept['dept_id']; ?>&dept_name=<?php echo $dept['dept_name']; ?>'">			
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/departments/vw_depts.php
    ===================================================================
    --- modules/departments/vw_depts.php	(revision 1981)
    +++ modules/departments/vw_depts.php	(working copy)
    @@ -14,7 +14,7 @@
     $deptList = $dept->getFilteredDepartmentList($AppUI, $dept_type_filter, $search_string, $owner_filter_id, $orderby, $orderdir);
     ?>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     	<tr>
             <?php
             $fieldList = array('dept_name', 'countp', 'inactive', 'dept_type');
    @@ -45,4 +45,4 @@
     	echo '<tr><td colspan="4">' . $AppUI->_('No data available') . '</td></tr>';
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/files/addedit.php
    ===================================================================
    --- modules/files/addedit.php	(revision 1981)
    +++ modules/files/addedit.php	(working copy)
    @@ -178,7 +178,7 @@
     	<table width="100%" border="0" cellpadding="3" cellspacing="3" class="std">
     		<tr>
     			<td width="80%" valign="top" align="center">
    -				<table cellspacing="1" cellpadding="2" width="60%">
    +				<div class="content content_table"><table cellspacing="1" cellpadding="2" width="60%">
     					<tr>
     						<td align="right" nowrap="nowrap"><?php echo $AppUI->_('Folder'); ?>:</td>
     						<td align="left">
    @@ -231,7 +231,7 @@
     						<td align="right" nowrap="nowrap">&nbsp;</td>
     						<td align="left"><input type="checkbox" name="notify" id="notify" checked="checked" /><label for="notify"><?php echo $AppUI->_('Notify Assignees of Task or Project Owner by Email'); ?></label></td>		
     					</tr>
    -				</table>
    +				</table></div>
     			</td>
     			<td valign="top" align="right">
     				<?php
    Index: modules/files/addedit_folder.php
    ===================================================================
    --- modules/files/addedit_folder.php	(revision 1981)
    +++ modules/files/addedit_folder.php	(working copy)
    @@ -94,7 +94,7 @@
         <table width="100%" border="0" cellpadding="3" cellspacing="3" class="std">
             <tr>
                 <td width="100%" valign="top" align="center">
    -                <table cellspacing="1" cellpadding="2" width="60%">
    +                <div class="content content_table"><table cellspacing="1" cellpadding="2" width="60%">
                         <tr>
                             <td align="right" nowrap="nowrap"><?php echo $AppUI->_('Subfolder of'); ?>:</td>
                             <td align="left">
    @@ -116,7 +116,7 @@
                                 <textarea name="file_folder_description" class="textarea" rows="4" style="width:270px"><?php echo $obj->file_folder_description; ?></textarea>
                             </td>
                         </tr>
    -                </table>
    +                </table></div>
                 </td>
             </tr>
             <tr>
    Index: modules/files/folders_table.php
    ===================================================================
    --- modules/files/folders_table.php	(revision 1981)
    +++ modules/files/folders_table.php	(working copy)
    @@ -140,7 +140,7 @@
     	background: #F9F9F9;
     }
     </style>
    -<table id="tblFolders" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_table"><table id="tblFolders" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     <?php
         /**** Main Program ****/
         if ($folder_id) { ?>
    @@ -195,4 +195,4 @@
                 </form>
     	    </td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/files/index_table.php
    ===================================================================
    --- modules/files/index_table.php	(revision 1981)
    +++ modules/files/index_table.php	(working copy)
    @@ -177,7 +177,7 @@
     }
     </script>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap"><?php echo $AppUI->_('File Name'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Description'); ?></th>
    @@ -337,6 +337,6 @@
     		echo $hidden_table;
     		$hidden_table = '';
     	} ?>
    -</table>
    +</table></div>
     <?php
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
    \ No newline at end of file
    Index: modules/files/tasks_tab.view.files.php
    ===================================================================
    --- modules/files/tasks_tab.view.files.php	(revision 1981)
    +++ modules/files/tasks_tab.view.files.php	(working copy)
    @@ -6,9 +6,11 @@
     global $AppUI, $m, $obj, $task_id, $w2Pconfig;
     if (canView('files')) {
     	if (canAdd('files')) {
    +		echo '<div class="content content_options">';
     		echo '<a href="./index.php?m=files&a=addedit&project_id=' . $obj->task_project . '&file_task=' . $task_id . '">' . $AppUI->_('Attach a file') . '</a>';
    -	}
    -	echo w2PshowImage('stock_attach-16.png', 16, 16, '');
    +		echo w2PshowImage('stock_attach-16.png', 16, 16, '');
    +		echo '</div>';
    +	}	
     	$showProject = false;
     	$project_id = $obj->task_project;
     	include (W2P_BASE_DIR . '/modules/files/index_table.php');
    Index: modules/forums/index.php
    ===================================================================
    --- modules/forums/index.php	(revision 1981)
    +++ modules/forums/index.php	(working copy)
    @@ -46,7 +46,7 @@
     	<input type="hidden" name="dosql" value="do_watch_forum" />
     	<input type="hidden" name="watch" value="forum" />
     
    -    <table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
    +    <div class="content content_table"><table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
             <tr>
                 <th nowrap="nowrap">&nbsp;</th>
                 <?php
    @@ -122,14 +122,14 @@
                     </td>
                 </tr>
             <?php } ?>
    -    </table>
    +    </table></div>
     
    -    <table width="100%" cellspacing="0" cellpadding="0" border="0" class="std">
    +    <div class="content content_options"><table width="100%" cellspacing="0" cellpadding="0" border="0" class="std">
     
             <tr>
                 <td align="left">
                     <input type="submit" class="button" value="<?php echo $AppUI->_('update watches'); ?>" />
                 </td>
             </tr>
    -    </table>
    +    </table></div>
     </form>
    \ No newline at end of file
    Index: modules/forums/view_topics.php
    ===================================================================
    --- modules/forums/view_topics.php	(revision 1981)
    +++ modules/forums/view_topics.php	(working copy)
    @@ -54,7 +54,7 @@
     <form name="watcher" action="?m=forums&a=viewer&forum_id=<?php echo $forum_id; ?>&f=<?php echo $f; ?>" method="post" accept-charset="utf-8">
         <input type="hidden" name="dosql" value="do_watch_forum" />
         <input type="hidden" name="watch" value="topic" />
    -    <table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
    +    <div class="content content_table"><table width="100%" cellspacing="1" cellpadding="2" border="0" class="tbl">
             <tr><td colspan="5">
                 <table width="100%" cellspacing="1" cellpadding="2" border="0">
                 <tr>
    @@ -120,13 +120,13 @@
         <?php
             }
         } ?>
    -    </table>
    +    </table></div>
     
    -    <table width="100%" border="0" cellpadding="0" cellspacing="1" class="std">
    +    <div class="content content_options"><table width="100%" border="0" cellpadding="0" cellspacing="1" class="std">
             <tr>
                 <td align="left">
                     <input type="submit" class="button" value="<?php echo $AppUI->_('update watches'); ?>" />
                 </td>
             </tr>
    -    </table>
    +    </table></div>
     </form>
    \ No newline at end of file
    Index: modules/history/index.php
    ===================================================================
    --- modules/history/index.php	(revision 1981)
    +++ modules/history/index.php	(working copy)
    @@ -87,7 +87,7 @@
     }
     ?>
     
    -<table width="100%" cellspacing="1" cellpadding="0" border="0">
    +<div class="content content_options"><table width="100%" cellspacing="1" cellpadding="0" border="0">
     <tr>
         <td nowrap="nowrap" align="right">
     <form name="filter" action="?m=history" method="post" accept-charset="utf-8">
    @@ -117,9 +117,9 @@
     </form>
             </td>
     	<td align="right"><input class="button" type="button" value="<?php echo $AppUI->_('Add history'); ?>" onclick="window.location='?m=history&a=addedit'"></td>
    -</table>
    +</table></div>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="10">&nbsp;</th>
     	<th width="200"><?php echo $AppUI->_('Date'); ?></th>
    @@ -150,4 +150,4 @@
         <?php
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/links/addedit.php
    ===================================================================
    --- modules/links/addedit.php	(revision 1981)
    +++ modules/links/addedit.php	(working copy)
    @@ -114,7 +114,7 @@
         <table width="100%" border="0" cellpadding="3" cellspacing="3" class="std">
             <tr>
                 <td width="100%" valign="top" align="center">
    -              <table cellspacing="1" cellpadding="2" width="60%">
    +              <div class="content content_table"><table cellspacing="1" cellpadding="2" width="60%">
                     <tr>
                         <td align="right" nowrap="nowrap"><?php echo $AppUI->_('Link Name'); ?>:</td>
                         <td align="left"><input type="text" class="text" name="link_name" value="<?php echo $link->link_name; ?>"></td>
    @@ -160,7 +160,7 @@
                       <td align="right" nowrap="nowrap"><?php echo $AppUI->_('Link URL'); ?>:</td>
                       <td align="left"><input type="field" name="link_url" style="width:270px" value="<?php echo $link->link_url ?>"></td>
                     </tr>
    -              </table>
    +              </table></div>
                 </td>
             </tr>
             <tr>
    Index: modules/links/index_table.php
    ===================================================================
    --- modules/links/index_table.php	(revision 1981)
    +++ modules/links/index_table.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: index_table.php 1466 2010-09-22 05:14:41Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/links/index_table.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -48,7 +48,7 @@
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
     
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap">&nbsp;</th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Link Name'); ?></th>
    @@ -106,6 +106,6 @@
         </td>
     </tr>
     <?php } ?>
    -</table>
    +</table></div>
     <?php
     echo buildPaginationNav($AppUI, $m, $tab, $xpg_totalrecs, $xpg_pagesize, $page);
    \ No newline at end of file
    Index: modules/projectdesigner/index.php
    ===================================================================
    --- modules/projectdesigner/index.php	(revision 1981)
    +++ modules/projectdesigner/index.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: index.php 1475 2010-10-18 03:28:23Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projectdesigner/index.php $ */
    +<?php /* $Id$ $URL$ */
     /*  Copyright (c) 2007 Pedro A. (web2Project Development Team Member)
     THIS MODULE WAS SPONSORED BY DUSTIN OF PURYEAR-IT.COM
     
    @@ -99,7 +99,7 @@
     		echo styleRenderBoxTop();
     	}
     ?>
    -	<table border="1" cellpadding="4" cellspacing="0" width="100%" class="std">
    +	<div class="content content_options"><table border="1" cellpadding="4" cellspacing="0" width="100%" class="std">
     	<form name="prjFrm" action="?m=projectdesigner" method="post" accept-charset="utf-8">
     	<tr>
     		<td nowrap="nowrap" style="border: outset #eeeeee 1px;background-color:#fffff" >
    Index: modules/projectdesigner/vw_gantt.php
    ===================================================================
    --- modules/projectdesigner/vw_gantt.php	(revision 1981)
    +++ modules/projectdesigner/vw_gantt.php	(working copy)
    @@ -9,7 +9,7 @@
     $projectPriority = w2PgetSysVal('ProjectPriority');
     $projectStatus = w2PgetSysVal('ProjectStatus');
     ?>
    -<table width="100%" border="0" cellpadding="5" cellspacing="1">
    +<div class="content content_gantt"><table width="100%" border="0" cellpadding="5" cellspacing="1">
     <tr>
         <td align="center" colspan="20">
     <?php
    @@ -17,4 +17,4 @@
     echo '<script>document.write(\'<img src="' . $src . '">\')</script>';
     ?>
     </td>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projectdesigner/vw_project.php
    ===================================================================
    --- modules/projectdesigner/vw_project.php	(revision 1981)
    +++ modules/projectdesigner/vw_project.php	(working copy)
    @@ -5,7 +5,7 @@
     ?>
     	<td width="50%" valign="top">
     		<strong><?php echo $AppUI->_('Details'); ?></strong>
    -		<table cellspacing="1" cellpadding="2" border="0" width="100%">
    +		<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%">
     		<tr>
     			<td align="right" nowrap="nowrap"><?php echo $AppUI->_('Company'); ?>:</td>
             	<td class="hilite" width="100%"> <?php echo "<a href='?m=companies&a=view&company_id=" . $obj->project_company . "'>" . htmlspecialchars($obj->company_name, ENT_QUOTES) . '</a>'; ?></td>
    @@ -75,11 +75,11 @@
     			</table>
     			</td>
     		</tr>
    -		</table>
    +		</table></div>
     	</td>
     	<td width="50%" rowspan="9" valign="top">
     		<strong><?php echo $AppUI->_('Summary'); ?></strong><br />
    -		<table cellspacing="1" cellpadding="2" border="0" width="100%">
    +		<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%">
     		<tr>
     			<td align="right" nowrap="nowrap"><?php echo $AppUI->_('Status'); ?>:</td>
     			<td class="hilite" width="100%"><?php echo $AppUI->_($pstatus[$obj->project_status]); ?></td>
    @@ -143,5 +143,5 @@
                 echo '</td></tr>';
             }
             ?>
    -        </table>
    +        </table></div>
         </td>
    \ No newline at end of file
    Index: modules/projectdesigner/vw_tasks.php
    ===================================================================
    --- modules/projectdesigner/vw_tasks.php	(revision 1981)
    +++ modules/projectdesigner/vw_tasks.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_tasks.php 1525 2010-12-11 08:46:05Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projectdesigner/vw_tasks.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -199,8 +199,8 @@
     $expanded = $AppUI->getPref('TASKSEXPANDED');
     $open_link = w2PtoolTip($m, 'click to expand/collapse all the tasks for this project.') . '<a href="javascript: void(0);"><img onclick="expand_collapse(\'task_proj_' . $project_id . '_\', \'tblProjects\',\'collapse\',0,2);" id="task_proj_' . $project_id . '__collapse" src="' . w2PfindImage('up22.png', $m) . '" border="0" width="22" height="22" align="center" ' . (!$expanded ? 'style="display:none"' : '') . ' /><img onclick="expand_collapse(\'task_proj_' . $project_id . '_\', \'tblProjects\',\'expand\',0,2);" id="task_proj_' . $project_id . '__expand" src="' . w2PfindImage('down22.png', $m) . '" border="0" width="22" height="22" align="center" ' . ($expanded ? 'style="display:none"' : '') . ' alt="" /></a>' . w2PendTip();
     ?>
    -<form name="frm_tasks" accept-charset="utf-8"">
    -<table id="tblTasks" width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<form name="frm_tasks" accept-charset="utf-8">
    +<div class="content content_table"><table id="tblTasks" width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
       <td colspan="16" align='left'>
     		<?php echo $open_link; ?>
    @@ -253,9 +253,9 @@
     	}
     }
     ?>
    -</table>
    +</table></div>
     </form>
    -<table>
    +<div class="content content_information"><table>
     <tr>
             <td><?php echo $AppUI->_('Key'); ?>:</td>
             <th>&nbsp;P&nbsp;</th>
    @@ -285,4 +285,4 @@
             <td style="border-style:solid;border-width:1px" bgcolor="#aaddaa">&nbsp; &nbsp;</td>
             <td>=<?php echo $AppUI->_('Done'); ?></td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/addedit.php
    ===================================================================
    --- modules/projects/addedit.php	(revision 1981)
    +++ modules/projects/addedit.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: addedit.php 1520 2010-12-07 08:17:08Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/addedit.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -197,7 +197,7 @@
                     <table width="100%">
                         <tr>
                             <td width="50%" valign="top">
    -                            <table cellspacing="0" cellpadding="2" border="0">
    +                            <div class="content content_table"><table cellspacing="0" cellpadding="2" border="0">
                                 <tr>
                                     <td align="right" nowrap="nowrap"><?php echo $AppUI->_('Project Name'); ?></td>
                                     <td width="100%" colspan="2">
    @@ -334,10 +334,10 @@
                                         ?>
                                     </td>
                                 </tr>
    -                            </table>
    +                            </table></div>
                             </td>
                             <td width="50%" valign="top">
    -                            <table cellspacing="0" cellpadding="2" border="0" width="100%">
    +                            <div class="content content_table"><table cellspacing="0" cellpadding="2" border="0" width="100%">
                                 <tr>
                                     <td align="right" nowrap="nowrap"><?php echo $AppUI->_('Priority'); ?></td>
                                     <td nowrap ="nowrap">
    @@ -429,7 +429,7 @@
                                     <td colspan="2">* <?php echo $AppUI->_('requiredField'); ?>
                                     </td>
                                 </tr>
    -                        </table>
    +                        </table></div>
                         </tr>
                     </table>
                 </td>
    Index: modules/projects/admin_tab.viewuser.projects.php
    ===================================================================
    --- modules/projects/admin_tab.viewuser.projects.php	(revision 1981)
    +++ modules/projects/admin_tab.viewuser.projects.php	(working copy)
    @@ -40,15 +40,15 @@
     $projects = projects_list_data($user_id);
     ?>
     
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_options"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     <tr>
     	<td align="center" width="100%" nowrap="nowrap" colspan="7">&nbsp;</td>
     	<form action="?m=admin&a=viewuser&user_id=<?php echo $user_id; ?>&tab=<?php echo $tab; ?>" method="post" name="checkPwT" accept-charset="utf-8"><td align="right" nowrap="nowrap"><input type="checkbox" name="add_pwt" id="add_pwt" onclick="document.checkPwT.submit()" <?php echo $addPwT ? 'checked="checked"' : ''; ?> /></td><td align="right" nowrap="nowrap"><label for="add_pwt"><?php echo $AppUI->_('Show Projects with assigned Tasks'); ?>?</label><input type="hidden" name="show_form" value="1" /></td></form>
     	<form action="?m=admin&a=viewuser&user_id=<?php echo $user_id; ?>&tab=<?php echo $tab; ?>" method="post" name="pickCompany" accept-charset="utf-8"><td align="right" nowrap="nowrap"><?php echo $buffer; ?></td></form>
     	<form action="?m=admin&a=viewuser&user_id=<?php echo $user_id; ?>&tab=<?php echo $tab; ?>" method="post" name="pickProject" accept-charset="utf-8"><td align="right" nowrap="nowrap"><?php echo arraySelect($projFilter, 'proFilter', 'size=1 class=text onChange="document.pickProject.submit()"', $proFilter, true); ?></td></form>
     </tr>
    -</table>
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +</table></div>
    +<div class="content content_table"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
         <tr>
             <?php
             $fieldList = array('project_color_identifier', 'project_priority',
    @@ -116,4 +116,4 @@
     <tr>
     	<td colspan="12">&nbsp;</td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/departments_tab.view.projects.php
    ===================================================================
    --- modules/projects/departments_tab.view.projects.php	(revision 1981)
    +++ modules/projects/departments_tab.view.projects.php	(working copy)
    @@ -58,7 +58,7 @@
     
     ?>
     
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_options"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     <tr>
     	<td align="right" width="65" nowrap="nowrap">&nbsp;<?php echo $AppUI->_('sort by'); ?>:&nbsp;</td>
     	<td align="center" width="100%" nowrap="nowrap" colspan="6">&nbsp;</td>
    @@ -74,8 +74,8 @@
             </form>
         </td>
     </tr>
    -</table>
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +</table></div>
    +<div class="content content_table"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
         <tr>
             <?php
             $fieldList = array('project_color_identifier', 'project_priority',
    @@ -145,4 +145,4 @@
     <tr>
     	<td colspan="12">&nbsp;</td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/departments_tab.view.projects_gantt.php
    ===================================================================
    --- modules/projects/departments_tab.view.projects_gantt.php	(revision 1981)
    +++ modules/projects/departments_tab.view.projects_gantt.php	(working copy)
    @@ -33,11 +33,11 @@
     
     $extraGet = '&user_id=' . $user_id;
     ?>
    -<table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +<div class="content content_options"><table width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     <tr>
     	<td align="center" width="100%" nowrap="nowrap" colspan="6">&nbsp;</td><td align="right" nowrap="nowrap"><form action="?m=departments&tab=<?php echo $tab; ?>" method="post" name="checkPwOiD"><input type="checkbox" name="add_pwoid" id="add_pwoid" onclick="document.checkPwOiD.submit()" <?php echo $addPwOiD ? 'checked="checked"' : ''; ?>  accept-charset="utf-8"/><label for="add_pwoid"><?php echo $AppUI->_('Show Projects whose Owner is Member of the Dep.'); ?>?</label><input type="hidden" name="show_form" value="1" /></form></td>
     </tr>
    -</table>
    +</table></div>
     <?php
     $min_view = true;
     /*
    Index: modules/projects/view.php
    ===================================================================
    --- modules/projects/view.php	(revision 1981)
    +++ modules/projects/view.php	(working copy)
    @@ -135,7 +135,7 @@
     <tr>
     	<td width="50%" valign="top">
     		<strong><?php echo $AppUI->_('Details'); ?></strong>
    -		<table cellspacing="1" cellpadding="2" border="0" width="100%">
    +		<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%">
     		<tr>
     			<td align="right" nowrap="nowrap"><?php echo $AppUI->_('Company'); ?>:</td>
     			<td class="hilite" width="100%">
    @@ -217,11 +217,11 @@
     			</table>
     			</td>
     		</tr>
    -		</table>
    +		</table></div>
     	</td>
     	<td width="50%" rowspan="1" valign="top">
     		<strong><?php echo $AppUI->_('Summary'); ?></strong><br />
    -		<table cellspacing="1" cellpadding="2" border="0" width="100%">
    +		<div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%">
     		<tr>
     			<td align="right" nowrap="nowrap"><?php echo $AppUI->_('Status'); ?>:</td>
     			<td class="hilite" width="100%"><?php echo $AppUI->_($pstatus[$project->project_status]); ?></td>
    @@ -285,7 +285,7 @@
                 echo '</td></tr>';
             }
             ?>
    -		</table>
    +		</table></div>
     	</td>
     </tr>
     <?php
    Index: modules/projects/viewgantt.php
    ===================================================================
    --- modules/projects/viewgantt.php	(revision 1981)
    +++ modules/projects/viewgantt.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: viewgantt.php 1506 2010-12-03 05:06:28Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/viewgantt.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -142,7 +142,7 @@
         <table class="tbl" width="100%" border="0" cellpadding="4" cellspacing="0">
             <tr>
                 <td>
    -                <table border="0" cellpadding="4" cellspacing="0" class="tbl">
    +                <div class="content content_options"><table border="0" cellpadding="4" cellspacing="0" class="tbl">
                         <tr>
                             <td align="left" valign="top" width="20">
                             <?php if ($display_option != "all") { ?>
    @@ -198,8 +198,8 @@
                                     <?php echo "<a href='javascript:showThisMonth()'>" . $AppUI->_('show this month') . "</a> : <a href='javascript:showFullProject()'>" . $AppUI->_('show all') . "</a><br>"; ?>
                             </td>
                         </tr>
    -                </table>
    -                <table cellspacing="0" cellpadding="0" border="1" align="center" class="tbl">
    +                </table></div>
    +                <div class="content content_gantt"><table cellspacing="0" cellpadding="0" border="1" align="center" class="tbl">
                         <tr>
                             <td>
                                 <?php
    @@ -208,7 +208,7 @@
                                 ?>
                             </td>
                         </tr>
    -                </table>
    +                </table></div>
                 </td>
             </tr>
         </table>
    Index: modules/projects/vw_forums.php
    ===================================================================
    --- modules/projects/vw_forums.php	(revision 1981)
    +++ modules/projects/vw_forums.php	(working copy)
    @@ -9,7 +9,7 @@
     $forums = CProject::getForums($AppUI, $project_id);
     ?>
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     	<tr>
     		<th nowrap="nowrap">&nbsp;</th>
     		<th nowrap="nowrap" width="100%"><?php echo $AppUI->_('Forum Name'); ?></th>
    @@ -35,4 +35,4 @@
     			<td colspan="3"><?php echo $forum_info['forum_description']; ?></td>
     		</tr>
     	<?php } ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/vw_idx_projects.php
    ===================================================================
    --- modules/projects/vw_idx_projects.php	(revision 1981)
    +++ modules/projects/vw_idx_projects.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* PROJECTS $Id: vw_idx_projects.php 1500 2010-11-27 22:45:35Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/vw_idx_projects.php $ */
    +<?php /* PROJECTS $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -113,7 +113,7 @@
     
     <form action="./index.php" method="get" accept-charset="utf-8">
     
    -	<table id="tblProjects" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
    +	<div class="content content_table"><table id="tblProjects" width="100%" border="0" cellpadding="3" cellspacing="1" class="tbl">
     		<tr>
                 <?php
                 $fieldList = array();
    @@ -315,7 +315,7 @@
     			<?php
     			}
     		?>
    -	</table>
    +	</table></div>
     </form>
     <?php
     if ($is_tabbed) {
    Index: modules/projects/vw_logs.php
    ===================================================================
    --- modules/projects/vw_logs.php	(revision 1981)
    +++ modules/projects/vw_logs.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_logs.php 1474 2010-10-18 01:00:44Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/projects/vw_logs.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -48,7 +48,7 @@
     }
     <?php } ?>
     </script>
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="std">
    +<div class="content content_options"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="std">
     <form name="frmFilter" action="./index.php" method="get" accept-charset="utf-8">
     <tr>
     	<td width="98%">&nbsp;</td>
    @@ -67,8 +67,8 @@
     <input type="hidden" name="project_id" value="<?php echo $project_id ?>"/>
     <input type="hidden" name="tab" value="<?php echo $tab ?>"/>
     </form>
    -</table>
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +</table></div>
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <form name="frmDelete2" action="./index.php?m=tasks" method="post" accept-charset="utf-8">
     	<input type="hidden" name="dosql" value="do_updatetask" />
     	<input type="hidden" name="del" value="1" />
    @@ -143,4 +143,4 @@
     $s .= '</tr>';
     echo $s;
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/projects/vw_sub_projects.php
    ===================================================================
    --- modules/projects/vw_sub_projects.php	(revision 1981)
    +++ modules/projects/vw_sub_projects.php	(working copy)
    @@ -14,7 +14,7 @@
     $original_project_id = $sp_obj->project_original_parent;
     $structprojects = getStructuredProjects($original_project_id);
     ?>
    -<table width="100%" border="0" cellpadding="5" cellspacing="1" bgcolor="black">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="5" cellspacing="1" bgcolor="black">
     <tr>
     <th width="12">&nbsp;</th>
     <th class="hilite" width="12"><?php echo $AppUI->_('ID'); ?></th>
    @@ -61,8 +61,8 @@
     }
     echo $s;
     ?>
    -</table>
    -<table width="100%" border="0" cellpadding="5" cellspacing="1">
    +</table></div>
    +<div class="content content_gantt"><table width="100%" border="0" cellpadding="5" cellspacing="1">
         <tr>
             <td align="center" colspan="20">
     <?php
    @@ -71,4 +71,4 @@
     ?>
             </td>
         </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/reports/index.php
    ===================================================================
    --- modules/reports/index.php	(revision 1981)
    +++ modules/reports/index.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: index.php 1522 2010-12-08 05:08:07Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/reports/index.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -83,7 +83,7 @@
     		echo styleRenderBoxTop();
     	}
     	$s = '';
    -	$s .= '<table width="100%" class="std">';
    +	$s .= '<div class="content content_table"><table width="100%" class="std">';
     	$s .= '<tr><td><h2>' . $AppUI->_('Reports Available') . '</h2></td></tr>';
     
     	foreach ($reports as $key => $v) {
    @@ -104,6 +104,6 @@
     		$s .= '<tr><td><a href="'.$link.'">'.$AppUI->_($type.'_name') . '</a></td>';
     		$s .= '<td>' . $AppUI->_($type.'_desc') . '</td></tr>';
     	}
    -	$s .= '</table>';
    +	$s .= '</table></div>';
     	echo $s;
     }
    \ No newline at end of file
    Index: modules/reports/reports/allocateduserhours.php
    ===================================================================
    --- modules/reports/reports/allocateduserhours.php	(revision 1981)
    +++ modules/reports/reports/allocateduserhours.php	(working copy)
    @@ -50,7 +50,7 @@
     	echo styleRenderBoxTop();
     }
     ?>
    -<table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
    +<div class="content content_options"><table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
     
     
     <tr>
    @@ -104,7 +104,7 @@
     		<input class="button" type="submit" name="do_report" value="<?php echo $AppUI->_('submit'); ?>" />
     	</td>
     </tr>
    -</table>
    +</table></div>
     </form>
     <?php
     if ($do_report) {
    @@ -244,7 +244,7 @@
     <?php
     	foreach ($user_tasks_counted_in as $user_id => $project_information) {
     		echo '<b>' . $user_names[$user_id] . '</b><br /><blockquote>';
    -		echo '<table width="50%" border="1" class="std">';
    +		echo '<div class="content content_table"><table width="50%" border="1" class="std">';
     		foreach ($project_information as $project_id => $task_information) {
     			echo '<tr><th colspan="3"><span style="font-weight:bold; font-size:110%">' . $fetched_projects[$project_id] . '</span></th></tr>';
     
    @@ -256,7 +256,7 @@
     			echo '<tr><td colspan="2" align="right"><b>' . $AppUI->_('Total assigned') . '</b></td><td style="text-align:right;"><b>' . number_format($project_total, 2) . ' hrs</b></td></tr>';
     
     		}
    -		echo '</table></blockquote>';
    +		echo '</table></div></blockquote>';
     	}
     	echo '</td>
     </tr>
    Index: modules/reports/reports/overall.php
    ===================================================================
    --- modules/reports/reports/overall.php	(revision 1981)
    +++ modules/reports/reports/overall.php	(working copy)
    @@ -54,7 +54,7 @@
     	echo styleRenderBoxTop();
     }
     ?>
    -<table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
    +<div class="content content_options"><table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
     <tr>
     	<td align="right" nowrap="nowrap"><?php echo $AppUI->_('For period'); ?>:</td>
     	<td nowrap="nowrap">
    @@ -88,7 +88,7 @@
     		<input class="button" type="submit" name="do_report" value="<?php echo $AppUI->_('submit'); ?>" />
     	</td>
     </tr>
    -</table>
    +</table></div>
     </form>
     <?php
     $allpdfdata = array();
    Index: modules/reports/reports/stats.php
    ===================================================================
    --- modules/reports/reports/stats.php	(revision 1981)
    +++ modules/reports/reports/stats.php	(working copy)
    @@ -130,7 +130,7 @@
     $ontime = round(100 * (1 - ($tasks['overdue']/count($all_tasks)) - ($tasks['completed']/count($all_tasks))));
     ?>
     
    -<table width="100%" border="1" cellpadding="0" cellspacing="0" class="tbl">
    +<div class="content content_table"><table width="100%" border="1" cellpadding="0" cellspacing="0" class="tbl">
         <tr>
             <th colspan="3"><?php echo $AppUI->_('Progress Chart (completed/in progress/pending)'); ?></th>
         </tr>
    @@ -139,9 +139,9 @@
             <td width="<?php echo round($tasks['inprogress'] / count($all_tasks) * 100); ?>%" style="background: aquamarine; text-align: center;"><?php echo $AppUI->_('in progress'); ?></td>
             <td width="<?php echo round($tasks['pending'] / count($all_tasks) * 100); ?>%" style="background: gold; text-align: center;"><?php echo $AppUI->_('pending'); ?></td>
         </tr>
    -</table>
    +</table></div>
     <br />
    -<table width="100%" border="1" cellpadding="0" cellspacing="0" class="tbl">
    +<div class="content content_table"><table width="100%" border="1" cellpadding="0" cellspacing="0" class="tbl">
         <tr>
             <th colspan="3"><?php echo $AppUI->_('Time Chart (completed/on time/ocerdue)'); ?></td>
         </tr>
    @@ -150,12 +150,12 @@
             <td width="<?php echo $ontime; ?>%" style="background: aquamarine; text-align: center;"><?php echo $AppUI->_('on time'); ?></td>
             <td width="<?php echo round($tasks['overdue']/ count($all_tasks) * 100); ?>%" style="background: tomato; text-align: center;"><?php echo $AppUI->_('overdue'); ?></td>
         </tr>
    -</table>
    +</table></div>
     <br />
     <table class="tbl">
         <tr>
             <td>
    -            <table width="100%" cellspacing="1" cellpadding="4" border="0" class="tbl">
    +            <div class="content content_table"><table width="100%" cellspacing="1" cellpadding="4" border="0" class="tbl">
                     <tr>
                         <th colspan="3"><?php echo $AppUI->_('Current Project Status'); ?></th>
                     </tr>
    @@ -183,9 +183,9 @@
                         <td align="right"><?php echo count($all_tasks); ?></td>
                         <td align="right">100%</td>
                     </tr>
    -            </table>
    +            </table></div>
                 <br />
    -            <table width="100%" cellspacing="1" cellpadding="4" border="0" class="tbl">
    +            <div class="content content_table"><table width="100%" cellspacing="1" cellpadding="4" border="0" class="tbl">
                     <tr>
                         <th colspan="2"><?php echo $AppUI->_('Project Assignee Details'); ?></th>
                     </tr>
    @@ -193,9 +193,9 @@
                         <td><?php echo $AppUI->_('Team Size'); ?>:</td>
                         <td align="right"><?php echo count($users); ?> <?php echo $AppUI->_('users'); ?></td>
                     </tr>
    -            </table>
    +            </table></div>
                 <br />
    -            <table width="100%" cellspacing="1" cellpadding="4" border="0" class="tbl">
    +            <div class="content content_table"><table width="100%" cellspacing="1" cellpadding="4" border="0" class="tbl">
                     <tr>
                         <th colspan="2"><?php echo $AppUI->_('Document Space Utilized'); ?></th>
                     </tr>
    @@ -203,10 +203,10 @@
                         <td><?php echo $AppUI->_('Space Utilized'); ?>:</td>
                         <td align="right" nowrap="nowrap"><?php echo file_size($files); ?></td>
                     </tr>
    -            </table>
    +            </table></div>
             </td>
             <td width="100%" valign="top">
    -            <table width="100%" cellspacing="1" cellpadding="4" border="0" class="tbl">
    +            <div class="content content_table"><table width="100%" cellspacing="1" cellpadding="4" border="0" class="tbl">
                     <tr>
                         <th><?php echo $AppUI->_('Task Assignee'); ?></th>
                         <th><?php echo $AppUI->_('Past Due'); ?></th>
    @@ -236,7 +236,7 @@
                         <td align="right" class="highlight"><?php echo count($all_tasks); ?></td>
                         <td align="right" class="highlight"><?php echo $tasks['hours']; ?> <?php echo $AppUI->_('hours'); ?></td>
                     </tr>
    -            </table>
    +            </table></div>
             </td>
         </tr>
     </table>
    \ No newline at end of file
    Index: modules/reports/reports/taskenddate.php
    ===================================================================
    --- modules/reports/reports/taskenddate.php	(revision 1981)
    +++ modules/reports/reports/taskenddate.php	(working copy)
    @@ -48,7 +48,7 @@
     	echo styleRenderBoxTop();
     }
     ?>
    -<table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
    +<div class="content content_options"><table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
     <tr>
     	<td align="right" nowrap="nowrap"><?php echo $AppUI->_('For period'); ?>:</td>
     	<td nowrap="nowrap">
    @@ -78,7 +78,7 @@
     		<input class="button" type="submit" name="do_report" value="<?php echo $AppUI->_('submit'); ?>" />
     	</td>
     </tr>
    -</table>
    +</table></div>
     </form>
     <?php
     if ($do_report) {
    @@ -132,7 +132,7 @@
     <tr>
     	<td>';
     
    -	echo '<table class="std" width="100%">';
    +	echo '<div class="content content_table"><table class="std" width="100%">';
     	echo '<tr><th>' . $AppUI->_('Task name') . '</th><th>' . $AppUI->_('T.Owner') . '</th><th>' . $AppUI->_('H.Alloc.') . '</th><th>' . $AppUI->_('Task end date') . '</th><th>' . $AppUI->_('Last activity date') . '</th><th>' . $AppUI->_('Done') . '?</th></tr>';
     	$hrs = $AppUI->_('hrs'); // To avoid calling $AppUI each row
     	foreach ($tasks as $task) {
    @@ -151,7 +151,7 @@
     		$done_img = $task['task_percent_complete'] == 100 ? 'Yes' : 'No';
     		echo '<tr><td>&nbsp;&nbsp;&nbsp;' . $task['task_name'] . '</td><td>' . $task['user_username'] . '</td><td align="right">' . ($task['task_duration'] * $task['task_duration_type']) . ' ' . $hrs . '</td><td align="center">' . $task['task_end_date'] . '</td><td align="center">' . $task_log['task_log_date'] . '</td><td align="center">' . $done_img . '</td></tr>';
     	}
    -	echo '</table>';
    +	echo '</table></div>';
     	echo '</td>
     </tr>
     </table>';
    Index: modules/reports/reports/tasklist.php
    ===================================================================
    --- modules/reports/reports/tasklist.php	(revision 1981)
    +++ modules/reports/reports/tasklist.php	(working copy)
    @@ -89,7 +89,7 @@
     	echo styleRenderBoxTop();
     }
     ?>
    -<table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
    +<div class="content content_options"><table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
     <tr>
             <td align="right"><?php echo $AppUI->_('Default Actions'); ?>:</td>
             <td nowrap="nowrap" colspan="2">
    @@ -138,7 +138,7 @@
     		<input class="button" type="submit" name="do_report" value="<?php echo $AppUI->_('submit'); ?>" />
     	</td>
     </tr>
    -</table>
    +</table></div>
     </form>
     <?php
     if ($do_report) {
    @@ -182,7 +182,7 @@
     <tr>
     	<td>';
     
    -	echo '<table cellspacing="1" cellpadding="4" border="0" class="tbl">';
    +	echo '<div class="content content_table"><table cellspacing="1" cellpadding="4" border="0" class="tbl">';
     	if ($project_id == 0) {
     		echo '<tr><th>Project Name</th><th>Task Name</th>';
     	} else {
    @@ -250,7 +250,7 @@
     			$pdfdata[] = array($Tasks['task_name'], $Tasks['task_description'], $users, (($start_date != ' ') ? $start_date->format($df) : ' '), (($end_date != ' ') ? $end_date->format($df) : ' '), $Tasks['task_percent_complete'] . '%', );
     		}
     	}
    -	echo '</table>';
    +	echo '</table></div>';
     	if ($log_pdf) {
     		// make the PDF file
     		$q = new w2p_Database_Query;
    Index: modules/reports/reports/tasklogs.php
    ===================================================================
    --- modules/reports/reports/tasklogs.php	(revision 1981)
    +++ modules/reports/reports/tasklogs.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: tasklogs.php 1489 2010-11-12 10:37:23Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/reports/reports/tasklogs.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -78,7 +78,7 @@
     	echo styleRenderBoxTop();
     }
     ?>
    -<table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
    +<div class="content content_options"><table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
     <tr>
     	<td align="right" nowrap="nowrap"><?php echo $AppUI->_('For period'); ?>:</td>
     	<td nowrap="nowrap">
    @@ -143,7 +143,7 @@
     		<input class="button" type="submit" name="do_report" value="<?php echo $AppUI->_('submit'); ?>" />
     	</td>
     </tr>
    -</table>
    +</table></div>
     </form>
     
     <?php
    @@ -208,7 +208,7 @@
     	$logs = $q->loadList();
     	echo db_error();
     ?>
    -	<table cellspacing="1" cellpadding="4" border="0" class="tbl">
    +	<div class="content content_table"><table cellspacing="1" cellpadding="4" border="0" class="tbl">
     	<tr>
     		<th><?php echo $AppUI->_('Creator'); ?></th>
     		<th><?php echo $AppUI->_('Company'); ?></th>
    @@ -265,7 +265,7 @@
     		<td align="right" colspan="7"><?php echo $AppUI->_('Report Totals'); ?>:</td>
     		<td align="right"><?php printf('%.2f', $hours); ?></td>
     	</tr>
    -	</table>
    +	</table></div>
     <?php
     	if ($log_pdf) {
     		// make the PDF file
    Index: modules/reports/reports/tasklogs_xp1.php
    ===================================================================
    --- modules/reports/reports/tasklogs_xp1.php	(revision 1981)
    +++ modules/reports/reports/tasklogs_xp1.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: tasklogs_xp1.php 1489 2010-11-12 10:37:23Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/reports/reports/tasklogs_xp1.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -78,7 +78,7 @@
     	echo styleRenderBoxTop();
     }
     ?>
    -<table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
    +<div class="content content_options"><table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
     <tr>
     	<td align="right" nowrap="nowrap"><?php echo $AppUI->_('For period'); ?>:</td>
     	<td nowrap="nowrap">
    @@ -142,7 +142,7 @@
     		<input class="button" type="submit" name="do_report" value="<?php echo $AppUI->_('submit'); ?>" />
     	</td>
     </tr>
    -</table>
    +</table></div>
     </form>
     <?php
     if ($do_report) {
    @@ -206,7 +206,7 @@
     	$logs = $q->loadList();
     	echo db_error();
     ?>
    -	<table cellspacing="1" cellpadding="4" border="0" class="tbl">
    +	<div class="content content_table"><table cellspacing="1" cellpadding="4" border="0" class="tbl">
     	<tr>
     		<th><?php echo $AppUI->_('Creator'); ?></th>
     		<th><?php echo $AppUI->_('Company'); ?></th>
    @@ -363,5 +363,5 @@
         }
         echo '</td>
     </tr>
    -</table>';
    +</table></div>';
     }
    \ No newline at end of file
    Index: modules/reports/reports/userperformance.php
    ===================================================================
    --- modules/reports/reports/userperformance.php	(revision 1981)
    +++ modules/reports/reports/userperformance.php	(working copy)
    @@ -50,7 +50,7 @@
     	echo styleRenderBoxTop();
     }
     ?>
    -<table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
    +<div class="content content_options"><table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
     <tr>
     	<td align="right" nowrap="nowrap"><?php echo $AppUI->_('For period'); ?>:</td>
     	<td nowrap="nowrap">
    @@ -79,7 +79,7 @@
     		<input class="button" type="submit" name="do_report" value="<?php echo $AppUI->_('submit'); ?>" />
     	</td>
     </tr>
    -</table>
    +</table></div>
     </form>
     <?php
     if ($do_report) {
    @@ -129,7 +129,7 @@
     	$q->clear();
     ?>
     
    -<table cellspacing="1" cellpadding="4" border="0" class="tbl">
    +<div class="content content_table"><table cellspacing="1" cellpadding="4" border="0" class="tbl">
     	<tr>
     		<th colspan='2'><?php echo $AppUI->_('User'); ?></th>
     		<th><?php echo $AppUI->_('Hours allocated'); ?></th>
    @@ -231,7 +231,7 @@
     		</tr>
     		<?php
     	}
    -	echo '</table>';
    +	echo '</table></div>';
     	echo '</td>
     </tr>
     </table>';
    Index: modules/resources/tasks_tab.view.other_resources.php
    ===================================================================
    --- modules/resources/tasks_tab.view.other_resources.php	(revision 1981)
    +++ modules/resources/tasks_tab.view.other_resources.php	(working copy)
    @@ -35,7 +35,7 @@
     }
     
     ?>
    -<table class="std" width="100%" cellpadding="4" cellspacing="1">
    +<div class="content content_table"><table class="std" width="100%" cellpadding="4" cellspacing="1">
     <tr><th>Type</th><th>Resource</th><th>Allocation</th><th>&nbsp;</th></tr>
     <?php
     foreach ($resources as $res) {
    @@ -49,4 +49,4 @@
     	echo $output;
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/resources/view.php
    ===================================================================
    --- modules/resources/view.php	(revision 1981)
    +++ modules/resources/view.php	(working copy)
    @@ -64,7 +64,7 @@
     <tr>
       <td valign="top" width="100%">
     		<strong><?php echo $AppUI->_('Details'); ?></strong>
    -		<table cellspacing="1" cellpadding="2" width="100%">
    +		<div class="content content_table"><table cellspacing="1" cellpadding="2" width="100%">
     		<tr>
     			<td align="right" nowrap="nowrap"><?php echo $AppUI->_('Resource ID'); ?>:</td>
     			<td class="hilite" width="100%"><?php echo $obj->resource_key; ?></td>
    @@ -80,7 +80,7 @@
     		<tr>
     			<td align="right" nowrap="nowrap"><?php echo $AppUI->_('Max Allocation %'); ?>:</td>
     			<td class="hilite"><?php echo $obj->resource_max_allocation; ?></td>
    -		</table>
    +		</table></div>
     
     	</td>
     </tr>
    Index: modules/resources/vw_resources.php
    ===================================================================
    --- modules/resources/vw_resources.php	(revision 1981)
    +++ modules/resources/vw_resources.php	(working copy)
    @@ -18,7 +18,7 @@
     }
     $res = &$query->exec();
     ?>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th nowrap="nowrap" width="20%">
         	<?php echo $AppUI->_('ID'); ?>
    @@ -52,4 +52,4 @@
     }
     $query->clear();
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/smartsearch/index.php
    ===================================================================
    --- modules/smartsearch/index.php	(revision 1981)
    +++ modules/smartsearch/index.php	(working copy)
    @@ -258,7 +258,7 @@
     	}
     
       ?>
    -  <table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +  <div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
       	<?php
         	$perms = &$AppUI->acl();
         	sort($files);
    @@ -296,6 +296,6 @@
             }
         	echo '<tr><td><b>' . $AppUI->_('Total records found') . ': ' . $reccount . '</b></td></tr>';
         ?>
    -  </table>
    +  </table></div>
     <?php
     }
    \ No newline at end of file
    Index: modules/system/acls_view.php
    ===================================================================
    --- modules/system/acls_view.php	(revision 1981)
    +++ modules/system/acls_view.php	(working copy)
    @@ -45,7 +45,7 @@
     
     $actions = array(0 => 'All Actions', 'access' => 'access', 'add' => 'add', 'delete' => 'delete', 'edit' => 'edit', 'view' => 'view');
     
    -$table = '<table class="tbl" width="100%" cellspacing="1" cellpadding="2" border="0">';
    +$table = '<div class="content content_table"><table class="tbl" width="100%" cellspacing="1" cellpadding="2" border="0">';
     $table .= '<tr><th colspan="9"><b>Permission Result Table</b></th></tr>';
     $table .= '<tr><th>UserID</th><th>User</th><th>User Name</th><th>Module</th><th>Item</th><th>Item Name</th><th>Action</th><th>Allow</th><th>ACL_ID</th></tr>';
     foreach ($permissions as $permission) {
    @@ -67,7 +67,7 @@
     		$table .= '<tr>' . '<td style="text-align:right;">' . $permission['user_id'] . '</td>' . '<td>' . $permission['user_name'] . '</td>' . '<td>' . $users[$permission['user_id']] . '</td>' . '<td>' . $permission['module'] . '</td>' . '<td style="text-align:right;">' . ($permission['item_id'] ? $permission['item_id'] : '') . '</td>' . '<td>' . ($item ? $item : 'ALL') . '</td>' . '<td>' . $permission['action'] . '</td>' . '<td ' . (!$permission['access'] ? 'style="text-align:right;background-color:red"' : 'style="text-align:right;background-color:green"') . '>' . $permission['access'] . '</td>' . '<td ' . ($permission['acl_id'] ? '' : 'style="background-color:gray"') . '>' . ($permission['acl_id'] ? $permission['acl_id'] : 'soft-denial') . '</td>' . '</tr>';
     	}
     }
    -$table .= '</table>';
    +$table .= '</table></div>';
     $users = array('' => '(' . $AppUI->_('Select User') . ')') + $users;
     $user = (isset($_POST['user']) && $_POST['user'] != '') ?  $_POST['user'] : $AppUI->user_id;
     $user_selector = arraySelect($users, 'user', 'class="text" onchange="javascript:document.pickUser.submit()"', $user);
    Index: modules/system/addeditpref.php
    ===================================================================
    --- modules/system/addeditpref.php	(revision 1981)
    +++ modules/system/addeditpref.php	(working copy)
    @@ -77,7 +77,7 @@
     	<input type="hidden" name="dosql" value="do_preference_aed" />
     	<input type="hidden" name="pref_user" value="<?php echo $user_id; ?>" />
     	<input type="hidden" name="del" value="0" />
    -<table width="100%" border="0" cellpadding="1" cellspacing="1" class="std">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="1" cellspacing="1" class="std">
     <tr>
     	<th colspan="2"><?php echo $AppUI->_('User Preferences'); ?>:
     	<?php
    @@ -314,5 +314,5 @@
     	<td align="left"><input class="button"  type="button" value="<?php echo $AppUI->_('back'); ?>" onclick="javascript:history.back(-1);" /></td>
     	<td align="right"><input class="button" type="button" value="<?php echo $AppUI->_('submit'); ?>" onclick="submitIt()" /></td>
     </tr>
    -</table>
    +</table></div>
     </form>
    \ No newline at end of file
    Index: modules/system/customfields/index.php
    ===================================================================
    --- modules/system/customfields/index.php	(revision 1981)
    +++ modules/system/customfields/index.php	(working copy)
    @@ -30,7 +30,7 @@
     	<input type="hidden" name="del" value="1" />
     	<input type="hidden" name="field_id" value="<?php echo $project_id; ?>" />
     </form>
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
         <?php foreach ($modules as $module) { ?>
         <tr>
             <td colspan="10">
    @@ -75,4 +75,4 @@
     	}
     
         }?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/roles/index.php
    ===================================================================
    --- modules/system/roles/index.php	(revision 1981)
    +++ modules/system/roles/index.php	(working copy)
    @@ -51,7 +51,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <tr>
     	<th>&nbsp;</th>
     	<th><?php echo $AppUI->_('Role ID'); ?></th>
    @@ -70,4 +70,4 @@
     	echo showRoleRow();
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/roles/vw_role_perms.php
    ===================================================================
    --- modules/system/roles/vw_role_perms.php	(revision 1981)
    +++ modules/system/roles/vw_role_perms.php	(working copy)
    @@ -103,7 +103,7 @@
     <tr>
     	<td width="50%" valign="top">
     
    -<table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
     <tr>
     	<th width="100%"><?php echo $AppUI->_('Item'); ?></th>
     	<th nowrap="nowrap"><?php echo $AppUI->_('Type'); ?></th>
    @@ -178,7 +178,7 @@
     	}
     }
     ?>
    -</table>
    +</table></div>
     
     </td><td width="50%" valign="top">
     
    Index: modules/system/syskeys/index.php
    ===================================================================
    --- modules/system/syskeys/index.php	(revision 1981)
    +++ modules/system/syskeys/index.php	(working copy)
    @@ -86,7 +86,7 @@
     
     <form name="sysValFrm" method="post" action="?m=system&u=syskeys&a=do_sysval_aed" accept-charset="utf-8">
       <input type="hidden" name="del" value="0" />
    -  <table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +  <div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
         <tr>
         	<th>&nbsp;</th>
         	<th><?php echo $AppUI->_('Key Type'); ?></th>
    @@ -103,7 +103,7 @@
         	echo showRow();
         }
         ?>
    -  </table>
    +  </table></div>
     </form>
     
     <?php
    Index: modules/system/syskeys/keys.php
    ===================================================================
    --- modules/system/syskeys/keys.php	(revision 1981)
    +++ modules/system/syskeys/keys.php	(working copy)
    @@ -40,7 +40,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <tr>
     	<th>&nbsp;</th>
     	<th><?php echo $AppUI->_('Name'); ?></th>
    @@ -91,4 +91,4 @@
     	echo showRow();
     }
     ?>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/system/systemconfig.php
    ===================================================================
    --- modules/system/systemconfig.php	(revision 1981)
    +++ modules/system/systemconfig.php	(working copy)
    @@ -97,13 +97,13 @@
     ?>
     <form name="cfgFrm" action="index.php?m=system&a=systemconfig" method="post" accept-charset="utf-8">
     	<input type="hidden" name="dosql" value="do_systemconfig_aed" />
    -	<table cellspacing="0" cellpadding="3" border="0" class="std" width="100%" align="center">
    +	<div class="content content_table"><table cellspacing="0" cellpadding="3" border="0" class="std" width="100%" align="center">
     		<tr><td colspan="4"><?php echo $AppUI->_('syscfg_intro'); ?></td></tr>
     		<?php echo $output; ?>
     		<tr>
     	 		<td align="right" colspan="4"><input class="button" type="submit" name="do_save_cfg" value="<?php echo $AppUI->_('Save'); ?>" /></td>
     		</tr>
    -	</table>
    +	</table></div>
     </form>
     <script language="javascript" type="text/javascript">
             $(document).ready(function(){
    Index: modules/system/translate.php
    ===================================================================
    --- modules/system/translate.php	(revision 1981)
    +++ modules/system/translate.php	(working copy)
    @@ -96,7 +96,7 @@
     <form action="?m=system&a=translate_save" method="post" name="editlang" accept-charset="utf-8">
     <input type="hidden" name="module" value="<?php echo $modules[$module]; ?>" />
     <input type="hidden" name="lang" value="<?php echo $lang; ?>" />
    -<table width="100%" border="0" cellpadding="1" cellspacing="1" class="tbl">
    +<div class="content content_table"><table width="100%" border="0" cellpadding="1" cellspacing="1" class="tbl">
     <tr>
     	<th width="15%" nowrap="nowrap"><?php echo $AppUI->_('Abbreviation'); ?></th>
     	<th width="40%" nowrap="nowrap"><?php echo $AppUI->_('English String'); ?></th>
    @@ -160,5 +160,5 @@
     		<input type="submit" value="<?php echo $AppUI->_('submit'); ?>" class="button" />
     	</td>
     </tr>
    -</table>
    +</table></div>
     </form>
    \ No newline at end of file
    Index: modules/system/viewmods.php
    ===================================================================
    --- modules/system/viewmods.php	(revision 1981)
    +++ modules/system/viewmods.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: viewmods.php 1504 2010-12-01 07:07:21Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/system/viewmods.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -30,7 +30,7 @@
     $titleBlock->show();
     ?>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
         <tr>
             <th colspan="2"><?php echo $AppUI->_('Module'); ?></th>
             <th><?php echo $AppUI->_('Status'); ?></th>
    @@ -149,4 +149,4 @@
                 </form>
             </td>
         </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/addedit.php
    ===================================================================
    --- modules/tasks/addedit.php	(revision 1981)
    +++ modules/tasks/addedit.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: addedit.php 1525 2010-12-11 08:46:05Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/addedit.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -207,7 +207,7 @@
     	<input name="task_project" type="hidden" value="<?php echo $task_project; ?>" />
     	<input name="old_task_parent" type="hidden" value="<?php echo $task->task_parent; ?>" />
     	<input name='task_contacts' id='task_contacts' type='hidden' value="<?php echo implode(',', $selected_contacts); ?>" />
    -    <table border="1" cellpadding="4" cellspacing="0" width="100%" class="std">
    +    <div class="content content_table"><table border="1" cellpadding="4" cellspacing="0" width="100%" class="std">
             <tr>
                 <td colspan="2" style="border: outset #eeeeee 1px;background-color:#<?php echo $project->project_color_identifier; ?>" >
                     <font color="<?php echo bestColor($project->project_color_identifier); ?>">
    @@ -272,7 +272,7 @@
                     </table>
                 </td>
             </tr>
    -    </table>
    +    </table></div>
     </form>
     <?php
     $tab = $AppUI->processIntState('TaskAeTabIdx', $_GET, 'tab', 0);
    Index: modules/tasks/ae_dates.php
    ===================================================================
    --- modules/tasks/ae_dates.php	(revision 1981)
    +++ modules/tasks/ae_dates.php	(working copy)
    @@ -73,7 +73,7 @@
     <form name="datesFrm" action="?m=tasks&a=addedit&task_project=<?php echo $task_project; ?>" method="post" accept-charset="utf-8">
         <input name="dosql" type="hidden" value="do_task_aed" />
         <input name="task_id" type="hidden" value="<?php echo $task_id; ?>" />
    -    <table width="100%" border="0" cellpadding="4" cellspacing="0" class="std">
    +    <div class="content content_table"><table width="100%" border="0" cellpadding="4" cellspacing="0" class="std">
             <?php if ($can_edit_time_information) { ?>
                 <tr>
                     <td align="right" nowrap="nowrap"><?php echo $AppUI->_('Start Date'); ?></td>
    @@ -142,7 +142,7 @@
                     </td>
                 </tr>
             <?php } // end of can_edit_time_information ?>
    -    </table>
    +    </table></div>
     </form>
     <script language="javascript">
     	subForm.push(new FormDefinition(<?php echo $tab; ?>, document.datesFrm, checkDates, saveDates));
    Index: modules/tasks/ae_depend.php
    ===================================================================
    --- modules/tasks/ae_depend.php	(revision 1981)
    +++ modules/tasks/ae_depend.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: ae_depend.php 1518 2010-12-07 07:09:52Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/ae_depend.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -61,7 +61,7 @@
         <input name="task_id" type="hidden" value="<?php echo $task_id; ?>" />
         <input type="hidden" name="hdependencies" />
     
    -    <table width="100%" border="0" cellpadding="4" cellspacing="0" class="std">
    +    <div class="content content_table"><table width="100%" border="0" cellpadding="4" cellspacing="0" class="std">
             <?php if ($can_edit_time_information) { ?>
             <tr>
                 <td align="center" nowrap="nowrap" colspan="3"><b><?php echo $AppUI->_('Dependency Tracking'); ?></b></td>
    @@ -119,7 +119,7 @@
                 <td align="right"><input type="button" class="button" value="&gt;" onclick="addTaskDependency(document.dependFrm, document.datesFrm)" /></td>
                 <td align="left"><input type="button" class="button" value="&lt;" onclick="removeTaskDependency(document.dependFrm, document.datesFrm)" /></td>
             </tr>
    -    </table>
    +    </table></div>
     </form>
     <script language="javascript" type="text/javascript">
     	subForm.push( new FormDefinition(<?php echo $tab; ?>, document.dependFrm, checkDepend, saveDepend));
    Index: modules/tasks/ae_desc.php
    ===================================================================
    --- modules/tasks/ae_desc.php	(revision 1981)
    +++ modules/tasks/ae_desc.php	(working copy)
    @@ -14,7 +14,7 @@
         <table class="std" width="100%" border="1" cellpadding="4" cellspacing="0">
             <tr>
                 <td width="50%" valign='top'>
    -                <table border="0">
    +                <div class="content content_table"><table border="0">
                         <tr>
                             <td>
                                 <?php if ($can_edit_time_information) { ?>
    @@ -71,14 +71,14 @@
                         </td>
                     </tr>
                 <?php } ?>
    -                </table>
    +                </table></div>
                 </td>
                 <td valign="top" align="center">
    -                <table><tr><td align="left">
    +                <div class="content content_table"><table><tr><td align="left">
                     <?php echo $AppUI->_('Description'); ?>:
                     <br />
                     <textarea name="task_description" class="textarea" cols="60" rows="10"><?php echo $task->task_description; ?></textarea>
    -                </td></tr></table><br />
    +                </td></tr></table></div><br />
                     <?php
             global $m;
             $custom_fields = new w2p_Core_CustomFields($m, 'addedit', $task->task_id, 'edit');
    Index: modules/tasks/ae_resource.php
    ===================================================================
    --- modules/tasks/ae_resource.php	(revision 1981)
    +++ modules/tasks/ae_resource.php	(working copy)
    @@ -41,7 +41,7 @@
         <table width="100%" border="1" cellpadding="4" cellspacing="0" class="std">
             <tr>
                 <td valign="top" align="center">
    -                <table cellspacing="0" cellpadding="2" border="0">
    +                <div class="content content_table"><table cellspacing="0" cellpadding="2" border="0">
                         <tr>
                             <td><?php echo $AppUI->_('Human Resources'); ?>:</td>
                             <td><?php echo $AppUI->_('Assigned to Task'); ?>:</td>
    @@ -73,10 +73,10 @@
                                 </table>
                             </td>
                         </tr>
    -                </table>
    +                </table></div>
                 </td>
                 <td valign="top" align="center">
    -                <table>
    +                <div class="content content_table"><table>
                         <tr>
                             <td align="left">
                                 <?php echo $AppUI->_('Additional Email Comments'); ?>:
    @@ -92,7 +92,7 @@
                                 <label for="task_allow_other_user_tasklogs"><?php echo $AppUI->_('Allow users to add task logs for others'); ?></label>
                             </td>
                         </tr>
    -                </table>
    +                </table></div>
                 </td>
             </tr>
         </table>
    Index: modules/tasks/tasks.php
    ===================================================================
    --- modules/tasks/tasks.php	(revision 1981)
    +++ modules/tasks/tasks.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: tasks.php 1525 2010-12-11 08:46:05Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/tasks.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -432,7 +432,7 @@
     if ($project_id) {
     	$open_link = w2PtoolTip($m, 'click to expand/collapse all the tasks for this project.') . '<a href="javascript: void(0);"><img onclick="expand_collapse(\'project_' . $project_id . '_\', \'tblProjects\',\'collapse\',0,2);" id="project_' . $project_id . '__collapse" src="' . w2PfindImage('up22.png', $m) . '" border="0" width="22" height="22" align="center" ' . (!$expanded ? 'style="display:none"' : '') . ' alt="" /><img onclick="expand_collapse(\'project_' . $project_id . '_\', \'tblProjects\',\'expand\',0,2);" id="project_' . $project_id . '__expand" src="' . w2PfindImage('down22.png', $m) . '" border="0" width="22" height="22" align="center" ' . ($expanded ? 'style="display:none"' : '') . ' alt="" /></a>' . w2PendTip();
     	?>
    -	<form name="task_list_options" method="post" action=""<?php echo $query_string; ?>" accept-charset="utf-8">
    +	<div class="content content_options"><form name="task_list_options" method="post" action=""<?php echo $query_string; ?>" accept-charset="utf-8">
     		<input type='hidden' name='show_task_options' value='1' />
     		<table width='100%' border='0' cellpadding='1' cellspacing='0'>
     			<tr>
    @@ -453,9 +453,9 @@
     			  </td>
     			</tr>
     		</table>
    -	</form>
    +	</form></div>
     <?php } ?>
    -<table id="tblProjects" width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl">
    +<div class="content content_table"><table id="tblProjects" width="100%" border="0" cellpadding="0" cellspacing="1" class="tbl">
     	<tr>
     		<th width="10">&nbsp;</th>
     		<th width="10"><?php echo $AppUI->_('Pin'); ?></th>
    @@ -649,8 +649,8 @@
     		}
     		$AppUI->savePlace();
     	?>
    -</table>
    -<table width="100%" class="std">
    +</table></div>
    +<div class="content content_information"><table width="100%" class="std">
     	<tr>
     		<td nowrap="nowrap"><?php echo $AppUI->_('Key'); ?>:</td>
     		<td>&nbsp;</td>
    @@ -670,4 +670,4 @@
     		<td nowrap="nowrap">=<?php echo $AppUI->_('Done'); ?></td>
     		<td width="40%">&nbsp;</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/tasksperuser_sub.php
    ===================================================================
    --- modules/tasks/tasksperuser_sub.php	(revision 1981)
    +++ modules/tasks/tasksperuser_sub.php	(working copy)
    @@ -188,7 +188,7 @@
     	<input type="hidden" name="company_id" value="<?php echo $company_id; ?>" />
     	<input type="hidden" name="report_type" value="<?php echo $report_type; ?>" />
     	
    -	<table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
    +	<div class="content content_options"><table cellspacing="0" cellpadding="4" border="0" width="100%" class="std">
     		<tr>
     			<td align="right" nowrap="nowrap"><?php echo $AppUI->_('For period'); ?>:</td>
     			<td nowrap="nowrap">
    @@ -239,7 +239,7 @@
     		<tr>
     			<td colspan="5" align="left" nowrap="nowrap"><?php echo $AppUI->_('P') . "&nbsp;=&nbsp;" . $AppUI->_('User specific Task Priority'); ?></td>
     		</tr>
    -	</table>
    +	</table></div>
     	<?php
     		if (function_exists('styleRenderBoxBottom')) {
     			echo styleRenderBoxBottom();
    @@ -441,7 +441,7 @@
     ?>
     
     <center>
    -	<table width="100%" border="0" cellpadding="2" cellspacing="1" class="std">
    +	<div class="content content_table"><table width="100%" border="0" cellpadding="2" cellspacing="1" class="std">
     		<?php echo $table_header . $table_rows; //show tasks with existing assignees
     
     // show orphaned tasks
    @@ -493,5 +493,5 @@
     } // end of show orphaned tasks
     
     ?>
    -	</table>
    +	</table></div>
     </center>
    \ No newline at end of file
    Index: modules/tasks/todo_gantt_sub.php
    ===================================================================
    --- modules/tasks/todo_gantt_sub.php	(revision 1981)
    +++ modules/tasks/todo_gantt_sub.php	(working copy)
    @@ -8,7 +8,7 @@
     $perms = &$AppUI->acl();
     $canDelete = $perms->checkModuleItem($m, 'delete');
     ?>
    -<table width="100%" border="0" cellpadding="1" cellspacing="0">
    +<div class="content content_options"><table width="100%" border="0" cellpadding="1" cellspacing="0">
     <form name="form_buttons" method="post" action="index.php?<?php echo 'm=' . $m . '&a=' . $a . '&date=' . $date; ?>" accept-charset="utf-8">
     <input type="hidden" name="show_form" value="1" />
     <tr>
    @@ -23,7 +23,7 @@
     	</td>
     </tr>
     </form>
    -</table>
    +</table></div>
     <?php
     $min_view = true;
     include W2P_BASE_DIR . '/modules/tasks/viewgantt.php';
    \ No newline at end of file
    Index: modules/tasks/todo_tasks_sub.php
    ===================================================================
    --- modules/tasks/todo_tasks_sub.php	(revision 1981)
    +++ modules/tasks/todo_tasks_sub.php	(working copy)
    @@ -10,7 +10,7 @@
     $perms = &$AppUI->acl();
     $canDelete = $perms->checkModuleItem($m, 'delete');
     ?>
    -<form name="form_buttons" method="post" action="index.php?<?php echo 'm=' . $m . '&amp;a=' . $a . '&amp;date=' . $date; ?>" accept-charset="utf-8">
    +<div class="content content_options"><form name="form_buttons" method="post" action="index.php?<?php echo 'm=' . $m . '&amp;a=' . $a . '&amp;date=' . $date; ?>" accept-charset="utf-8">
         <input type="hidden" name="show_form" value="1" />
         <table width="100%" border="0" cellpadding="1" cellspacing="0">
             <tr>
    @@ -65,8 +65,8 @@
                 </td>
             </tr>
         </table>
    -</form>
    -<form name="form" method="post" action="index.php?<?php echo "m=$m&amp;a=$a&amp;date=$date"; ?>" accept-charset="utf-8">
    +</form></div>
    +<div class="content content_table"><form name="form" method="post" action="index.php?<?php echo "m=$m&amp;a=$a&amp;date=$date"; ?>" accept-charset="utf-8">
         <table width="100%" border="0" cellpadding="2" cellspacing="1" class="tbl">
             <tr>
                 <th width="10">&nbsp;</th>
    @@ -134,8 +134,8 @@
                 </td>
             </tr>
         </table>
    -</form>
    -<table>
    +</form></div>
    +<div class="content content_information"><table>
         <tr>
             <td>&nbsp; &nbsp;</td>
             <td style="border-style:solid;border-width:1px" bgcolor="#ffffff">&nbsp; &nbsp;</td>
    @@ -149,4 +149,4 @@
             <td style="border-style:solid;border-width:1px" bgcolor="#CC6666">&nbsp; &nbsp;</td>
             <td>=<?php echo $AppUI->_('Overdue'); ?></td>
         </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/view.php
    ===================================================================
    --- modules/tasks/view.php	(revision 1981)
    +++ modules/tasks/view.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: view.php 1525 2010-12-11 08:46:05Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/view.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -128,7 +128,7 @@
     <table border="0" cellpadding="4" cellspacing="0" width="100%" class="std">
         <tr valign="top">
             <td width="50%">
    -            <table width="100%" cellspacing="1" cellpadding="2">
    +            <div class="content content_table"><table width="100%" cellspacing="1" cellpadding="2">
                     <tr>
                         <td nowrap="nowrap" colspan="2"><strong><?php echo $AppUI->_('Details'); ?></strong></td>
                     </tr>
    @@ -219,11 +219,11 @@
                         <td align="right" nowrap="nowrap"><?php echo $AppUI->_('Task Type'); ?> :</td>
                         <td class="hilite" width="300"><?php echo $AppUI->_($task_types[$obj->task_type]); ?></td>
                     </tr>
    -            </table>
    +            </table></div>
             </td>
     
             <td width="50%">
    -            <table cellspacing="1" cellpadding="2" border="0" width="100%">
    +            <div class="content content_table"><table cellspacing="1" cellpadding="2" border="0" width="100%">
                     <tr>
                         <td colspan="3"><strong><?php echo $AppUI->_('Assigned Users'); ?></strong></td>
                     </tr>
    @@ -335,7 +335,7 @@
                             ?>
                         </td>
                     </tr>
    -            </table>
    +            </table></div>
             </td>
         </tr>
     </table>
    Index: modules/tasks/viewgantt.php
    ===================================================================
    --- modules/tasks/viewgantt.php	(revision 1981)
    +++ modules/tasks/viewgantt.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: viewgantt.php 1506 2010-12-03 05:06:28Z caseydk $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/viewgantt.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -264,7 +264,7 @@
         }
     </script>
     
    -<div id="displayOptions"> <!-- start of div used to show/hide formatting options -->
    +<div id="displayOptions" class="content content_options"> <!-- start of div used to show/hide formatting options -->
     <br />
     <form name="editFrm" method="post" action="?<?php echo "m=$m&a=$a&tab=$tab&project_id=$project_id"; ?>" accept-charset="utf-8">
         <input type="hidden" name="display_option" value="<?php echo $display_option; ?>" />
    @@ -383,7 +383,7 @@
     </form>
     </div> <!-- end of div used to show/hide formatting options -->
     
    -<table cellspacing="0" cellpadding="2" border="1" align="center" bgcolor="white" width="100%">
    +<div class="content content_options"><table cellspacing="0" cellpadding="2" border="1" align="center" bgcolor="white" width="100%">
     	<tr><th colspan="9" > Gantt chart key: </th></tr>
     	<?php if ($showMilestonesOnly != 1) { ?>
     	<tr>
    @@ -409,9 +409,9 @@
     		<td align="center"><img src="<?php echo W2P_BASE_URL;?>/modules/tasks/images/milestone_overdue.png" alt=""/></td>
     	</tr>
     	<?php } ?>
    -</table>
    +</table></div>
     
    -<table cellspacing="0" cellpadding="0" border="1" align="center" class="std" width="100%">
    +<div class="content content_gantt"><table cellspacing="0" cellpadding="0" border="1" align="center" class="std" width="100%">
         <tr>
             <td valign="top" align="center">
                 <?php
    @@ -496,4 +496,4 @@
     			?>
     		</td>
     	</tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    Index: modules/tasks/vw_log_update.php
    ===================================================================
    --- modules/tasks/vw_log_update.php	(revision 1981)
    +++ modules/tasks/vw_log_update.php	(working copy)
    @@ -146,7 +146,7 @@
     <table cellspacing="1" cellpadding="2" border="0" width="100%">
     <tr>
         <td width='40%' valign='top'>
    -      <table width='100%'>
    +      <div class="content content_table"><table width='100%'>
     <tr>
     	<td align="right">
     		<?php echo $AppUI->_('Date'); ?>
    @@ -255,10 +255,10 @@
     <?php
     }
     ?>
    -</table>
    +</table></div>
     </td>
     <td width='60%' valign='top'>
    -<table width='100%'>
    +<div class="content content_table"><table width='100%'>
     <tr>
     	<td align="right"><?php echo $AppUI->_('Summary'); ?>:</td>
         <td valign="middle">
    @@ -358,7 +358,7 @@
     	</td>
     </tr>
     </td>
    -</table>
    +</table></div>
     </td>
     </tr>
     </table>
    Index: modules/tasks/vw_logs.php
    ===================================================================
    --- modules/tasks/vw_logs.php	(revision 1981)
    +++ modules/tasks/vw_logs.php	(working copy)
    @@ -1,4 +1,4 @@
    -<?php /* $Id: vw_logs.php 1474 2010-10-18 01:00:44Z pedroix $ $URL: https://web2project.svn.sourceforge.net/svnroot/web2project/trunk/modules/tasks/vw_logs.php $ */
    +<?php /* $Id$ $URL$ */
     if (!defined('W2P_BASE_DIR')) {
     	die('You should not access this file directly.');
     }
    @@ -32,7 +32,7 @@
     <?php } ?>
     </script>
     
    -<table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
    +<div class="content content_table"><table border="0" cellpadding="2" cellspacing="1" width="100%" class="tbl">
     <form name="frmDelete2" action="./index.php?m=tasks" method="post" accept-charset="utf-8">
     	<input type="hidden" name="dosql" value="do_updatetask" />
     	<input type="hidden" name="del" value="1" />
    @@ -130,8 +130,8 @@
     $s .= '</tr>';
     echo $s;
     ?>
    -</table>
    -<table>
    +</table></div>
    +<div class="content content_information"><table>
     <tr>
     	<td><?php echo $AppUI->_('Key'); ?>:</td>
     	<td>&nbsp; &nbsp;</td>
    @@ -140,4 +140,4 @@
     	<td bgcolor="#CC6666">&nbsp; &nbsp;</td>
     	<td>=<?php echo $AppUI->_('Problem Report'); ?></td>
     </tr>
    -</table>
    \ No newline at end of file
    +</table></div>
    \ No newline at end of file
    
    patch file icon patch_0000841_v5.patch (110,281 bytes) 1969-12-31 16:00 +

-Relationships
+Relationships

-Notes

~0001989

pedroa (administrator)

Hi,

Here is my list of observations:
1) You shopped all the cellpaddings off the tables

2) We don't have those 3 css class definitions on our core main.css files and I don't know what are the consequences as far as html/xthml validation is concerned

3) This requires testing file by file on all browsers we support:
3.1) FF 3.5
3.2) FF 4.X
3.3) IE 8
3.4) IE 9
3.5) Opera 10 and up
3.6) Chrome/Chromium 12
3.7) Safari 5

4) modules/admin/vw_usr_log.php

-<table align="center">
- <tr>
- <td>
- <h1><?php echo $AppUI->_('User Log'); ?></h1>
- </td>
- </tr>
-</table>

Why?

5) modules/calendar/vw_day_tasks.php
That doesn't look right as $s does not seem to be initialized properly.

6) modules/links/index_table.php
What's the problem with title block method? why the need to write all that html?

7) modules/reports/index.php
+echo '<div class="content content_options">';

If suppressHeaders is on, this line will blow the pdf generated reports.

8) Why do we need the divs? Can't we simply extend the tables classes instead?

At this point I can't accept your patch for the reasons above, and I will also need Keiths second opinion on this.
But I can be convinced otherwise if I can see the added value for web2Project of this.

Eitherway, thank you very much for the proposal, and we'll sort something out.

Cheers,

Pedro A.

~0001990

marcehret (reporter)

You're right, that was way too much.

New patch contains only divs. Didn't touch anything else. I even did not touch the following modules: contacts, help, projectdesigner, projects, public and reports (this time..).

1) Code is back in new patch.

AFAIR, cellpaddings (when they are set in the table tag, not the browser default ones) can't be overwritten with CSS (neither border-spacing nor border-collapse) in IE6 and IE7.

2) Code remains valid.

3) I've got all of them on W7. But how can I identify a bug? Current themes dont't use cellpaddings, margins, etc. in a consistent way. And the layout won't explode on my screen because of an extra div (I hope..)

4) Code is back in new patch, but:

This code snippet appears in div.tabox for example, which already has an headline. Furthermore, tag h1 is not valid at this point (at least concerning the semantics).

5) Code is back in new patch, but:

Just wanted to avoid an empty table tag, which happens right now (if no tasks are found). This not valid.

6) Code is back in new patch, but:

Like 4... and furthermore: This code is difficult to style because it's the same like used for the module header (title / search / options) on every page. So if you want to style this header, you have to write extra CSS to remove the styles later on.

7) Code is back in new patch.

8) When I use w2p and open firebug, all I see is tables. Even a single button is wrapped in a table. So just be glad that I don't want you to insert some additional tables ... :-)

Another reason: I like clean HTML. I like HTML that I can style with CSS. If you want to apply paddings or borders to the table tag, you might run into troubles. You might run into troubles with widths. Giving a table cell a special color (for the current day i.e.), this might not work with table set on border-collapse:separate. But in this case, you are limited in the way you use borders for the whole table. And so on.. With an extra div life is much easier for designers. Less bugs, more styles. 'nuff said.

Thanks for having a look at my code.

Cheers,

Marc

~0001994

marcehret (reporter)

v3:

Added some more ... and some in module projects.

~0002021

marcehret (reporter)

Latest patch and some screenshots:

http://marcehret.com/en/work/web2project/

Cheers,
Marc

~0002161

marcehret (reporter)

Moved to: http://web2project.marcehret.com

~0003159

caseydk (administrator)

I used some of this but not 100%.. regardless, the core system is properly CSSified and most of the tables are gone. :)

~0003222

caseydk (administrator)

Closed for v3.1 Release which occurred 20 January 2014.
+Notes

-Issue History
Date Modified Username Field Change
2011-06-24 02:31 marcehret New Issue
2011-06-24 02:32 marcehret File Added: patch_0000841.patch
2011-06-24 04:50 pedroa Note Added: 0001989
2011-06-24 13:34 marcehret File Added: patch_0000841_v2.patch
2011-06-24 15:27 marcehret Note Added: 0001990
2011-06-25 23:23 caseydk Project v2.4 Release (Closed) => Pending Requests
2011-06-27 09:25 marcehret File Added: patch_0000841_v3.patch
2011-06-27 09:27 marcehret Note Added: 0001994
2011-07-05 00:20 marcehret File Added: patch_0000841_v4.patch
2011-07-05 08:03 marcehret File Added: patch_0000841_v5.patch
2011-07-08 03:58 marcehret Note Added: 0002021
2011-08-24 06:20 marcehret Note Added: 0002161
2011-08-25 00:06 giesenja Tag Attached: templates
2014-01-01 17:03 caseydk Project Pending Requests => v3.1 Release
2014-01-01 17:14 caseydk Note Added: 0003159
2014-01-01 17:14 caseydk Status new => resolved
2014-01-01 17:14 caseydk Resolution open => fixed
2014-01-01 17:14 caseydk Assigned To => caseydk
2014-01-21 17:42 caseydk Note Added: 0003222
2014-01-21 17:42 caseydk Status resolved => closed
2014-01-21 17:49 caseydk Fixed in Version => 3.1
2014-01-25 00:29 caseydk Category General => Cosmetic/UI Issues
+Issue History